Please  do  not write behind the end of line tag so that it is  possible
to   send  a   Changelog   file  to  a  line  printer  directly.  Thanks.


                                                 -*-*- END OF LINE -*-*-
 2004/01/06: Sebastian Raducci
   
   * manalysis/MArrivalTime.[h,cc]
     - added new method to calculate photon arrival times. It uses the
       TSpline5 Root Class to interpolate the Fadc Slices. The time is
       the abscissa value of the absolute maximum of the interpolation

   * manalysis/MArrivalTimeCalc.[h,cc]
     - modified the Process() method according to the changes in the
       Arrival Time Cointainer


 2003/12/23: Abelardo Moralejo

   * manalysis/MExtractedSignalPix.cc
     - in Clear(), initialized fExtractedSignalHiGain to 0 instead 
       of -1. In MC files run without noise, the ADC info of pixels 
       with no C-photons is missing. Later noise will be added to all 
       pixels in the padding, and "empty" ones must have a 0 before 
       the addition of this noise.

   * manalysis/MGeomApply.cc
     - initialized size of MPedPhotCam.

   * manalysis/MMcCalibrationCalc.[cc,h]
     - Removed setter function SetConversionHiLo: the ratio from high 
       to low gain is now read from MMcFadcHeader, and set in ReInit.
     - Fixed bug: fADC2PhOuter was initialized before the MMcFadcHeader
       was available. Now it is done in ReInit.
     - fPedPhotCam is now initialized in PreProcess and not in ReInit.
     - fGeom is now set in ReInit (there should be one MGeomCam per
       run header in the camera file).

   * mmc/MMcFadcHeader.hxx
     - added getter function GetLow2HighGain()



 2003/12/23: Thomas Bretz

   * manalysis/MPedCalcPedRun.[h,cc]:
     - removed fCounter
     - replaced by GetNumExecutions()

   * mraw/MRaw*:
     - some changes and debug output for the upcomming time-stamp
     - a fix to broken reading



 2003/12/23: Wolfgang Wittek

   * macros/ONAnalysis.C
     - new macro for the MAGIC analysis, corresponding to CT1Analysis.C

   * macros/AnalyseCT1.C
     - deleted because outdated

   * manalysis/MPadOn.[h,cc]
     - new class for the MAGIC analysis, corresponding to MCT1PadSchweizer

   * manalysis/MPadOnOFF.[h,cc]
     - minor changes (printouts)

   * manalysis/MPedestalWorkaround.[h,cc]
     - put zenith angle into MMcEvt

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h
     - added MPadON

   * mmc/MMcEvt.hxx
     - add member function SetTelescopeTheta(), SetTelescopePhi()



 2003/12/22: Thomas Bretz
 
   * manalysis/MCT1FindSupercuts.cc, manalysis/MFindSupercuts.cc:
     - replaced MFRandomSplit by MFEventSelector
   
   * mfilter/FilterLinkDef.h, mfilter/Makefile:
     - removed MFRandomSplit (functionality already implemented
       in MFEventSelector)
       
   * mfilter/MFEventSelector.[h,cc]:
     - did some cosmetics
     - removed some obsolete data members
     - added some comments
     
   * mfilter/MFEventSelector2.[h,cc]:
     - added some comments

   * macros/dohtml.C, macros/rootlogon.C:
     - added mcalib
     - added mhbase
     
   * macros/estfit.C:
     - get chisq from MParameterD
     
   * manalysis/MEventRateCalc.cc:
     - added comments
     
   * mbase/MParContainer.h:
     - added a comment
     
   * mhist/MHCamera.h:
     - added default argument for DrawClone
     
   * mmontecarlo/MMcEnergyEst.cc:
     - use an MParameterD instead of accessing MChisqEval
     
   * mtools/MChisqEval.[h,cc]:
     - write result to an MParameterD

   * mtools/MTFillMatrix.[h,cc]:
     - some more features



 2003/12/21: Thomas Bretz

   * mcalib:
     - new directory containing all MCalib* and MHCalib* classes

   * manalysis/MCalib*:
     - moved to mcalib

   * mhist/MHCalib*:
     - moved to mcalib

   * Makefile:
     - added mcalib

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - removed MCalib*

   * mhist/Makefile, mhist/HistLinkDef.h:
     - removed MHCalib*

   * mhbase:
     - new directory containing base classes for histogram stuff

   * mhist/MFillH.[h,cc], mhist/MBinning.[h,cc], mhist/MWeight.[h,cc],
     mhist/MH.[h,cc], mhist/MH3.[h,cc], mhist/MHArray.[h,cc],
     mhist/MHMatrix.[h,cc]:
     - moved to mhbase

   * mhist/Makefile, mhist/HistLinkDef.h:
     - removed MFillH, MBinning, MWeight, MH, MH3, MHMatrix and MHArray

   * */Makefile:
     - updated include paths accordingly



 2003/12/20: Abelardo Moralejo

   * manalysis/MMcCalibration.[h,cc]
     - adapted to changes in calibration classes. Removed SetADC2PhOuter
       (ratio of inner to outer can be found from MMcFadcHeader).

   * mananalysis/MCalibrate.cc
     - commented out check of sizes of MExtractedSignal and 
       MCalibrationCam (they are different in MC when no noise is 
       simulated).

   * mmc/MMcFadcHeader.hxx
     - added getter function for fAmplitudOuter.



 2003/12/20: Thomas Bretz

   * Makefile:
     - added an option to statically link the programs (for
       debugging)
       
   * merpp.cc, readdaq.cc, readraw.cc:
     - small changes to the command line options
       (the aim is a generalization)

   * manalysis/MCalibrate.[h,cc]:
     - removed leading '//' from class description
     - removed usage of MGeomCam (it is obsolete here)
     - small changes to make the output fit the 'standard'
     - take the number of pixels from the containers, added a
       consistency check
     - added many small comment about future development
     - added some const-qualifiers
     - removed the 'unused/empty' pixels. They are obsolete and not
       wanted at all.
     - changed pixid to pixidx

   * manalysis/MCalibrationPix.h:
     - sorted member functions
     - added some const qualifiers
     - added many small comment about future development

   * manalysis/MExtractSignal.[h,cc]:
     - removed arguments from constructor
     - added corresponding member functions
       + the convetion is to have only vital arguments in the
         construtor and member functions to change the default
     - removed obsolete PostProcess
     ! PLEASE update you code accordingly.
     
   * manalysis/MExtractedSignalCam.h, manalysis/MExtractedSignalPix.h:
     - added corresponding member functions
   
   * mbase/MArgs.[h,cc]:
     - added some comments
     - added options/arguments to Print
     - added GetNumOptions
     - added GetNumEntries
     - added HasOnly
     - added HasOnlyAndRemove
     
   * mbase/MEvtLoop.[h,cc]:
     - removed leading '//' from class description
     - replaced INT_MAX by kMaxUInt
     - changed meaning of eventloop argument:
       now 0 means all-events instead of -1
     - forward tlist-name from Eventloop to PreProcess
   
   * mbase/MTime.[h,cc]:
     - added UpdMagicTime

   * mfilter/MFEventSelector2.cc:
     - replaced INT_MAX by kMaxUInt
     
   * mmain/MEventDisplay.[h,cc]:
     - make use of MEvtLoop::GetTaskList()
     - removed GetReader
     
   * mmontecarlo/MMcEnergyEst.cc:
     - removed leading '//' from class description
     
   * mranforest/MRanTree.cc:
     - removed leading '//' from class description
     - replaced 1e20 by FLT_MAX
   
   * mraw/MRawEvtHeader.[h,cc], mraw/MRawFileRead.cc,
     mraw/MRawRead.[h,cc], mraw/MRawRunHeader.cc,
     mraw/MRawSocketRead.cc:
     - added decoding of time from event header - UNTESTED!
     
   * mreport/MReportRun.h:
     - set class verseion to 0 -- not ment for writing at the
       moment

   * mtools/MTMinuit.[h,cc]:
     - added (will replace MMinuitInterface soon)

   * mtools/ToolsLinkDef.h, mtools/Makefile:
     - added MTMinuit



 2003/12/19: Markus Gaug, Michele Doro

   * manalysis/MExtractSignal.[h,cc], manalysis/MCalibrate.[h,cc],
     manalysis/MCalibrationCalc.[h,cc], manalysis/MCalibrationPix.[h,cc]:
     - Treatment of the conversion factors between HI Gain and Lo Gain
       is now done in the MCalibrationPix. 

       MExtractSignal does not convert anymore, but MCalibrate searches 
       the conversion factor from MCalibrationPix.
       This allows for different conversion factors for every pixel.



 2003/12/18: Abelardo Moralejo

   * manalysis/Makefile, AnalysisLinkDef.h
     - Added missing classes MPedPhotCam, MPedPhotPix

   * manalysis/MMcCalibrationCalc.[h,cc]
     - Changed names of conversion factors, because their meaning 
       changed from "ADC->photoelectrons" to "ADC->photons before 
       the PM". Added some comments. Added calls to MCalibrationPix::
       SetBlindPixelMethodValid() and SetConversionBlindPixelMethod()

   * manalysis/MCalibrate.cc
     - Corrected variable names: Convertion -> Conversion, and also
       removed the "f" at the beginning of local (non-member) variables.
     - Added fGeomCam, fPedPhotCam (created in the PreProcess).



 2003/12/18: Markus Gaug, Michele Doro

   * manalysis/MExtractSignal.[h,cc]
     - introduced a third argument in the constructor: Byte_t logainshift

   * manalysis/MCalibrationCam.cc
   * manalysis/MCalibrationPix.cc
     - introduced error calculation for the F-Factor method

   * manalysis/MCalibrate.cc
     - replace pix.IsValid by pix.IsBlindPixelMethodValid() which more 
       what is checked exactly
  
   * macros/calibration.C
     - display now the errors in the F-Factor method correctly	

   * mhist/MHCalibrationPixel.[h,cc]
     - before declaring a calibration factor as valid, check if the 
       mean fitted arrival time is not in the first or last time bin



 2003/12/18: Abelardo Moralejo

   * manalysis/MCalibrate.cc
     - Changed  "if (!fCalibrations)" to "if (!fGeomCam)" in 
       preprocess (this was a cut-and-paste error).
     - In Process: added "fCerPhotEvt->AddPixel(pixid, 0., 0.)" before
       setting pixel pixid to unused, in case !pix.IsValid()
       May be removing both commands (adding the pixel and setting it 
       to unused would have the same effect). 



 2003/12/18: Thomas Bretz

   * mfilter/MFSoftwareTrigger.[h,cc]:
     - added - code taken from M[CT1]SelBasic

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - added MFSoftwareTrigger

   * manalysis/MExtractedSignalPix.h:
     - added missing const-qualifier IsLoGainUsed

   * mreport/MReportFileRead.[h,cc]:
     - added support for line counter

   * mreport/MReportRun.[h,cc]:
     - added preliminary version to decode the Start/Stop run tags
       in the report files.

   * mreport/Makefile, mreport/ReportLinkDef.h:
     - added MReportRun

   * merpp.cc:
     - added a first implementation to be able searching report
       files for the run number

   * mdata/MDataMember.[h,cc]:
     - implemented a way to determin whether the data member is 
       a floating point value or an integer

   * mfilter/MFDataMember.[h,cc]:
     - use the information to treat integer values more accuratly

   * mbase/MAGIC.h:
     - change minimum root version to 3.05/06

   * mtools/MTFillMatrix.cc:
     - added a check whether the file name is valid



 2003/12/18: Abelardo Moralejo

   * mmc/MMcConfigRunHeader.[h,cc]
     - Removed some obsolete parameters no longer used in reflector 
       simulation since version 0.6.
     - Updated version number to 2 !
     - Added getter and setter functions for fPointSpread (allows 
       camera simulation to change the value whenever the spot is made
       bigger to fit the data).


 2003/12/17: Abelardo Moralejo

   * manalysis/MExtractSignal.cc
     - put SetNumPixelUsedFADCSlices into the ReInit, otherwise they 
       are not accessible for MCalibrationCalc

   * manalysis/MCalibration*
   * mhist/MHCalibration*
     - many small changes, mostly cosmetic



 2003/12/17: Abelardo Moralejo

   * mbase/MAGIC.h:
     - added kELECTRON, kPOSITRON to type ParticleId_t;

   * mfilter/MFGeomag.cc:
     - added kPOSITRON and kELECTRON as possible particle ids.
     - added fResult = 0 for the case kGAMMA,  !fGamm_elec, to let
       real gammas be accepted by the filter.



 2003/12/17: Thomas Bretz

   * mreport/MReportCC.[h,cc]:
     - added report storing weather data

   * mreport/Makefile, mreport/ReportLinkDef.h:
     - added MReportCC

   * mtools/Makefile, mtools/ToolsLinkDef.h:
     - added MTFillMatrix

   * mtools/MTFillMatrix.[h,cc]:
     - added

   * mfilter/MFEventSelector2.[h,cc]:
     - removed fUseOrigDistrib --> use a reference histogram with 
       0 Entries instead.

   * manalysis/MCT1FindSupercuts.[h,cc], manalysis/MFindSupercuts.[h,cc]:
     - removed fUseOrigDistrib accoring to href.GetEntries()==0 used in
       MFEventSelector2 and MFillMatrix

   * macros/CT1Analysis.C, macros/ONOFFAnalysis.C, 
     macros/ONOFFCT1Analysis.C:
     - tried to make fUseOrigDistrib-stuff working again

   * mhist/MHCamera.[h,cc]:
     - implemented kVariance



 2003/12/16: Javi Lopez

   * manalysis/MCalibrate.[h,cc]
     - new classe that takes the integrated charge from MExtractedSignal
       container and apply the calibration constants stored in
       MCalibrationCam container storing the number of photons in
       MCerPhotEvt.



 2003/12/16: Thomas Bretz

   * mhist/MHSimulatedAnnealing.[h,cc], 
     mhist/MSimulatedAnnealing.[h,cc]:
     - fixed includes



 2003/12/12: Markus Gaug 

   * manalysis/MSimulatedAnnealing.[h,cc]
   * mhist/MHSimulatedAnnealing.[h,cc]
     - new classes to do a minimization after the Simulated Annealing 
       procedure. Please do make dox and look into the class documentation
       to know how to use it

   * manalysis/Makefile
   * mhist/Makefile
   * manalysis/AnalysisLinkDef.h
   * mhist/HistLinkDef.h
     - added the SimulatedAnnealing Classes



 2003/12/12: Markus Gaug / Michele Doro

   * manalysis/MCalibrationCam.[h,cc]
   * manalysis/MCalibrationPix.[h,cc]
   * manalysis/MCalibrationBlindPix.[h,cc]
   * manalysis/MCalibrationConfig.[h,cc]
     - bug found transforming the number of photons from the blind pixel 
       to the inner pixel. The previous results were wrong by a factor 2
     - PIN Diode formally included
     - Code better documented in MCalibrationCam



 2003/12/15: Thomas Bretz

   * mraw/MRawRead.[h,cc]:
     - added

   * mraw/Makefile, mraw/RawLinkDef.h:
     - added MRawRead

   * mraw/MRawSocketRead.[h,cc], mraw/MRawFileRead.[h,cc]:
     - changed such, that it derives from MRawRead now

   * mfilter/MFAntiFilter.[h,cc]:
     - removed. This function is implemented in MFilterList

   * merpp.cc:
     - enhanced to support start/stop time

   * manalysis/MEventRateCalc.cc:
     - removed some stuff which was commented out
     
   * mbase/MTime.cc:
     - small change to GetString
     
   * mhist/MHCamera.cc:
     - made the inverse deep blue dea palette the default
       (FIXME: Make this a resource)
     
   * mreport/MReport.[h,cc]:
     - added MTime arguments to Interprete
     
   * mreport/MReportFileRead.[h,cc]:
     - added MTime arguments to Interprete
     - added fStart/fStop data member



 2003/12/15: Abelardo Moralejo

   * mgeom/MGeomCam.h
     - made the CalcPixRatio function public.

   * manalysis/MGeomApply.cc
     - call the CalcPixRatio of the MGeomCam object. Workaround to 
       allow the analysis of some files from a beta version of camera 
       0.7 in which the array containing pixel ratios was not 
       initialized.





 2003/12/12: Markus Gaug / Michele Doro

   * manalysis/MCalibrationCam.cc
     - did not compile because of a wrong command to MCalibrationPix, 
       now corrected



 2003/12/12: Nadia Tonello

   * mimage/MImgCleanStd.cc
     - now the cleaning of rings>1 is done symmetrically around the core
       pixels (bug solved)  



 2003/12/12: Abelardo Moralejo

   * manalysis/MMcCalibrationCalc.[h,cc]
     - added fADC2PheInner, fADC2PheOuter and setter functions. Put 
       these values into MCalibrationCam. Look for MExtractedSignalCam
       to check which gain branch has been used (relevant for the
       conversion factor) for each pixel.



 2003/12/12: Markus Gaug
	
   * manalysis/MExtractSignal.[h,cc]
     - now with constructor allowing to set the first and last used
       time slice
     - (default like before)
     - extract number of pixels from MGeomCam



 2003/12/12: Sabrina Stark
  
   * mfilter/MFSelBasic.[h,cc]
     - new class for MAGIC analysis, corresponding to MFCT1SelBasic	

   * mfilter/MFSelStandard.[h,cc]
     - new class for MAGIC analysis, corresponding to MFCT1SelStandard	

   * mfilter/MFSelFinal.[h,cc]
     - new class for MAGIC analysis, corresponding to MFCT1SelFinal	

   * mfilter/Makefile, mfilter/FilterLinkDef.h
     - include MFSelBasic, MFSelStandard, MFSelFinal	

   * manalysis/MPadONOFF.[h,cc]
     - new class for MAGIC analysis, corresponding to MPadONOFF		

   * manalysis/MSupercuts.[h,cc]
     - new class for MAGIC analysis, corresponding to MCT1Supercuts		
   
   * manalysis/MSupercutsCalc.[h,cc]
     - new class for MAGIC analysis, corresponding to MCT1SupercutsCalc		
   
   * manalysis/MFindSupercuts.[h,cc]
     - new class for MAGIC analysis, corresponding to MCT1FindSupercuts		

   * manalysis/MPedestalWorkaround.[h,cc]
     - temporary task for MAGIC analysis to copy pedestal values and
 	RMS from MPedPhotCam to MPedestalCam	

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h
     - include MPadONOFF, MSupercuts, MSupercutsCalc, MFindSupercuts,
	MPedestalWorkaround	
	
   * mhist/MHSupercuts.[h,cc]
     - new class for MAGIC analysis, corresponding to MHCT1Supercuts		

   * mhist/Makefile, mhist/HistLinkDef.h
     - include MHSupercuts

   * macros/ONOFFAnalysis.C:
     - adaption of ONOFFCT1Analysis to apply on Magic data
	
	
 
 2003/12/12: Markus Gaug

   * manalysis/MExtractedSignalPix:
     - Added fTailArrivalTime

   * manalysis/MExtractSignals:
     - SetArrivalTimes modified to 3 arguments (sorry!)



 2003/12/11: Sebastian Raducci & Villi Scalzotto

   * manalysis/MArrivalTime.[h,cc]
     - Added (new container)
     - Preliminary version: do not use it

   * manalysis/MArrivalTimeCalc.[h,cc]
     - Added (new task)

   * mraw/MRawEvtPixelIter.[h,cc]
     - Added new method GetIdxMaxHiLoGainSample()
   
   * mraw/MRawEvtData.cc
     - Added new case in GetPixelContent() method 

   * mmain/MEventDisplay.cc
     - Added new tab in the camera event display to show the arrival
       time.

   * mhist/MHEvent.[h,cc]
     - Added new fType in the enumeration to handle the arrival time
       histos


 2003/12/11: Abelardo Moralejo

   * manalysis/MGeomApply.cc
     - Initialize size of the MCalibrationCam object according to 
       camera geometry.

   * manalysis/MMcCalibrationCalc.[h,cc]
     - Added. First draft of a class to get the calibration 
       constants for the analysis of MC events.

   * manalysis/Makefile, AnalysisLinkDef.h
     - Added new class MMcCalibrationCalc


 2003/12/11: Markus Gaug

   * manalysis/MExtractSignal, MExtractedSignalPix
     - Store number of used FADC slices (HIGain, LoGAin)
     - calculate signal with only 6 most significant slices (2 before, 
       4 after the maximum)

   * mhist/MHCalibrationBlindPixel:
     - do the consistency check fitting the pedestal

   * mhist/MHCalibrationPixel:
     - store Hi Gain vs. Lo Gain values to extract the conversion
       factor

   * manalysis/MCalibrationPix:
   * manalysis/MCalibrationCam:
     - separate Hi Gain and Lo Gain
     - include return of PIN Diode measurement



 2003/12/11: Thomas Bretz

   * mbase/MTime.[h,cc]:
     - small change to GetString
     - added ReadBinary
     
   * mraw/MRawCrateData.[h,c], mraw/MRawFileRead.cc, 
     mraw/MRawEvtData.[h,cc], mraw/MRawEvtPixelIter.[h,cc],
     mraw/MRawRunHeader.[h,cc], mraw/MRawSocketRead.cc,
     mraw/MRawCrateArray.[h,cc]:
     - adapted to new DAQ file format Version 2
     - changed ClassDef version accordingly

   * mraw/RawIncl.h:
     - added TArrayC

   * mfileio/MCT1ReadPreProc.cc:
     - tried to change reading CT1 data accordingly



 2003/12/10: Thomas Bretz

   * manalysis/MPedPhotPix.[h,cc], manalysis/MPedPhotCam.[h,cc]:
     - added

   * merpp.cc:
     - added support for dc report files
     
   * mcamera/CameraLinkDef.h, mcamera/Makefile:
     - added MCameraDC
     
   * mhist/MHVsTime.cc:
     - fixed a missing initialisation

   * mraw/MRawFileRead.cc:
     - fixed wrong MRawEvtTime name
     
   * mreport/MReport.cc:
     - fixed reading of dc files
     
   * mreport/MReportCurrents.[h,cc]:
     - do not store currents here. store it in MCameraDC
     
   * mreport/MReportFileRead.[h,cc]:
     - added SetHasNoHeader and kHasNoHeader

   * macros/readcurrents.C:
     - fixed accordingly

   * macros/sumcurrents.C:
     - fixed accordingly



 2003/12/09: Markus Gaug

   * mhist/MHCamera.[h,cc]:
     - added SetCamError to set errors in the camera

   * mhist/MHCalibration*:
     - all hists doubles to separate High Gain and Low Gain

   * manalysis/MCalibration*
     - separate Hi Gain and Lo Gain
     - use MExtractedSignalCam to extract charges

   * manalysis/MExtractSignals.[h,cc]:
     - new class to extract signals

   * manalysis/MExtractedSignalCam.[h,cc]:
     - new class to hold extracted signals

   * manalysis/MExtractedSignalPix.[h,cc]:
     - new class to hold extracted signals for pixel

   * manalysis/Makefile
   * manalysis/AnalysisLinkDef:
     - contain MExtractedSignalCam, MExtractedSignalPix, MExtractedSignal

   * macros/calibration.C
     - EventDisplay which allows to get plot by clicking on pixel



 2003/12/08: Thomas Bretz

   * mraw/MRawFileRead.cc:
     - implemented an artificial time-stamp for the current data

   * star.cc, macros/star.C:
     - works now with MC files and real data.

   * mimage/MHillas.[h.cc], mimage/MHillasExt.[h.cc], 
     mimage/MHillasSrc.[h.cc]:
     - implemented member functions Print(const MGeomCam&)

   * macros/readMagic.C, macros/readCT1.C, mmain/MEventDisplay.cc:
     - changed to display deg instead of millimeters

   * manalysis/MEventRateCalc.[h,cc], manalysis/MEventRate.[h,cc]:
     - updated algorithm

   * macros/evtrate.C:
     - tutorial how to calculate event rate added



 2003/12/07: Thomas Bretz

   * mbase/MTime.[h,cc]:
     - added some new member function
     - fixed wrong calculations
     - moved all stand-alone operators into class
     
   * mhist/MHPixVsTime.cc, mhist/MHVsTime.cc:
     - fixed MTime handling

   * Makefile.rules:
     - removed obsolete $(HEADERS) from rule for $(LIB)
     - added $(CINT)LinkDef.h for rule for $(CINT)Cint.cc
     
   * mbase/BaseLinkDef.h:
     - added operator<<(ostream&, MTime&)
     
   * mmain/MOnlineDump.cc:
     - fixed a small bug using MTime



 2003/12/05: Abelardo Moralejo
 
   * mhistmc/MHMcCollectionArea.cc
     - removed wrong comment in MHMcCollectionArea::CalcEfficiency2



 2003/12/05: Thomas Bretz

   * mpointing/*:
     - added

   * Makefile:
     - added mpointing

   * NEWS:
     - updated

   * mbase/MTime.[h,cc]:
     - complere rewrite of the data members
     - ClassDef=3

   * mfileio/MCT1ReadPreProc.cc, mfileio/MReadCurrents.cc,
     mfileio/MReadReports.cc, mhist/MHPixVsTime.cc,
     mhist/MHVsTime.cc, mmain/MOnlineDump.cc,
     mmontecarlo/MMcTimeGenerate.cc, mreport/MReport.cc,
     manalysis/MEventRateCalc.cc:
     - adapted to new MTime

   * mfileio/MReadReports.[h,cc]:
     - added the possibility to enable Auto Scheme
     - delete the TChains when removed

   * mfileio/MWriteRootFile.[h,cc]:
     - automaticalle create title for Trees
     - added a 'Must-Have' flag for the added containers

   * mreport/MReportCamera.h:
     - added //! to all pointers

   * mtools/MAstro.[h,cc]:
     - added calculations from and to MJD
     - moved to mbase

   * mfileio/Makefile, mfileio/FileIOLinkDef.h:
     - removed MReadCurrent

   * readdaq.cc:
     - changed to display board information on request 
       (MRawCrateArray)

   * mfileio/MReadMarsFile.cc:
     - small changes to output
     
   * mfileio/MReadReports.[h,cc]:
     - added 'Master' tree as a workaround for reading RunHeaders
     
   * mfileio/MReadTree.cc:
     - call Notify() of all members of fNotify in Notify()
     
   * mraw/MRawCrateArray.[h,cc]:
     - added Print() member function
     



 2003/12/04: Markus Gaug

   * manalysis/MCalibration*
     - implemented some of Thomas Bretz suggestions to make the code
       nicer
     - implemented the possibility to have cosmics in the calibration
       data and remove it
     - implemented the conversion factors for the blind pixel method

   * mhist/MHCalibration*
     - implemented some of Thomas Bretz suggestions to make the code
       nicer
     - implemented the possibility to have cosmics in the calibration
       data and still fit it

   * macros/calibration.C
     - MStatusDisplay of calibration histograms a little bit more readable



 2003/12/03: Abelardo Moralejo

   * mimage/MStereoCalc.cc
     - Fixed typo in the PreProcess (fmcevt1 was initialized a second
       time, instead of fmcevt2).



 2003/12/02: Abelardo Moralejo

   * mimage/MStereoCalc.[h,cc]
     - changed names of variables (removed underscores). Use new
       function MTask::AddSerialNumber  (see below).



 2003/12/02: Thomas Bretz
 
   * mfilter/MFEventSelector2.[h,cc]:
     - fixed and reorganized screen output
     - added some small comments to the code
     - moved some code from Process() to the new private function Select
     - fixed uncounted events (underflow bins were not counted)
     - renamed nonsens fErrors to fCounter
     - fixed usage of fDisplay

   * manalysis/MEventRate.[h,cc], manalysis/MEventRateCalc.[h,cc], 
     mfileio/MReadReports.[h,cc], mreport/MReport*.[h,cc],
     mcamera/MCamera*.[h,cc]:
     - fixed and added comments.

   * mbase/MTask.h:
     - added static member functions AddSerialNumber to simplify 
       using different Serial numbers.

   * macros/readrep.C:
     - updated to be an example for more functionality



 2003/12/01: Markus Gaug
 
   * macros/calibration.C:
     - adjusted some parameters

   * manalysis/MCalibrationCalc.cc:
     - cosmics are now skipped from the fit

   * manalysis/MCalibrationPix:
     - cosmics are now skipped from the fit

   * mhist/MHCalibrationPixel:
     - cosmics are now skipped from the fit

   * manalysis/Makefile
     - MPedCalcPedRun was not in Makefile

   * manalysis/AnalysisLinkDef
     - MPedCalcPedRun was not in AnalysisLinkDef



 2003/12/01: Thomas Bretz

   * Makefile:
     - added readdaq
 
   * mona.cc:
     - moved MOnlineDump behind hfilla/../d
     
   * macros/readrep.C:
     - removed obsolete piece of code
     - added 'writer'
     - added code to read from file
     
   * mbase/MStatusDisplay.cc:
     - removed obsolete workaround in HandleEvent. Found the bug
       in MEventDisplay
       
   * mmain/MEventDisplay.cc:
     - fixed a crash when switching to a tab without canvas
     
   * mmain/MOnlineDisplay.[h,cc]:
     - removed obsolete code
     
   * mmain/MOnlineDump.cc:
     - set maximum and minimum of 'sum' histogram to 0 and 15
     
   * mtemp/MObservatory.cc:
     - changed telescope position (kMagic1) according to new data from GPS clock

   * readraw.cc:
     - changed includes
     
   * mbase/MPrint.[h,cc]:
     - added kSeperator

   * mbase/MTime.[h,cc]:
     - added SetTime(const TTime&)

   * mraw/MRawEvtHeader.cc:
     - added 'nogains' option to Print
     
   * readdaq.cc:
     - added

   * mfilter/MFilterList.cc:
     - added class description

   * mfilter/FilterLinkDef.h, mfilter/Makefile:
     - removed obsolete MFAntiFilter (for a replacement see
       class-description of MFilterList)
       
   * mfilter/MFRandomSplit.[h,cc]:
     - fixed missing manipulators in fLog stream
     - reset values in constructor which are out of range
     - changed output in PostProcess according to the style in MHillasCalc etc.
     - changed nonsense derivement from MF to MFilter

   * mhist/MHCamera.[h,cc]:
     - added DrawClone to get rid of the usage of gROOT->GetSelectedPad.
       this resulted in some trouble in the past. If it will make more
       trouble than before we can remove it again - please report problems.



 2003/12/1: Abelardo Moralejo

   * mimage/MStereoPar.cc
     - Added calculation of fCT1Impact2, fCT2Impact2, the estimates of
       impact parameter using the a priori assumption that the events
       come from a point source located at the center of the camera.



 2003/11/27: Wolfgang Wittek

   * mfilter/MFEventSelector2.cc
     - if number of requested events is too high reduce it to the maximum
       number possible
     - introduce the flag 'fUseOrigDistribution'; if it is set to kTRUE 
       (by SetOrigDistribution()) the original distribution will be used
       as the nominal distribution
     - added member functions SetUseOrigDistribution()
     - added member functions SetHistOrig()

   * mfilter/MFRandomSplit.[h,cc]
     - a filter which gives fResult = kTRUE with a certain probability

   * mfilter/MFAntiFilter.[h,cc]
     - a filter which checks the result of a given filter and returns 
       the opposite result;
       Thomas : could you please add a code which puts the filter whose 
                result is checked into the task list ?

   * mfilter/Makefile, mfilter/FilterLinkDef.h
     - add MFRandomSplit and MFAntiFilter

   * manalysis/MCT1FindSupercuts.[h,cc]
     - in 'DefineTrainMatrix', 'DefineTestMatrix', and 
       'DefineTrainTestMatrix()' :
       replace call to 'MFEventSelector' by call to 'MFEventSelector2'
     - add member function SetUseOrigDistribution(Bool_t b);
       if b = kTRUE the events for the training and test samples are
       selected randomnly from the input file



 2003/11/27: Abelardo Moralejo

   * mdata/MDataChain.cc:
     - added ';' as a possible alphanumeric character in the data 
       string, to support the use of variables from MC stereo files
       where the parameter containers for each telescope are tagged 
       with a ';' followed by the telescope number. 



 2003/11/26: Thomas Bretz

   * mhist/MHVsTime.[h,cc]:
     - implemented usage of Event number

   * mhist/MHPixVsTime.[h,cc]:
     - implemented usage of time (untested - may not work)



 2003/11/25: Thomas Bretz
 
   * mgeom/MGeomMirror.h:
     - added Getter functions for Mirror Center and Mirror 
       Normal vector



 2003/11/25: Abelardo Moralejo

   * mimage/MStereoPar.[h,cc]
   * mimage/MStereoCalc.[h,cc]
     - Added. First version of some calculations for the data analysis
       of two-telescope configurations (estimation of shower direction
       and core position).
   * mimage/Makefile, ImageLinkDef.h
     - Updated accordingly.



 2003/11/23: Thomas Bretz

   * star.cc:
     - fixed a typo
     
   * manalysis/MCerPhotCalc.cc:
     - fixed logging stream
     
   * mbase/MStatusDisplay.[h,cc]:
     - made fLog available to derived classes
     - added Reset()-function
     - added some debug messages to CloseWindow()
     - put 'return' back into HandleConfigureNotify (fixes the
       problem with the random size of the Mona display)
     - added a new workaround in HandleEvent which fixed a crash
       when switching back to the 'main' tab in MEventDisplay
       This is NOT understood!
     - changed bit 14/15 to 15/16. BIT(14) is used in TGMainFrame
       already
     - fixed a typo. Must be kTabPrint instead of kFilePrint
     
   * mfilter/MFRealTimePeriod.h:
     - added Setter for timeout
     
   * mhist/MHCamEvent.cc:
     - fill the rms for each event. This may be switched off by
       a status bit in the future for speed reasons.
       
   * mhist/MHCamera.[h,cc]:
     - removed Profile() from GetMaximum/GetMinimum if no
       autoscale is done
     - added 'content' Draw option
     - when kNoLegend is set draw the legend showing the size
     
   * mhist/MHEvent.cc:
     - fixed a typo: GetNumEvents() --> GetRunNumber()
     
   * mhist/MHTriggerLvl0.cc:
     - small changes to output
     
   * mraw/MRawSocketRead.[h,cc]:
     - renamed fRawEvtTime to fTime
     - changed 'MRawEvtTime' to 'MTime'
     - added some debugging output in case of kContinue

   * mmain/MOnlineDump.[h,cc], mmain/MOnlineDisplay.[h,cc]:
     - added

   * mmain/MainLinkDef.h, mmain/Makefile:
     - added MOnlineDump
     - added MOnlineDisplay

   * mona.cc:
     - updated

   * manalysis/MEventRate.[h,cc], manalysis/MEventRateCalc.[h,cc]:
     - added

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MEventRateCalc
     - added MEventRate

   * mgeom/MGeomMirror.h:
     - fixed comments in the header - must be in one line!

   * mreport/MReport.h:
     - adde Getter-function for fState

   * mreport/MReportDrive.[h,cc]:
     - added GetAbsError() (preliminary!)



 2003/11/22: Thomas Bretz

   * mreport/MReportCamera.cc:
     - implemented real reading
     - changed some loops to poinbter arithmetics

   * mreport/Makefile:
     - added mcamera

   * merpp.cc:
     - implemented preliminary support for report-files
     
   * star.cc:
     - small changes to handling of update-mode
     
   * mbase/MParList.cc:
     - fixed a wrong output
     
   * mbase/MTask.cc:
     - fixed AddToBranchList(TString&)
     
   * mbase/MTime.[h,cc]:
     - setfill only once
     - fixed ()-operator
     - removed nonsens GetTime()
     
   * mcamera/MCameraAUX.h, mcamera/MCameraCalibration.h,
     mcamera/MCameraCooling.h, mcamera/MCameraHV.h,
     mcamera/MCameraLV.h, mcamera/MCameraLid.h,
     mcamera/MCameraLids.h, mcamera/MCameraPowerSupply.h:
     - set version in ClassDef to 1

   * mcamera/MCameraCooling.h:
     - added Getter-functions

   * mcamera/MCameraLV.h:
     - changed fHumidity to Byte_t

   * mcamera/MCameraLid.h:
     - derived from MParContainer instead of TObject
     
   * mfileio/FileIOLinkDef.h, mfileio/Makefile:
     - added MReadReports

   * mfileio/MReadReports.[h.cc]:
     - added

   * mfileio/MReadTree.h:
     - added MReadReports as friend class to allow access to fChain

   * mfileio/MWriteRootFile.cc:
     - fixed output (didn't have the correct debug flags)
     
   * mhist/HistLinkDef.h, mhist/Makefile:
     - added MHVsTime

   * mhist/MHVsTime.[h,cc];
     - added 
     
   * mhist/MFillH.cc:
     - add eveything I know to BranchList
     
   * mraw/MRawFileWrite.[h,cc]:
     - changed name of MTime from MRawEvtTime to MTime
     - changed Tree names to:
       + Events
       + Pedestals
       + Calibration
     
   * mreport/MReportTrigger.[h,cc]:
     - fixed accoring to a discussion with Riccardo
     - changed version number in ClassDef to 1

   * mreport/Makefile:
     - added mcamera

   * macros/rootlogon.C:
     - added colors
     - changed the search path for libmars.so a bit
     
   * mdata/MDataList.[h,cc]:
     - added support for '%'

   * mhist/MHCamera.[h,cc]:
     - removed DrawPixelIndices and DrawSectorIndices
     - replaced by new Draw-options: 'sectorindex' and 'pixelindex'
     - put together in PaintIndices
     
   * mmain/MEventDisplay.cc:
     - added Sectors to tabs
     - code for adding tab was in class twice (removed in
       ReadinFirstEvent, uses AddGeometryTabs instead)
       
   * mreport/MReport.[h,cc]:  
     - prpared to read new DC-REPORT files
     
   * mreport/MReportDrive.[h,cc]:
     - removed debug 'D'
     - added Getter-functions



 2003/11/21: Thomas Bretz

   * mraw/MRawEvtData.cc:
     - added type 3 and 4 to GetPixContent

   * status.cc:
     - added display of average index of slice witg maximum value
     - implemented a scheme to exit the application and to 
       leave it open when the loop is finished.
       
   * macros/status.C:
     - added maximum index histogram
     
   * mbase/MStatusDisplay.[h,cc]:
     - implemented kExitLoopOnExit and kExitLoopOnClose
     
   * mcamera/CameraLinkDef.h:
     - added missing MCameraAUX and MCameraLid
     
   * mhist/MHCamEvent.[h,cc]:
     - added fRms
     
   * mhist/MHCamera.cc:
     - added error when printing pixel contents
     
   * mhist/MHTriggerLvl0.[h,cc]:
     - use MHCamera::kProfile
     - renamed PrintOutLayers to PrintOutliers
     
   * mmain/MEventDisplay.cc:
     - made 'Mini-Canvas' working in all Tabs by catching kCM_TAB

   * mhist/MFillH.[h,cc], mhist/MH.[h,cc]:
     - implemented ReInit

   * mbase/MParList.cc:
     - implemented more sanity check whether a class can be created 

   * Makefile:
     - added mcamera
     - added mreport
     - added status
     - added OBJS and MCint.o to the shared object
     
   * macros/readCT1.C:
     - do not add non-existing geomcam to parlist
     - add geomapl to tasklist
     
   * mcamera/MCameraCalibration.h, mcamera/MCameraCooling.h,
     mcamera/MCameraHV.h, mcamera/MCameraLV.h, 
     mcamera/MCameraLid.h, mcamera/MCameraLids.h,
     mcamera/MCameraPowerSupply.h, mreport/MReportCamera.h:
     - changed according to discussion with Pepe

   * mtools/Makefile, mtools/ToolsLinkDef.h:
     - added MAstro
     
   * mtools/MAstro.[h,cc]:
     - added

   * macros/readMagic.C, macros/readCT1.C:
     - changed to display relative signal (which is compared to the
       cleaning levels) and the cleaning levels



 2003/11/20: Markus Gaug

   * macros/calibration.C
     - all variables are now plotted in camera displays

   * manalysis/MCalibrationPix:
     - replaced fErrT by fSigmaT

   * manalysis/MCalibrationCam.cc:
     - replaced fErrT by fSigmaT

   * mhist/MHCalibrationPix.cc:
     - replaced GetErrT by GetSigmaT()



 2003/11/20: Wolfgang Wittek

   * mimage/M2dimFunctionFit.[h,cc]
     - removed; will be replaced by MFun2Fit.[h,cc]

   * mimage/M2dimFunction.[h,cc]
     - removed; will be replaced by MFunc2.[h,cc]

   * mimage/MH2dimFunction.[h,cc]
     - removed; will be replaced by MHFunc2.[h,cc]
      



 2003/11/19: Markus Gaug

   * manalysis/MCalibrationPix:
     - new functions: GetPed(), GetPedRms(), GetQProb()
     - new variable: fQProb

   * manalysis/MCalibrationCam.cc:
     - function GetPixelContent enlarged

   * manalysis/MCalibrationCalc:
     - function ReInit added like in MPedCalcPedRun



 2003/11/19: Thomas Bretz

   * mreport/MReport.[h,cc]:
     - replaced FindTime by SetupReading
     - removed SetTime
     
   * mreport/MReportFileRead.cc:
     - replaced SetTime by SetupReading

   * mreport/MReportCamera.[h,cc]:
     - use new stuff

   * mcamera/*:
     - added





 2003/11/19: Markus Gaug

   * manalysis/MPedCalcPedRun:
     - implemented function ReInit
     - implemented pointer fRunheader
     - fNumHiGainSamples now called from fRunHeader inside ReInit
     - Now, fNumHiGainSamples gets right number, instead of inf

   * mhist/MHCalibrationConig:
     - gkStartQlast changed from 5000 to 10000.



 2003/11/18: Thomas Bretz

   * mars.cc:
     - changed Usage to standard Usage
     
   * merpp.cc, mona.cc, readraw.cc, star.cc, status.cc,
     mbase/MArgs.[h,cc]:
     - removed const-qualifier for argv
     
   * mbase/MTask.cc:
     - fixed a bug in PrintStatistics (setfill was not set)
     
   * mbase/MTaskList.cc:
     - simplified PrintStatistics
   
   * mbase/MTime.h:
     - added Getter
     
   * mfileio/MReadTree.cc:
     - remove a leading "*" when checking whether a branch which 
       should be enabled exists
       
   * mfileio/MWriteRootFile.cc:
     - fixed a crash when Print is called and GetTree() returns NULL
     
   * mhist/MHEvent.cc:
     - implemented more levels (MeV, GeV, etc) for energy display
     
   * mraw/MRawSocketRead.cc:
     - removed some obsolete comment
     
   * mreport/MReport.[h,cc]:
     - added FindTime
     - removed an invalid line (ReadAngle) in the header file
     - Set class version to 1
     - do not write fTime '//!'
     
   * mreport/MReportFileRead.cc:
     - fixed handling of MTimes

   * mhist/MH.cc:
     - added some const qualifiers in CutEdges



 2003/11/18: Abelardo Moralejo

   * mmc/MMcEvt.cxx:
     - Fixed missing initialization of fLongitmax



 2003/11/18: Markus Gaug

   * manalysis/MCalibrationCalc: 
     - performs the eventloop and fills the calibration classes

   * manalysis/MCalibrationCam: 
     - holds the classes: MCalibrationPix and MCalibrationBlindPix
       and MCalibrationPINDiode
     - one MCalibrationPix per pixel

   * manalysis/MCalibrationPix:
     - holds the fit results and conversion factors, etc per pixel
     - hold histograms MHCalibrationPixel

   * manalysis/MCalibrationBlindPix:
     - holds fit results and derived number of photons, etc
     - hold histogram MHCalibrationBlindPixel

   * manalysis/MCalibrationPINDiode:
     - holds fit results and derived number of photons, etc
     - hold histogram MHCalibrationPINDiode

   * mhist/MHCalibrationPix:
     - histograms with sum of charges, time slices and reduced
       charges vs. event number
     - fit functions

   * mhist/MHCalibrationPixel:
     - histograms with sum of charges, time slices and reduced
       charges vs. event number
     - fit functions

   * mhist/MHCalibrationBlindPixel:
     - histograms with sum of charges, time slices and reduced
       charges vs. event number
     - fit functions

   * mhist/MHCalibrationPINDiode:
     - histograms with sum of charges, time slices and reduced
       charges vs. event number
     - fit functions

   * mhist/MH:
     - new function: CutEdges

   * macros/calibration.C
     - simple macro showing the functionning



 2003/11/17: Thomas Bretz
 
   * mbase/MLog.cc:
     - replaced pthread_mutex by a TMutex
     - renamed fgui to fGui
     - renamed fout to fOut
     
   * mbase/MStatusDisplay.cc:
     - removed ==13 using TryLock() (this was wrong)

   * mreport/*
     - added

   * macros/readrep.C:
     - added

   * merpp.cc, readraw.cc:
     - added option -?/-h
     
   * mona.cc:
     - added MOnlineDump-class
     - added port as a commandline option
     - added commandline options
     
   * status.cc:
     - added option -?/-h
     - added filter to support MC and DAQ files
     
   * mdata/MDataChain.[h,cc]:
     - added kERound

   * mfilter/FilterLinkDef.h, mfilter/Makefile:
     - added MFRealTimePeriod
     
   * mgeom/MGeomCam.h:
     - added InitGeometry
     
   * mgeom/MGeomCamCT1.cc, mgeom/MGeomCamCT1Daniel.cc,
     mgeom/MGeomCamECO1000.cc, mgeom/MGeomCamECO1000HG.cc,
     mgeom/MGeomCamMagic.cc, mgeom/MGeomCamMagic919.cc,
     mgeom/MGeomCamMagicHG.cc:
     - replaced Calc* by InitGeometry
     
   * mmain/MEventDisplay.cc:
     - added a filter to support MC and real files
     
   * mmain/Makefile:
     - added mdata and mfilter
     
   * mraw/MRawFileRead.cc:
     - close file in PostProcess
     
   * mraw/MRawRunHeader.h:
     - added a comment
     
   * mraw/RawIncl.h:
     - removed some obsolete includes

   * mhist/MH*:
     - cleaned up many includes



 2003/11/15: Thomas Bretz, Abelardo Moralejo

   * mhist/MH.h: 
     - added fSerialNumber data member 

   * mhist/MFillH.cc:
     - distribute serial number to the MH object to be filled

   * mranforest/MHRanForest.cc, mhist/MHHadronness.cc:
     - added serial number to the MMcEvt container (does nothing unless
       SetSerialNumber has been called for the corresponding MFillH)
       This is intended to allow the use of Random Forest with MC
       multi-telescope files.

   * NEWS: 
     - updated.



 2003/11/14: Abelardo Moralejo

   * mfilter/MF.cc:
     - added the possibility of using in the filter parameters from a
       multi-telescope MC camera file, where master branches for each
       telescope are tagged with ;i  being i  the number of telescope.
       The change consists in the addittion in MF::IsAlNum of ';' as 
       a possible alphanumeric character in the string.



 2003/11/13: Thomas Bretz

   * macros/readCT1.C:
     - fixed to work with the new MHCamera::Draw (see Mantis)
     - changed to display event and cleaned event
     
   * macros/readMagic.C:
     - fixed to work with the new MHCamera::Draw (see Mantis)

   * mhist/MHEvent.cc:
     - fixed display of the energy (see Mantis)
     
   * mmain/MEventDisplay.cc:
     - fixed usage of small canvas with new MHCamera::Draw



 2003/11/11: Rudy Bock
  
   * mfilter/MFGeomag.[h,cc]:
     - added a new class which reads two ASCII files (for +ve and -ve
       particles) from the mfilter directory, and filters out 
       low-energy charged Monte Carlo particles which do not reach the
       earth's surface. Tables are from Adrian Biland. A method is
       included which allows treating gammas as electrons (i.e. rejects
       low energy particles).



 2003/11/11: Nicola Galante

   * mhistmc/MHMcTriggerLvl2.[h,cc]:
     - Removed 'const' qualifier for the returned object of the
       method (TH1 *)MHMcTriggerLvl2::GetHistByName(const TString name)



 2003/11/10: Nicola Galante

   * mhistmc/MHMcTriggerLvl2.[h,cc]:
     - Changed return value of method MHMcTriggerLvl2::GetHistByName()
       Now it returns a (TH1 *), no more a (TObject *), in order to keep
       formal compatibility with the overloaded method of the mother
       class TH1 *MH::GetHistByName(TString name)




 2003/11/10: Thomas Bretz
  
   * macros/dohtml.C:
     - added mreflector
     - removed mdatacheck
     - removed mventdisp

   * mbase/MEvtLoop.[h,cc]:
     - removed instantiation of gListOfPrimitives
     
   * mbase/MGGroupFrame.h:
     - minor change
     
   * mbase/MLog.cc:
     - added a comment
     
   * mbase/MParContainer.[h,cc]:
     - removed include MEvtLoop.h
     - added instantiation of gListOfPrimitves
     
   * mbase/MReadSocket.[h,cc]:
     - added more functionality
     - added comments
     - added Open() Close()
     
   * mbase/MTask.cc:
     - removed obsolete include for MGGroupFrame

   * mfilter/MFRealTimePeriod.h:
     - initialize fTime with 0
     
   * mhist/MHCamEvent.cc, mhist/MHEvent.cc, mhist/MHTriggerLvl0.cc:
     - removed creation of additional pad in Draw
     
   * mhist/MHCamera.cc:
     - added creating of additional pad in Draw
     - added some comments
     
   * mraw/MRawSocketRead.[h,cc]:
     - added comments
     - added fPort data member
     - take MStatusDisplay status into account
     - SetStausLine2 added
     - removed obsolete include of iosfwd

   * Makefile:
     - changed makedepend line size
     - renamed shared object from mars.so to libmars.so
     - moved shared object from lib-directory to mars root directory
     - make all executables load the shared object instead of statically 
       linking
     - removed mdatacheck

   * Makefile.conf.darwin, Makefile.conf.linux, Makefile.conf.linux-gnu,
     Makefile.conf.osf1, Makefile.conf.osf5.1:
     - removed obsolete SUBDIRS in MARS_LIB
     
   * mars.cc:
     - do not show logo if command line arguments are wrong

   * macros/rootlogon.C:
     - load libmars.so instead of lib/mars.so
     - added mreflector to include path
     - removed mdatacheck from include path
     - removed mventdisp from include path
     
   * mmain/MStatusDisplay.[h,cc]:
     - secure UpdateTab with a TMutex
     - do not use MGTextView for root versions >= 3.02.05
     - fixed a crash when all tabs where deleted, no tab was active
       anymore
     - show when updating postscript header

   * mmain/MStatusDisplay.[h,cc], mmain/MSearch.[h,cc], mmain/MGMenu.[h,cc],
     mmain/MSearch.[h,cc]:
     - moved to mbase

   * mmain/Makefile, mmain/MainLinkDef.h:
     - removed MStatusDisplay
     - removed MSearch
     - removed MGMenu
     - removed MProgressBar
     - added MGDisplayAdc

   * mbase/Makefile, mbase/MainLinkDef.h:
     - added MStatusDisplay
     - added MSearch
     - added MGMenu
     - added MProgressBar

   * mdatacheck/Makefile, mdatacheck/DataCheckLinkDef.h:
     - removed MGDisplayAdc

   * meventdisp/Makefile, meventdisp/DataCheckLinkDef.h:
     - removed MGCamDisplay
     - removed MGEvtDisplay

   * mdatacheck/MGDisplayAdc.[h,cc]:
     - moved to mmain

   * mona.cc:
     - added ChangeContextMenus
     - adapted to new MRawSocketRead interface
     - assigned names to different tasks
     - swiched off progress bar (temporarily)
     - moved status display into thread
     - exit thread by Exit() (seems to be necessary)
     - added preliminary workaround for mssing RootPlugin

   * mmain/MAnalysis.cc:
     - removed external display
     - added MStatusDisplay
     
   * mmain/MMonteCarlo.cc:
     - old workaround (MMcEvt) obsolete

   * mmain/MAnalysis.cc:
     - do not call DisableAutoScheme
     
   * mmain/MCameraDisplay.cc:
     - minor changes

   * mgui/MCamDisplay.[h,cc], mmain/MEvtDisp.[h,cc],
     meventdisp/MGCamDisplay.[h,cc], MGEvtDisplay.[h,cc],
     meventdisp/MGFadcDisp.[h,cc], meventdisp/EvtDispIncl.h, 
     meventdisp/EvtDispLinkDef.h, meventdisp/Makefile, meventdisp:
     - removed (obsolete)

   * mmain/MGDisplayAdc.[h,cc]:
     - added ClassDef/ClassImp

   * manalysis/MBlindPixelCalc.[h,cc]:
     - corrected interpolation of all values (thanks to Nadia)
     - fixed algorithm for pixels not existing yet

   * manalysis/MCerPhotEvt.h:
     - added return value to AddPixel



 2003/11/08: Nicola Galante

   * mhistmc/MHMcTriggerLvl2.[cc,h]:
     - Changed binning of histograms fHistLutPseudoSize, 
       fHistLutPseudoSizeNorm, fHistSizeBiggerCell, 
       fHistSizeBiggerCellNorm to fix an overflow bug
     - In method GetHistByName(const TString name): changed the class 
       of the returned object, now it returns a (TObject *), no more 
       a (TH1F *), in order to return either (TH1 *) than (TH2 *); 
       changed the order by which it checks the name of the
       histogram in order to fix a bug in the lexing

   * macros/triglvl2.C:
     - Added some instruction to write all the MMcTriggerLvl2 histograms into
       a TFile 



 2003/11/07: Thomas Bretz
  
   * mmain/MCameraDisplay.cc:
     - changed MGCamDisplay to MEventDisplay
     
   * mmain/MMars.cc:
     - removed 'Event Display' button
     - removed MEvtDisp

   * mmain/MEventDisplay.[h,cc], mhist/MHEvent.[h,cc]:
     - added

   * mmain/Makefile, mmain/MainLinkDef.h:
     - removed MEvtDisp
     - added MEventDisplay

   * Makefile:
     - removed mevtdisp

   * mhist/Makefile, mhist/HistLinkDef.h:
     - added MHEvent

   * Makefile, Makefile.rules:
     - automatically create dependancies

   * NEWS:
     - updated
     
   * mhist/MHCamera.[h,cc]:
     - implemented kNoLegend=BIT(20)
     - Clear pad before drawing Camera

   * mmain/MStatusDisplay.cc:
     - print when updating ps-header

   * status.cc:
     - added (not yet in Makefile)

   * manalysis/MMcPedestalCopy.[h,cc]:
     - made sure, that MPedestalCam is in the list 
     
   * mraw/MRawEvtData.cc:
     - set the maximum/minimum of the fadc histograms
     
   * mraw/MRawEvtPixelIter.[h,cc]:
     - added a fixes for the case that fData->fLoGainPixId->GetArray()=NULL

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - added MCameraData

   * manalysis/MCameraData.[h,cc]:
     - added
     
   * mhist/MHEvent.[h,cc]:
     - fixed display of levels
     - fixed unallowed characters
     
   * mimage/MImgCleanStd.[h,cc]:
     - moved the calculation for signal/noise to MCameraData
     
   * mmain/MEventDisplay.cc:
     - added display for cleaning data and levels



 2003/11/06: Antonio Stamerra

   * manalysis/MMcTriggerLvl2.cc
     - Removed annoying warning message and put it in the Print method.



 2003/11/05: Wolfgang Wittek

   * macros/CT1Analysis.C, macros/ONOFFCT1Analysis.C:
     - current versions of the macros for the analysis of CT1 data
 
   * manalysis/MMarquardt.[h,cc]:
     - very pleliminary version of a class performing a minimization 
       using the Marquardt method

   * mimage/M2dimFunctionFit.[h,cc]
     - very pleliminary version of a class which fits a 2-dim function
       to the shower image using the maximum likelihood method 

   * mimage/M2dimFunction.[h,cc]:
     - very pleliminary version of a container which contains the
       parameters of the 2-dim function describing the shower image

   * mimage/MH2dimFunction.[h,cc]
     - very pleliminary version of a container holding the histograms
       for the parameters of the 2-dim function describing the shower
       image



 2003/11/05: Marcos Lopez
  
   * mmontecarlo/MMcWeightEnergySpecCalc.[h,cc]
     - Now, if the new spectrum for the MC showers is a power law, we
       don't convert it to a TF1 function.
     - Changed the constructor for the case in which the new spectrum
       is passed as a TF1 function. Now we pass the TF1 object by
       reference.
     - Thanks to the suggestions of T. Bretz, added three more
       constructors to give the possibility of passing the shape of the
       new spectrum in other different ways. Now, if the new spectrum
       that you want for the MC showers is different from a power law,
       you can specify its shape either with a TF1 function, with a
       string (char*), or with a general C++ function defined by your
       own. 
     - In function Reinit(): added a sanity check to prevent from
       dividing by zero.
     - In PreProcess(): removed an unnecessary sentence.
     - Fixed a compiling error which appeared under gcc 3.3
	
   * macros/weights.C
     - addapted to show the new features introduced. 



 2003/11/05: Thomas Bretz
  
   * mbase/MTask.cc:
     - initialize fSerialNumber=0

   * mhist/MHCamera.cc:
     - removed some obsolete IsUsed(idx) checks when filling the histogram
     - ExecuteEvent now plots in the same canvas all the time

   * mmain/MStatusDisplay.[h,cc]:
     - added new data member fUserFrame
     - added new member function AddUserFrame
     - made call to ProcessEvent() and similar thread safe by
       checking whether we run in the main thread or not.
     - Set the progress bar range to (0,1)
     - Added member function to set progress bar position
     - updated comments
     - added some workarounds for root bugs in TCanvas (sometimes
       they call gPad->cd() indirectly when gPad==NULL)
     - Fixed thread safety of UpdateTab()
     - Fixed some crashes in case fTab==NULL
     - Tried to make HandleConfigureNotify more flexible to allow
       the new fUserFrame to work correctly - needs still some
       investigations
     - made fList a protected data member 
     - added new member function Update()



 2003/11/04: Thomas Bretz
  
   * mmontecarlo/MMcTimeGenerate.cc:
     - adapted to changes in MTime

   * mgeom/MGeomCam.[h,cc]:
     - precalculate pix ratio (and square root of it) for faster
       calculations. This makes sense, because these values are
       needed at least n times (while n is the number of pixels)
       per event. Which results in billions of calculations already
       for some events.
     - implemented CalcPixRatio to do the precalculation
     - changed class version of MGeomCam from 1 to 2

   * mgeom/MGeomCamCT1.cc, mgeom/MGeomCamCT1Daniel.cc, 
     mgeom/MGeomCamECO1000.cc, mgeom/MGeomCamMagic919.cc,
     mgeom/MGeomCamECO1000HG.cc, mgeom/MGeomCamMagic.cc,
     mgeom/MGeomCamMagicHG.cc:
     - implemented CalcPixRatio to do the precalculation
     - some simple code cleanup (removed obsolete comments, etc)
   
   * mgeom/MGeomPix.[h,cc]:
     - replaces tan(60deg) by a build-in constant (fgTan60)
     - pre calculate the area of the pixel in the constructor
       (for speed reasons, see pixratio aboive)
     - added fA
     - changed version number from 1 to 2

   * mimage/MImgCleanStd.cc, mimage/MImgCleanTGB.cc:
     - directly use MGeomCam::GetPixRatioSqrt() now

   * mraw/MRawSocketRead.cc:
     - updated comment header
     - updated class description
     - removed obsolete fMutex, Lock() and UnLock()
     - moved code from Do() to Process()
     - added comments

   * meventdisp/MGCamDisplay.cc:
     - replaced MHillas:Clear() by Removing from ListOfPrimitives
     
   * mimage/MHillas.[h,cc]:
     - removed fEllipse
     - removed the Draw function
     - added a correct Paint() function

   * Makefile:
     - added star
     
   * macros/star.C:
     - removed obsolete MSrcPosCam (will be created automatically)
     - made the macro work with a telescope serial number
     
   * mbase/MParContainer.[h,cc]:
     - moved GetDescriptor to source file and added a function 
       description
     - changed GetDesciptor to be virtual
       
   * mbase/MTask.[h,cc]:
     - added new data member fSerialNumber
     - changed version number from 1 to 2
     - added GetDescriptor aware of the serial number
     - added Getter and Setter for serial number
     - made StreamPrimitive serial number aware
     
   * mbase/MTaskList.[h,cc]:
     - overwrote SetSerialNumber

   * mfileio/MReadTree.cc:
     - changed a C-cast to a C++-cast
     
   * mfileio/MWriteRootFile.h:
     - changed BIT(16) to BIT(17). UPDATE mode was not working
       with newer root versions, because BIT(16) was used already
       
   * manalysis/MBlindPixelCalc.cc, manalysis/MCerPhotCalc.cc,
     manalysis/MGeomApply.cc, manalysis/MMcPedestalCopy.cc,
     manalysis/MMcPedestalNSBAdd.cc, manalysis/MSigmabarCalc.cc,
     mimage/MHillasCalc.cc, mimage/MHillasSrcCalc.cc, 
     mimage/MImgCleanStd.cc:
     - made serial number aware
     
   * mraw/MRawFileWrite.cc:
     - automatically add .root extension

   * star.cc:
     - added



 2003/11/03: Thomas Bretz
  
   * manalysis/MMcPedestalCopy.[h,cc], manalysis/MMcPedestalNSBAdd.[h,cc]:
     - fixed such, that it now works correctly with non-MC files
     - moved container requests from PreProcess to ReInit
     - removed some obsolete data members - made them locally
     
   * manalysis/MMcPedestalRead.[h,cc]:
     - removed
     
   * mbase/MEvtLoop.cc:
     - replaced the gApplication->InheritsFrom(TRint::Class())
       workaround for thread safty by the more correct check
       whether we are running in the main Thread (TThread::Self())
     - added double-cast to TProgressBar::SetPosition
       
   * mbase/MTask.h:
     - added the missing const-qualifier to GetNumExecutions
     
   * mbase/MTaskList.cc:
     - fixed a typo in the output
     
   * mimage/MHillasCalc.[h,cc]:
     - replaced TArrayC by TArrayL to support huge number of events
     - added PrintSkipped
     - added comments to the data members

   * mars.cc:
     - added code for a possible use of a TGApplication
       (in comments)

   * merpp.cc, readraw.cc:
     - unified with the other executables (StartUpMessage, etc)
     - removed TROOT-object
     - readraw.cc: added more functionality

   * mraw/MRawEvtData.cc:
     - changed positions of 'fush' in Print() (this confused 'more'
       because 'more' also counts the ANSI color codes to determin
       the line-length)

   * mhistmc/MHMcCollectionArea.cc:
     - added UseCurrentStyle such that the axis labels are displayed

   * mbase/MTime.[h,cc]:
     - removed fTimeStamp
     - increased version number
     - changed Print() function
     - removed obsolete functions and constructors
     - fixed copy constructor
     
   * mfileio/MCT1ReadPreProc.cc:
     - replaced SetTime by SetCT1Time
     
   * mhist/MHAlphaEnergyTime.cc, mhist/MHEnergyTime.cc,
     mhist/MHThetabarTime.cc, mhist/MHTimeDiffTheta.cc,
     mhist/MHTimeDiffTime.cc:
     - adapted to changes in MTime
     
   * mraw/MRawEvtHeader.cc:
     - adapted to changes in MTime
     - minor change to output in Print()



 2003/10/31: Marcos Lopez

   * mhist/MFillH.cc:
     - Fixed a bug in function PreProcess(MParList *pList). Inside the 
       conditional sentence "if (!fWeight && !fWeightName.IsNull())",  
       fWeight never pointed to the object MWeight recoverd from the 
       parameter list.

   * mhistmc/MHMcEnergyImpact.cc:
     - In the Fill function, pass the weight to the histogram fHist.

   * mmontecarlo/MMcWeightEnergySpecCalc.[h,cc]:
     - Added new class for changing the energy spectrum of the showers 
       simulated with Corsika to a different one, be using weights   
			
   * mmontecarlo/Makefile, MonteCarloLinkDef.h
      - Added the new class.
 
   * macros/weights.C
      - Added macro showing how to transform the spectrum of the MC showers.





 2003/10/31: Thomas Bretz

   * mars.cc:
     - change TGApllication back to TApplication (TGApplication doesn't
       load the TVirtualPad plugin by default) DISPLAY must be set
       manually if it is not set.



 2003/10/30: Antonio Stamerra

   * manalysis/MMcTriggerLvl2.[h,cc]
     - Added method CalcTriggerPattern to check which x-NN compact
       pattern the event satisfies. The variable member fTriggerPattern 
       contains the number x (x=3,4,5,6,7). 
     - Inline function GetTriggerPattern added.

   * manalysis/MMcTriggerLvl2Calc.cc
     - Added call to the MMcTriggerLvl2::CalcTriggerPattern in Process().



 2003/10/30: Thomas Bretz

   * manalysis/MCerPhotEvt.[h,cc]:
     - fixed a bug in the new Lut-stuff. Sometimes pixels where
       considered existing, because there where no mark for 
       empty entries in the Lut.
     - all loops ignored pixel with index 0 and used it as reference
       pixel - this is wrong, because pixel 0 must not exist at all.
       Now all loops are starting with pixel 0.

   * mimage/MImgCleanStd.[h,cc]:
     - renamed various local variables from 'id' to 'idx'
     - in clean step 4 we assumed that a pixel with idx2 is existing
       - this is a dangerous assumption. It is checked now.



 2003/10/29: Thomas Bretz
  
   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - removed MMcPedestalRead

   * manalysis/MMcPedestalCopy.[h,cc]:
     - merged functionality of MMcPedestalRead into it
     - do not remove itself from the tasklist, but check 
       the file type for each file again.
     - added const-qualifiers in the class header
       
   * manalysis/MMcPedestalNSBAdd.[h,cc]:
     - don't do something if camera file version is < 0.7
     - do not remove itself from the tasklist, but check 
       the file type for each file again.
     - added const-qualifiers in the class header
     
   * mgui/MCamEvent.cc:
     - added a comment
     
   * mimage/MHillasCalc.[h,cc]:
     - replaced the fixed size array fErrors by a dynamic size array
       (TArrayC) to make sure, that people get a warning on the
       screen if the reprogram the error handling and write
       into an unallowed index.



 2003/10/28: Thomas Bretz
  
   * macros/readCT1.C:
     - fixed to work with the correct geometry
     
   * macros/readMagic.C:
     - fixed - was crashing
     
   * macros/tar.C:
     - exclude 'Tag' files from tar
     
   * manalysis/MGeomApply.[h,cc]:
     - replaced constructor by SetGeometry (constructor was
       not unique)

   * mbase/MEvtLoop.[h,cc]:
     - set fProgress already when setting fDisplay (gives the
       possibility to overwrite fProgress)
     - removed 'entries' from ProcessGuiEvents (moved to fNumEvents)
     - Set ProgressBar position in percent instead of event number
     - Set progress bar range from 0 to 1
     
   * mbase/MReadSocket.cc:
     - fixed to treat timeout correctly
     - replaces usleep() by gSystem->Sleep()

   * mbase/MTime.h:
     - added SetTime(ULong_t) (support for gSystem->Now())
     - added SetTime(Double_t)
     - added operator()
     - fixed all comparison operators to use time instead of
       time lo/hi - will be removed soon
       
   * mimage/MHHillasSrc.cc:
     - delete 3rd Pad
     
   * mraw/MRawEvtData.cc:
     - when drawing print gPad



 2003/10/28: Wolfgang Wittek

   * manalysis/MCT1PadONOFF.cc
     - replace GetMeanRms() by GetPedestalRms()
     - replace SetMeanRms() by SetPedestalRms()
     - reactivate code which was commented out by tgb
       (no compilation errors on Alpha OSF)

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile
     - put back MCT1PadONOFF

   * macros/CT1Analysis.C, macros/ONOFFCT1Analysis.C
     - current versions of macros for the analysis of CT1 data



 2003/10/26: Oscar Blanch Bigas

   * mmc/MMcFadcHeader.[cc,h]
     - Added variable member that has the sigma of the electronic noise
       that goes with the same value to both FADC gains (fDigitalNoise)
     - Class version has been changed from 2 to 3.



 2003/10/24: Abelardo Moralejo

   * manalysis/MMcPedestalRead.[cc,h]
     - Added. In coming camera version (0.7) the pedestal sigma per 
       FADC slice is calculated by the camera simulation at run time, 
       then written to the output file. This class reads in the pedestal
       mean and sigma to be later used in the analysis (for tail cuts 
       mainly). This task will replace MMcPedestalCopy and 
       MMcPedestalNSBAdd for camera >= 0.7 files, for which the second
       class would produce wrong results.



 2003/10/23: Abelardo Moralejo

   * mhistmc/MHMcEnergyMigration.cc
     - Changed the Draw procedure: with new root versions (3.04, 3.05)
       the result of the used drawing options was different from what 
       we had in 3.02, and the graphics output had become unreadable. 
       Replacing some Draw() calls by DrawCopy() has solved the problem.



 2003/10/23: Thomas Bretz

   * macros/star.C:
     - replaced geometry by the task MGeomApply

   * manalysis/MCerPhotCalc.cc:
     - fixed typo



 2003/10/22: Thomas Bretz
  
   * mars.cc:
     - replaced TApplication by TGApplication
     - removed TROOT
     - reset Batch mode in any case
     
   * meventdisp/MGCamDisplay.cc:
     - use new MHCamera::SetLevels to display cleaning levels
     
   * mhist/MHCamera.[h,cc]:
     - removed FillLevels - obsolete
     - added SetLevels instead


 2003/10/21: Wolfgang Wittek

  * manalysis/MMatrixLoop.[h,cc]
    - member function PreProcess() put from .h to .cc

  * mhist/MHMatrix.[h,cc]
    - member function SetNumRow() put from .h to .cc



 2003/10/20: Thomas Bretz

   * mraw/MRawEvtPixelIter.[h,cc]:
     - changed name of member function from GetNumMax[Hi,Lo]GainSamples
       to GetIdxMax[Hi,Lo]GainSamples
  
   * manalysis/MMcPedestalCopy.cc:
     - changed GetPedestalRms to GetElecNoise to make Mars compile with
       the changes done in MMcFadcHeader

   * mmc/MMcTrig.cxx:
     - changed <iostream.h> to <iostream> according to C++

   * mhistmc/MHMcTriggerLvl2.[h,cc]:
     - MHMcTriggerLvl2::GetHistByName removed const-qualifier and 
       changed return type to TH1 according to definition in MH.

   * macros/status.C:
     - use MDirIter instead of a single file name
     - adde MHTriggerLvl0
     - Simplified macro by using PrintOutliers

   * mhist/MHCamEvent.[h,cc]:
     - renamed PrintOutlayers to PrintOutliers
     - Divide pad only into two subpads

   * mfilter/MF.cc:
     - added comment about '=='

   * mhist/MHMatrix.cc:
     - removed some pieces of code which preserved the contents
       of a matrix when resizing. This is done by root now.

   * mfilter/MFRealTimePeriod.[h,cc]:
     - added

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - added MFRealTimePeriod

   * mars.cc:
     - moved Start-up-message to StartUpMessage()

   * manalysis/MBlindPixelCalc.h, manalysis/MCT1FindSupercuts.cc,
     manalysis/MCerPhotAnal.h:
     - minor changes

   * mhist/MHCamera.[h,cc]:
     - added Profile-option (display contents/entries)
     - added Freeze-option  (ignore filling data into the histogram)
     - added UseCurrentStyle to get the y-axis back
     - overwrite DrawCopy

   * manalysis/MCerPhotEvt.[h,cc]:
     - added fLut to accelerate searching an index a lot, this should
       be backward compatible to old class versions
     - increased class version to 2
     - removed all searches for indices - replaced by GetPixById
     - GetPixById no uses the look-up-table, which is much much faster
       and still searches the array if the fLut size is 0 which might
       be because of a class version 1 object is read from a file -
       according to Rene this should work.

   * manalysis/MPedestalCam.[h,cc]:
     - replaced a C-cast by a C++ static_cast

   * mhist/MH.[h,cc]:
     - renamed them from Draw/DrawCopy to DrawSame/DrawSameCopy

   * mraw/MRawEvtData.[h,cc]:
     - changed arrays to '//->'
     - overwrote Copy() member function

   * mhist/MFillH.[h,cc]:
     - added GetCanvas()

   * mhist/MHHadronness.cc, mimage/MHHillasExt.cc,
     mimage/MHNewImagePar.cc:
     - changed Draw to DrawSame

   * mhist/MHCamEvent.cc:
     - use new MHCamera profile mode

   * mbase/MEvtLoop.cc, mmain/MStatusDisplay.cc:
     - check whether application is TRint to make mone thread safe
       This is necessary not to call ProcessEvents() twice at the
       same time!



 2003/10/17: Oscar Blanch

   * mmc/MMcFadcHeader.[cxx,hxx]:
     - Added variable members to store the pedestal sigma from thte
       camera simulation porgram: fPedesSigmaHigh fPedesSigmaLow

   * mmc/MMcRunHeader.cxx:
     - fill fNumEvts with number of stored events

   * mmc/MTriggerDefine.h:
     - Trigger zone for CT1 cameras up to 126 pixels

   * mgeom/MGeomMirror.cc:
     - fixed bug in filling axis desviation



 2003/10/15: Thomas Bretz

   * Makefile.conf.general:
     - added libThread to support mona
     
   * manalysis/MCerPhotAnal2.cc:
     - changed comments
     - accelerated the code a bit by using pointer arithmetic
     
   * mbase/BaseLinkDef.h, mbase/Makefile:
     - added MReadSocket

   * mbase/MReadSocket.[h,cc]:
     - added MReadSocket
     
   * mbase/MEvtLoop.cc:
     - fixed some crashes in ProcessGuiEvents
     
   * mbase/MFilter.cc:
     - changed header
     
   * mbase/MTime.h:
     - added operator double() 

   * mimage/MHillas.cc:
     - changed the comments about corrxy
     
   * mmain/MStatusDisplay.[h,cc]:
     - added many comments
     - added kFileClose stuff
     - added AddRawTab
     - added thread handling in UpdateTab
     - fixed deletion in case the pointer is on heap
     - added date/time to ps-output
     
   * mraw/MRawEvtHeader.cc:
     - added some comments about the total number of bytes read
     
   * mraw/MRawRunHeader.[h,cc]:
     - added some comments about the total number of bytes read
     - fixed treating files with 0xc0c1 as Magic-Number
     - added GetNumTotalBytes

   * mraw/Makefile, mraw/RawLinkDef.h:
     - added MRawSocketRead

   * mraw/MRawSocketRead.[h,cc]:
     - added

   * mona.cc:
     - added



 2003/10/05: Abelardo Moralejo

   * macros/star.C:
     - returned to revision 1.9 (I had committed by mistake a private 
       version of the macro, sorry!)



 2003/10/04: Thomas Bretz

   * macros/MagicHillas.C, macros/pedestalvstime.C, macros/pixfirerate.C,
     macros/pixsatrate.C, macros/readCT1.C, macros/readMagic.C,
     macros/starplot.C, macros/status.C, macros/sumevents.C,
     macros/sumeventserr.C, macros/sumeventsrms.C, macros/sumpedestalrms.C,
     macros/sumpedestals.C, mmain/MDataCheck.cc:
     - added MGeomApply
     
   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MGeomApply

   * manalysis/MBlindPixelCalc.cc:
     - for buid-in pixel numbers added a check whether the geometry
       is mathcing
       
   * manalysis/MCerPhotCalc.cc, manalysis/MMcPedestalCopy.cc, 
     manalysis/MMcPedestalNSBAdd.cc, meventdisp/MGCamDisplay.[h,cc],
     meventdisp/MGEvtDisplay.[h,cc], mhist/MHFadcCam.cc:
     - fixed that it can deal with variable size arrays

   * manalysis/MGeomApply.[h,cc]:
     - added. This task will take care of different geometries

   * manalysis/MPedestalCam.cc:
     - initialize array with size 1
     - do not call new operator
     
   * mbase/MArgs.cc, mbase/MDirIter.cc:
     - added comments
     
   * mdatacheck/MGDisplayAdc.cc:
     - fixed a small bug in setting slider position for different geometries
     
   * mfileio/MWriteRootFile.cc:
     - automatically append '.root' to file name
     
   * mhist/MHCamera.cc:
     - added Init function
     - moved parts of the construtor to Init function
     - added default constructor
     - added possibility to change geometry after creation by SetGeometry
     - added many sanity checks (fNcells<=1)



 2003/10/02: Thomas Bretz

   * mraw/MRawEvtData.cc:
     - changed Draw so that also lo-gains are displayed.2



 2003/10/01: Nicola Galante

   * mhistmc/MHMcTriggerLvl2.[h,cc]:
     - in method MHMcTriggerLvl2::Fill added filling of 2D histograms
       of fLutPseudoSize vs. energy and of fSizeBiggerCell vs. energy
     - modified method MHMcTriggerLvl2::GetHistByName which now
       can return any histogram (data member) of the class
       MHMcTriggerLvl2 (now it returns a (TObject *) not a (TH1F *))
     - Updated option list of the methid MHMcTriggerLvl2::DrawClone

   * macros/triglvl2.C:
     - Updated according with changes in class MHMcTriggerLvl2



 2003/09/30: Robert Wagner

   * mfileio/MCT1ReadPreProc.cc
     - undone change from 2003/09/26
     - MJD is filled in fTime.Duration



 2003/09/29: Nicola Galante & Antonio Stamerra

   * mmc/MMcTrig.cxx:
     - Fixed a bug in function IsPixelFired():  the binary shift, introduced 
       by T.B. to replace "pow" for power of two, was wrong. 
       The correct operator to be used is "<<" and not ">>"! 

   * manalysis/MMcTriggerLvl2.[h,cc]:
     - Added method "CalcEnergy(MMcEvt *)" used to get correlation between
       energy and size.
     - Removed graphical functions "Drawcell" and "DrawLvl1"
     - Fixed bug in the pixcell setting (pixel numbering in the cell starts 
       from 0 but gsPixelInLut starts from 1).   
     - Fixed bug in the "check" variable.	

   * manalysis/MMcTriggerCalc.[h,cc]:
     - Added call to MMcTriggerLvl2::CalcEnergy() in Process() 
     - Removed 'const' from fMcEvt declaration	

   * mhistmc/MHMcTriggerLvl2.[h,cc]:
     - Added method "Draw2DHist" (draw correlation between
       energy and size)
     - Fixed bug in "DrawClone" function (histogram normalization)

   * macros/triglvl2.C:
     - Fixed a bug in the task list order to apply correctly the filters
     - Now it writes on disk a root file with some histograms



 2003/09/26: Robert Wagner

   * mfileio/MCT1ReadPreProc.cc
     - provisionally pass complete event time to fTime container,
       units are MJDs instead of seconds for the time being



 2003/09/25: Abelardo Moralejo

   * macros/MagicHillas.C, star.C
     - Added cast: TArrayF w(15,(Float_t*)x) to get rid of warning.



 2003/09/24: Abelardo Moralejo

   * macros/MagicHillas.C, star.C
     - Added const qualifier to TArrayF w(15,x); I got a crash due to
       this missing qualifier when changing some code in MCerPhotCalc
       (not yet submitted).

   * macros/CT1Hillas.C
     - removed code containing TArrayF w(15,x) (which was commented)
       since it made no sense for CT1.



 2003/09/24: Wolfgang Wittek

   * mfilter/MFEventSelector2.[h,cc]
     - execution statistics added

   * mhist/MHFindSignificance.cc
     - add fHist->UseCurrentStyle()
       to get the y-axis + labels drawn

   * mhist/MHMatrix.h
     - replace   Int_t fNumRow  //!   
            by   Int_t fNumRow  //
       because otherwise fNumRow is not defined when MHMatrix object is read in
       after it had been written out

   * mhist/MHCT1Supercuts.cc
     - change title of object

   * manalysis/MMinuitInterface.cc
     - add arguments maxcalls and tolerance to SIMPLEX call

   * manalysis/MCT1SupercutsCalc.[h,cc]
     - add variables asymmetry, conc, leakage

   * manalysis/MCT1Supercuts.[h,cc]
     - add variables asymmetry, conc, leakage
     - add TArrayD fStepsizes (initial step sizes for the parameters)

   * manalysis/MCT1FindSupercuts.cc
     - replace MGeomCamCT1Daniel by MGeomCamCT1
     - arguments 'parSCinit', 'params' and 'steps' added in FindParams() ;
         parSCinit is the name of the file containing the initial
         values of the parameters
         'params' and 'steps' are the initial values in case parSCinit == ""
     - add member functions GetMatrixTrain() and GetMatrixTest()
     - remove member function WriteMatrix()
       because it didn't work; now the matrices are written out in
       DefineTrainMatrix(), DefineTestMatri() and DefineTrainTestMatrix()

   * macros/CT1EgyEst.C
     - don't use Daniel's energy estimator

   * mmontecarlo/MMcEnergyEst.cc
     - extend printout of comments



 2003/09/17: Abelardo Moralejo

   * manalysis MCerPhotCalc.cc:
     - in warning about saturating low gains in pixels: changed the 
       'if' by a 'switch' and slightly corrected text of warning (no 
       change in performance or results).



 2003/09/16: Abelardo Moralejo

   * manalysis MCerPhotCalc.[h,cc]:
     - added the low gain treatment. It has first been implemented by
       TB, and the version I submit is a slightly modified one. If any 
       high gain FADC slice is saturated, we switch to low gain. If low 
       gain is also saturated, the signal is nevertheless calculated 
       ("truncated" of course), and a warning is displayed reporting 
       the number of saturated pixels in the current event. 
       Fixed also the calculation of the mean pixel pedestal (added 
       variable fSumWeights), which previously would not work correctly 
       in the case that one sets weights different from 0 or 1 in the 
       array fWeight (which was anyway not done up to now, as far as I 
       know). It would be necessary to add to the parameters of the 
       analyzed events the number of saturated pixels in some way. 
       In the MC files produced with camera versions 0.6 or earlier, no
       low gain is simulated, and saturation of high gain is not 
       correctly implemented, so this should not introduce any change
       in the analysis of present or old MC files.



 2003/09/12: Thomas Bretz
 
   * mimage/MHillasSrc.cc:
     - fixed the NaN-problem in the calculation of Alpha. More 
       information can be found in the comments there.

   * mhist/MHFadcCam.[h,cc]:
     - skip MC events which have no FADC information stored
     - better output in case of changes in the number of slices
     - added size argument to constructor to support ECO100, too.
     - removed all fixed numbers and replaced them by the corresponding
       function
     - fixed pixel numbering to be consistent with the software pixel
       numbering in the rest of Mars

   * mhist/MHFadcPix.[h,cc]:
     - fixed the missing y-axis (UseCurrentStyle()) 
     - fixed pixel numbering by changing default arument of pixid in
       constructor from 0 to -1

   * mmain/MDataCheck.cc
     - added 'Time Spectra of Cosmics' button
     - added size argument to instatiation of MHFadcCam



 2003/09/10: Thomas Bretz
 
   * mdata/MDataChain.[h,cc]:
     - added log2, acosh, asinh, atanh, ceil, isnan and finite
     - changed math.h callings to TMath:: namespace to be more
       consistent
       
   * mhist/MHMatrix.[h,cc]:
     - added RemoveInvalidRows member function to get rid of rows
       containing invalid numbers (nan, inf)

   * mraw/MRawEvtHeader.cc:
     - fixed variable types calculating the time (ns, s, m and h)
       to get rid of some compiler warnings, casting the values 
       for-, back- and forward only wasts computing time.



 2003/09/08: Abelardo Moralejo

   * mhist/MHOnSubtraction.cc: 
     - added some casts in the arguments of function calls, to get rid 
       of compilation warnings due to mismatch of variable type 
       (variables: lowerBin, upperBin). Corrected order of arguments in 
       TH1D constructor of fSignificanceHist (number of bins and bin 
       limits).

   * mraw/MRawEvtHeader.cc:
     - Added casts to arguments of fTime->SetTime(h, m, s, ns) to get 
       rid of compilation warnings.

   * mhist/MHCamera.cc:
     - Changed calls to abs and fabs by TMath::Abs. At least in RH7.2 
       with gcc2.96, abs() was not recognized.



 2003/09/07: Abelardo Moralejo

   * manalysis/MCerPhotCalc.cc:
     - removed normalization of array fWeight introduced on 30/06. For
       now, this array is intended only to select the FADC slices which
       we want to integrate to get the signal. The use of this feature
       of MCerPhotCalc is explained in the example macro MagicHillas.C
       The array fWeight must contain 0's and 1's. If we normalize
       these values, the signal units is no longer ADC counts (but 
       "average ADC counts per slice"). As David realized, this was the 
       reason for the discrepancies in the gamma/hadron separation 
       results we were observing lately. The meaning of Size was 
       different among the different people working on the subject, and 
       hence, when we compared samples with a given Size cut we were
       actually comparing different energy ranges.

     - Turned fSumQuadWeights to its original meaning, the quadratic 
       sum (square root of the sum of the squares) of the values in the 
       fWeight array. Why was this changed?? (sqrt removed) Only because 
       of the name of the variable??

     - Changed the calculation of the mean pedestal to fit the meaning
       of fSumQuadWeights.

     - Moved the call to ScalePedestals() to the end of the ReInit 
       function. Formerly it was called before the setting of the 
       variable fEnableFix, and then the mean pedestal in each FADC 
       slice was wrong by 0.5 units... once more: please Thomas B, 
       be careful with these kind of changes.



 2003/08/27: Thomas Bretz

   * mhist/MH3.cc:
     - fixed missing UseCurrentStyle for newer root versions



 2003/08/26: Thomas Bretz

   * mimage/MHHillas.cc, mimage/MHHillas.cc, mimage/MHHillasExt.cc,
     mimage/MHNewImagePar.cc:
     - fixed missing UseCurrentStyle for newer root versions



 2003/08/26: Wolfgang Wittek

    * manalysis/MCT1FindSupercuts.cc
      - set size of fStep, fLimlo, fLimup, fFix
      - in 'fcnsupercuts' : get total number of parameters by calling 'mnstat'

    * manalysis/MCT1Supercuts.[h,cc]
      - extend error printout

    * manalysis/MMinuitInterface.cc
      - do not delete the Minuit object because it will still be used

    * mhist/MHFindSignificance.cc
      - formulaBackg was wrong



 2003/08/26: Robert Wagner

    * mraw/MRawRunHeader.h
      - Added Setter for MJD

    * mfileio/MCT1ReadPreProc.cc
      - Fill MJD from Preproc run header in fRawRunHeader 



 2003/08/22: Wolfgang Wittek

    * mhistmc/MHMcCT1CollectionArea.cc
      - change selection of theta bin in 'CalcEfficiency()'
        (to be mored flexible in choosing the theta binnning)



 2003/08/21: Thomas Bretz

   * manalysis/MCT1FindSupercuts.[h,cc], manalysis/MCT1Supercuts.[h,cc], 
     manalysis/MCT1SupercutsCalc.[h,cc], manalysis/MMinuitInterface.[h,cc],
     mhist/MHFindSignificance.[h,cc]: 
     - changed some variables and member functions with respect to an upcoming
       Minimization Class
     - simplified some calls
     - replaced fixed size arrays by variable size arrays
     - added some sanity checks
     - simplified some variable usage

   * mhist/MHCT1Supercuts.[h,cc]:
     - removed obsolete SetupFill



 2003/08/20: Thomas Bretz

   * mhist/MHCamEvent.[h,cc]:
     - added PrintOutlayers
     
   * mhist/MHHadronness.cc:
     - changed PrintOutput
     - set some Grids in plots
     
   * mhist/MHMatrix.cc:
     - removed obsolete call to MEvtLoop::SetName
     - Changed name to something more intuitive
     
   * mranforest/MRanForest.cc, mranforest/MRanTree.h:
     - removed ^M
     
   * mranforest/MRanTree.cc:
     - removed obsolete check for gRandom
     - replaced mvar*numdata by a new variable mn



 2003/08/19: Thomas Hengstebeck

   * mranforest/MRanForest.cc:
     Removed error in calculation of fDataRang in CreateDataSort().
     In the loop where fDataRang is set, the local variable v must 
     be used with indices n1 and n2.   




 2003/08/19: Wolfgang Wittek

    * manalysis/MCT1Supercuts.[h,cc]
      - new class
      - container for the supercut parameters

    * manalysis/MCT1SupercutsCalc.[h,cc]
      - get supercut parameters from container 'MCT1Supercuts'

    * manalysis/MCT1FindSupercuts.[h,cc]
      - new class
      - optimizes the parameters for the supercuts

    * manalysis/MMinuitInterface.[h,cc]
      - new class
      - interface for Minuit

    * manalysis/Makefile
                AnalysisLinkDef.h
      - include MCT1FindSupercuts
                MMinuitInterface

    * mhist/MH3.cc
      - reset fHist in SetupFill();
        this is necessary if the same MH3 object is used in more than one 
        eventloop 

    * mhist/MHMatrix.cc
      - give name to the event loop

    * mhist/MHFindSignificance.[h,cc]
      - new class
      - calculates the significance of the gamma signal in the alpha plot      

    * mhist/MHCT1Supercuts.[h,cc]
      - new class
      - plots various quantities during the optimization of the supercuts

    * mhist/Makefile
            HistLinkDef.h
      - MHFindSignificance included
      - MHCT1Supercuts included



 2003/08/01: Thomas Bretz

   * mhist/MHCamera.[h,cc]:
     - added Fill(x, y, w)
     - renamed GetStats to GetStatisticBox
     
   * mhist/MHStarMap.[h,cc]:
     - include TH2 moved to source file

   * mranforest/MRanForest.[h,cc], mranforest/MRanTree.[h,cc]:
     - do not use all the data numbers and dimensions in thousands
       of arguments if the data is available eg from the size of an array
     - removed obsolete variables from header
     - many small simplifications
     - removed some obsolete variables from functions
     - added many const qualifiers
     - localized many more variables
     
   * mranforest/MRanForestFill.[h,cc]:
     - default fNumTrees set to -1 tree (all trees)

   * manalysis/MBlindPixelCalc.[h,cc]:
     - interpolate Pedestal, too
     - Only count 'valid' pixels
     
   * mfileio/MRead.[h,cc]:
     - enhanced AddFiles
     
   * mhist/MHCamEvent.[h,cc]:
     - Added PrintOutlayers

   * mhist/MHCamera.[h,cc]:
     - added GetNumPixels
     - added default to GetMean and GetRMS

   * mhist/MHTriggerLvl0.[h,cc]:
     - added PrintOutlayers

   * merpp.cc:
     - added more arguments
     - replace .raw by .root if no root file given
     - automatic extension adding
     
   * mbase/MEvtLoop.[h,cc]:
     - added estimated run time
     - in Process: Changes type of rc from Bool_t to Int_t 
     
   * mmain/MStatusDisplay.cc:
     - changed order in Tab-menu
     
   * mraw/MRawFileRead.cc:
     - consistency check for 0xc0c1 files
     
   * mraw/MRawRunHeader.cc:
     - initialize variables
     - added 0xc0c1 support


     
 2003/07/29: Thomas Bretz
 
   * manalysis/MBlindPixelCalc.cc:
     - count only pixel which contents are adde
     
   * mbase/MArgs.cc:
     - added namespace
     
   * mbase/MDirIter.h:
     - added rec-argument to constructor
     
   * mfileio/MCT1ReadPreProc.[h,cc], mfileio/MReadRflFile.[h,cc]:
     - adapted to virtual base function
     
   * mfileio/MRead.[h,cc]:
     - added AddFiles(MDirIter&)
     - changed AddFile to virtual
     
   * mfileio/MReadTree.cc:
     - use AddFile in the constructor
     
   * mhist/MH.[h,cc]:
     - remove 'nonew' from option
     
   * mhist/MHHadronness.[h,cc]:
     - added GetHadronness
     - changed output
     
   * mhist/MHMatrix.[h,cc]:
     - use TMatrixRow in shuffle
     - added ReduceRows
     - use default for PrintStatistics
     - removed graphics from Fill - will crash in batch mode
     
   * mimage/ImageLinkDef.h, mimage/Makefile:
     - added MImgCleanTGB
     
   * mimage/MCameraSmooth.h:
     - fixed a typo
     
   * mmain/MStatusDisplay.cc:
     - added sanity check to HasCanvas
     
   * mranforest/MHRanForest.cc, mranforest/MHRanForestGini.cc:
     - fixed a crashed caused by GetMaximum in newer root versions
     - optimized some small pieces of code
     - SetRangeUser removed, problems with newer root verion using
       roots auto-scale instead
       
   * mranforest/MRanForest.cc:
     - do not use variables in arguments which can be used locally
     - replaced pow(,2) by faster and more accurate val*val
     - test gRandom at the beginning of the function
     - changed output
     - removed TArray::Reset. Not necerry at many places. Instatiation
       already initializes array with 0s
     - Use a const reference to the matrices instead of a copy!
     - Removed some unnecessary castings
     - added some const qualifiers
     - removed fErr from data members (obsolete)
     
   * mranforest/MRanForestCalc.cc:
     - fixed a typo in the comments
     
   * mranforest/MRanTree.[h,cc]:
     - do not use variables in arguments which can be used locally
     - localized some variables
     - test gRandom at the beginning of the function
     - added some const qualifiers
     - removed TArray::Reset. Not necerry at many places. Instatiation
       already initializes array with 0s
     - added some overwrites of TreeHad



 2003/07/17: Oscar Blanch

   * mmc/MMcCorsikaRunHeader.[h,cc]
     - add member data fNumTelesope
     - add member data fTelescopes
     - add member data fViewconeAngles[2]
     - add member function Fill_CT
     - version increased 2 -> 3

   * mmc/MMcRunHeader.[hxx,cxx]
     - add member data fImpactMax
     - modify member function Fill
     - version increased 3 -> 4

   * mmc/MMcFadcHeadr.[hxx,cxx]
     - add member data f[Ampl,Fwhm]Outer
     - add member data fLow2HighGain
     - modify member function Set[Ampl,Fwhm]
     - add member function SetLow2High

   * mmc/Mdefine.h, MFadcDefine.h, MTriggerDefine.h
     - MFADC_CHANNELS, CAMERA_PIXELS, TRIGGER_PIXELS -> 3500

   * mgeom/MGeomCorsikaCT.[h,cc]
     - new class with information of CT location in Corsika simulation

   * mgeom/Makefile, GeomLinkDef.h
     - add new class





 2003/07/14: Wolfgang Wittek

    * mhist/MHOnSubtraction.[h,cc]
      - add member function GetSignificance()

    * mhist/MHMatrix.cc
      - add MProgressBar in Fill()

    * mmontecarlo/MMcEnergyEst.h
      - add member functions GetNumCoeffA()
                             GetNumCoeffB()

    * mfilter/MCT1SelBasic.[h,cc]
      - remove runs 601, 613, 614 for MC gamma

    * manalysis/MCT1SupercutsCalc.cc
      - remove bug (dd2)
      - set fMatrix = NULL in constructor

    * mgeom.MGeomCamCT1Daniel.[h,cc]
      - new; Daniel's CT1 geometry

    * mgeom/Makefile
            GeomLinkDef.h



 2003/07/14: Oscar Blanch

    * mgeom/MGeomCamMagic919.[h,cc]
      - Geometry for a Magic camera with 919 small pixels

    * mgeom/[Makefile, GeomLinkDef.h]
      - Compiling the above mentioned geometry



 2003/07/13: Thomas Bretz

    * mbase/MArgs.[h,cc]:
      - fixed compile problem with root 3.02/07

    * meventdisp/MGCamDisplay.cc, mevtdisp/MGEvtDislay.cc:
      - fixed missing MHCamera::SetOptStat



 2003/07/12: Thomas Bretz
 
   * mhistmc/MHMcCT1CollectionArea.[h,cc]:
     - made the enum as FillType_t a public member of the class

   * macros/CT1collarea.C
     - Updated accordingly. Can somebody please check whether it
       still works.
 
   * mbase/MArgs.h:
     - added some comment
     
   * mraw/MRawRunHeader.cc:
     - added an 'inf' to the log-stream
  
   * macros/status.C:
     - added some more plots
     - added some sanity chacks

   * macros/sumevents.C, macros/sumeventserr.C, macros/sumeventsrms.C
     macros/sumpedestalrms.C, macros/sumpedestals.C:
     - fixed SetOptStat
     
   * manalysis/MBlindPixelCalc.[h,cc]:
     - removed dangerous SetPixels(int, short*)
     - changed Id to Idx
     - fixed a bug in SetPixels which caused crashes
     - renamed SetPixels to SetPixelIndices

   * mhist/MHCamera.[h,cc]:
     - removed SetOptStat and fOptStat - found a better solution
     - fixed DistancetoPrimitive to show TPaveStat correctly
     - Use GetPainter() instead of an own THistPainter

   * mmain/MStatusDisplay.cc:
     - some small changes to the layout



 2003/07/11: Wolfgang Wittek

   * mhist/MHMatrix.cc
     - add tlist.PrintStatistics() after event loop



 2003/07/08: Abelardo Moralejo

   * mmc/MMcEvt.hxx
     - Uncommented the getter function for fCoreX and fCoreY (is there
       any reason why they were commented out?). Added Getter functions
       for the parameters of the longitudinal fit to the particle 
       distribution of the shower.



 2003/07/08: Wolfgang Wittek

   * macros/CT1EgyEst.C:
     - de-comment filters 
     - add PrintStatistics after event loop

   * manalysis/MEnergyEstParamDanielMkn421.[h,cc]
     - new; calculates estimated energy using Daniel's parametrization
       and parameter values for Mkn421

   * manalysis/AnalysisLinkDef.h
               Makefile
     - include MEnergyEstParamDanielMkn421

   * manalysis/MCT1SupercutsCalc.[h,cc]
     - add MHillasSrc.fAlpha to fMap
     - add member functions SetParams(Double_t *par)
                            GetParams(Double_t *par)



 2003/07/06: Abelardo Moralejo

   * mhistmc/MHMcCT1CollectionArea.[h,cc]
     - Added possibility of using a logarithmic or linear scale in
       energy. The function MHMcCT1CollectionArea::SetEaxis sets
       what should be filled in the energy axis (either the energy 
       or its decimal logarithm).

   * macros/CT1collarea.C
     - Added example on how to use the new function 
       MHMcCT1CollectionArea::SetEaxis



 2003/07/06: Thomas Bretz
 
   * Makefile:
     - replaced '-shared' by $(DYNLIB)
     
   * Makefile.conf.linux, Makefile.conf.linux-gnu,
     Makefile.conf.osf1, Makefile.conf.osf5.1:
     - added DYNLIB
     
   * Makefile.conf.darwin:
     - added
   
   * mgui/MCamEvent.cc:
     - removed obsolete include
     
   * mgui/Makefile:
     - removed obsolete include dirs
     
   * mhist/MHCamera.cc:
     - fixes for root 3.05/01
     
   * mraw/MRawEvtData.cc:
     - added type 1 and 2 to GetPixContent
     
   * mraw/MRawEvtPixelIter.[h,cc]:
     - added GetMax[Hi,Lo]GainSample

   * macros/pixsatrate.C:
     - added

   * Makefile.conf.general:
     - added -lHistPainter
     
   * NEWS:
     - updated
     
   * macros/pixsatrate.C:
     - added Saturation rate of lo gains
     
   * macros/sumevents.C, macros/sumeventserr.C,
     macros/sumpedestalrms.C, macros/sumpedestals.C:
     - fixed axis titles
     - use new SetOptStat
     
   * manalysis/MCerPhotAnal2.[h,cc]:
     - count and print number of skipped events
     
   * meventdisp/MGCamDisplay.cc:
     - fixed a 'division by zero'
     
   * mhist/MHCamEvent.cc, mhist/MHTriggerLvl0.cc:
     - take name from MHCamEvent if fNameEvt not available
     
   * mhist/MHCamera.[h,cc]:
     - use THistPainter to Draw title and statistics box
     - added fOptStat
     - added GetMean
     - added GetRMS
     - some modification for a better layout
     
   * mraw/MRawEvtHeader.cc:
     - calculate time from clock ticks

   * mbase/MArgs.[h,cc]:
     - added

   * mbase/Makefile:
     - MArgs.cc added

   * mbase/BaseLinkDef.h:
     - MArgs, MArgsEntry added

   * merpp.cc:
     - added '-v' option
     - changes to use MArgs





 2003/07/04: Wolfgang Wittek

   * macros/CT1EgyEst.C
     - add TCanvas and cd() before calling Draw()

   * mhistmc/MHMcEnergyMigration.cc
     - swap first 2 arguments of fHist.Fill and fHist2.Fill



 2003/07/03: Abelardo Moralejo

   * mhistmc/MHMcCT1CollectionArea.cc
     - Added code to allow the calculation of CT1 collection areas 
       at 55 and 65 degrees (from the events in DK's MC library)

   * macros/CT1collarea.C
     - Changed binning in theta to include high ZAs



 2003/07/01: Thomas Bretz

  * manalysis/MCerPhotAnal2.cc:
    - fixed some problems with the lo-gains
  
  * mraw/MRawEvtPixelIter.cc:
    - Determin the maximum sample of the lo gains from the end.



 2003/07/01: Abelardo Moralejo

   * macros/CT1collarea.C
     - changed "const TArrayD xed(10,xedge);"  to:
	       "const TArrayD xed; xed.Set(10,xedge);"
       (and the same for yed). Otherwise, a funny Error message was 
       printed about TArrayD, although everything worked.

   * mhistmc/MHMcCT1CollectionArea.cc
     - added some comments and made code more readable and more simple
       to make it easier the addition of the necessary changes to allow 
       the use of MC data (from D.Kranich) at zenith angles 55 and 65 
       degrees.



 2003/07/01: Wolfgang Wittek

   * manalysis/MSigmabar.cc, manalysis/MCT1PadSchweizer.cc,
     manalysis/MCT1PadONOFF.cc, mhist/MHSigmaTheta.cc:
     - change code because GetPixRatio returns area(pixel_zero)/area(pixel)
                                       and not area(pixel)/area(pixel_zero)

   * macros/CT1Analysis.C, macros/ONOFFCT1Analysis.C
     - current versions of CT1 macros

   * macros/unfold.C, macros/fluxunfold.C
     - macros for testing the unfolding within root



 2003/06/30: Thomas Bretz
 
   * macros/pixfirerate.C:
     - changed to new style
     
   * manalysis/MCerPhotCalc.cc:
     - scale weight so that sum=1
     
   * mhist/MHCamera.h:
     - small change

   * mmontecarlo/MMcCollectionAreaCalc.cc:
     - small simplifications



 2003/06/27: Abelardo Moralejo

   * mmontecarlo/MMcCollectionAreaCalc.[h,cc],
     mhistmc/MHMcCollectionAreaCalc.[h,cc]:
     - Adapted to allow their use with multiple files containing
       MC data generated with diffferent energy spectra, even with
       camera files which have only triggered events inside. Now the
       histogram containing all showers (before trigger) is filled
       in the ReInit function, and calculation of collection area
       is done by CalcEfficiency2(). Some simplifications and cleaning 
       are still possible.



 2003/06/27: Thomas Bretz
 
   * macros/sumevents.C, macros/sumpedestals.C:
     - some small changes
     
   * manalysis/MPedestalCam.cc:
     - return pixel as used if the value is valid (>=0)
     
   * mhist/HistLinkDef.h, mhist/Makefile:
     - MHPixVsTime added (Name is preliminary)

   * mhist/MHCamEvent.cc:
     - removed including MGeomPix
     
   * mhist/MHCamera.h:
     - in SetCamContent copy also number of entries
     
   * mraw/MRawEvtData.cc:
     - fixed to support correct pixel numbering
     
   * mhist/MHPixVsTime.[h,cc]:
     - added

   * mhist/MHCamera.cc:
     - changed output of labels for color axis

   * mfileio/MCT1ReadPreproc.cc:
     - small simplification



 2003/06/27: Abelardo Moralejo

   * mhistmc/MHMcCT1CollectionArea.cc:
     - Added comments, changed theta angle corresponding to first bin to
       adapt it to new standard theta-bin definition. This was the reason
       for the missing area at low theta.

   * macros/CT1collectionArea.C, macros/CT1EgyEst.C:
     - Changed theta binnings to adapt them to the new standard.



 2003/06/26: Abelardo Moralejo

   * macros/CT1EgyEst.C:
     - Added to the argument list of CT1EEst the binnings in theta
       and energy. Commented out the MLog.h and MLogManip.h, headers,
       otherwise it does not run (don't know why). Commented out filters 
       (my test file does not contain hadronness), please uncomment 
       them to run on files with hadronness info.

   * mhistmc/MHMcEnergyMigration.cc:
     - exchanged axes of E_est and E_MC in the 3-d histograms.

   * mfileio/MCT1ReadAscii.cc, mfileio/MCT1ReadPreProc.cc,
     mhist/MHSigmaPixel.cc, mfileio/MHSigmaTheta.cc,
     mimage/MImgCleanStd.cc:
     - adapted to new function names in MPedestalPix (please Thomas
       check these, I had to do it to make Mars compile)



 2003/06/26: Thomas Bretz

  * macros/CT1EgyEst.C:
    - converted from dos to unix type

   * macros/rootlogon.C:
     - removed "-fno-rtti" from options for Aclic
     
   * mbase/MLog.h:
     - added a comment
     
   * mgeom/MGeomCam.[h,cc], mgeom/MGeomPix.[h,cc],
     mgeom/MGeomCamCT1.cc, mgeom/MGeomCamECO1000.cc,
     mgeom/MGeomCamECO1000HG.cc, mgeom/MGeomCamMagicHG.cc:
     - added support for sectors
   
   * megom/MGeomCamMagic.[h,cc]:
     - added sectors
     
   * mhist/MHCamera.[h,cc]:
     - convert Option_t in Paint to lower case
     - remove 'hist' if detected from Option_t 
     - check for min==max
     - added DrawSectorIndices()
     - added TArrayC to AddCamContent
     - added TArrayC to SetCamContent
     - simplified DistancetoPrimitive
     
   * mraw/MRawEvtData.cc:
     - simplified Draw by converting option string to lower case
     
   * mraw/MRawEvtPixelIter.[h,cc]:
     - added GetNumMaxLoGainSample

   * manalysis/MCT1PadSchweizer.cc, manalysis/MMcPedestalNSBAdd.cc,
     manalysis/MSigmabar.cc:
     - adapted to new function names in MPedestalPix
     
   * manalysis/MCerPhotAnal.cc:
     - adapted to new function names in MPedestalPix
     - fixed to work with real data and monte carlo data
     - preliminarily removed error of pedestal and pedestalrms
     
   * manalysis/MCerPhotCalc.[h,cc]:
     - adapted to new function names in MPedestalPix
     - fixed to work with real data and monte carlo data
   
   * manalysis/MMcPedestalCopy.cc, manalysis/MPedCalcPedRun.[h,cc]:
     - adapted to new function names in MPedestalPix
     - preliminarily removed error of pedestal and pedestalrms
 
   * manalysis/MPedestalCam.[h,cc]:
     - adapted to new function names in MPedestalPix
     - preliminarily removed error of pedestal and pedestalrms
     - fixed GetPixelContent (do not return Pedestal*PixRatio)
     
   * manalysis/MPedestalPix.[h,cc]:
     - removed old variables
     - introduced Pedestal for pedestal
     - introduced pedestalRMS for the rms of the pedestal
     - error of both values still missing
     
   * meventdisp/MGCamDisplay.cc:
     - fixed display, displays now:
       + Number Of Photons
       + Pedestal
       + PedestalRMS
       + Number of Photons/PedestalRMS
       
   * mimage/MImgCleanStd.[h,cc]:
     - fixed image cleaning in the sense that erronously the error
       of the number of photons was used instead of the error of
       the PMT offset (pedestal)
     - introduced some debugging option
     
   * mmontecarlo/MMcCollectionAreaCalc.cc:
     - minor change

   * macros/sumevents.C, macros/sumpedestals.C:
     - added

   * mhist/MHCamEvent.cc:
     - do not scale with 100

   * mhist/MHCamera.cc:
     - fixed displaying number of entries when used 
       SetCamContent(MHCamera&)



 2003/06/25: Thomas Bretz

   * mgeom/MGeomCam.cc:
     - fixed the description of GetPixRatio



 2003/06/25: Abelardo Moralejo

   * mimage/MImgCleanStd.cc:
     - Changed name of variable "ratio" to "factor", wherever it meant
       the square root of the ratio between the area of an inner pixel
       and the current pixel (it was confusing).



 2003/06/24: Thomas Bretz

   * manalysis/MCT1SupercutsCalc.[h,cc]:
     - implemented Mapping for Supercuts
     - changed data member arrays to TArrayD
     
   * manalysis/MEnergyEstParam.h:
     - added a comment

   * mhist/MHHadronness.[h,cc]:
     - implemented mapping
     - implemented calculating Acc_g/sqrt(Acc_h) for filtercuts

   * macros/status.C:
     - removed MSrcPosCam

   * mevtdisp/MGCamDisplay.cc:
     - display ellipse in all canvas'

   * macros/readrfl.C:
     - adapted

   * manalysis/MMcTriggerLvl2.cc, meventdisp/MGEvtDisplay.cc,
     mraw/MRawEvtPixelIter.cc:
     - adapted
   
   * mgui/MCamEvent.[h,cc], mhist/MHCamEvent.[h,cc]:
     - more comments
     
   * mgui/MHexagon.[h,cc]:
     - removed obsolete destructor

   * mhist/MHCamera.[h,cc]:
     - removed fPhotons
     - removed ShowRflEvent
     - added comments
     
   * mhist/MHTriggerLvl0.cc:
     - fixed comments
     
   * mraw/MRawEvtData.cc:
     - some small changes
     
   * mreflector/MRflEvtData.[h,cc]:
     - implemented Paint function

   * meventdisp/MGCamDisplay.cc:
     - Set Name and title of MHCamera instances
      
   * mraw/MRawEvtData.cc:
     - fixed a degug level problem

   * mgui/MHexagon.[h,cc]:
     - fixed CopyConstructor

   * mbase/MLog.cc:
     - fixed a bug in NoColor mode



 2003/06/23: Thomas Bretz
 
   * manalysis/MBlindPixelCalc.[h,cc], manalysis/MCT1PadONOFF.[h,cc],
     manalysis/MCT1PadSchweizer.[h,cc], manalysis/MCompProbCalc.[h,cc],
     manalysis/MCT1PointingCorrCalc.[h,cc], manalysis/MEnergyEstimate.[h,cc],
     manalysis/MCT1SupercutsCalc.[h,cc], manalysis/MEnergyEstParam.[h,cc],
     manalysis/MFiltercutsCalc.[cc,h], manalysis/MMatrixLoop.[h,cc],
     manalysis/MMcPedestalCopy.[h,cc], manalysis/MMcPedestalNSBAdd.[h,cc],
     manalysis/MMcTriggerLvl2Calc.[h,cc], manalysis/MPadding.[h,cc],
     manalysis/MMultiDimDistCalc.[h,cc], manalysis/MPedCalcPedRun.[h,cc],
     manalysis/MPedestalCalc.[h,cc], manalysis/MPointingCorr.[h,cc],
     mbase/MClone.[h,cc], mbase/MGTask.[h,cc], mbase/MPrint.[h,cc],
     mbase/MTask.[h,cc], mbase/MTaskInteractive.[h,cc], 
     mbase/MTaskList.[h,cc], mtools/MChisqEval.[h,cc],
     mbase/MContinue.[h,cc], mdatacheck/MDumpEvtHeader.[h,cc]
     mfileio/MCT1ReadAscii.[h,cc], mfileio/MCT1ReadPreProc.[h,cc],
     mfileio/MReadCurrents.[h,cc], mfileio/MReadMarsFile.[h,cc],
     mfileio/MReadRflFile.[h,cc], mfilter/MF.[h,cc], 
     mfilter/MFAlpha.[h,cc], mfilter/MFCT1SelBasic.[h,cc],
     mfilter/MFCT1SelFinal.[h,cc], mfilter/MFCT1SelStandard.[h,cc],
     mfilter/MFDataChain.[h,cc], mfilter/MFDataMember.[h,cc],
     mfilter/MFEnergySlope.[h,cc], mfilter/MFEventSelector.[h,cc],
     mfilter/MFEventSelector2.[h,cc], mfilter/MFParticleId.[h,cc],
     mfilter/MFTriggerLvl1.[h,cc], mfilter/MFTriggerLvl2.[h,cc],
     mfilter/MFilterList.[h,cc], mhist/MFillH.[h,cc], 
     mimage/MCameraSmooth.[h,cc], mimage/MHillasCalc.[h,cc],
     mimage/MHillasSrcCalc.[h,cc], mimage/MImgCleanStd.[h,cc],
     mimage/MNewImageParCalc.[h,cc], mmontecarlo/MMcThresholdCalc.[h,cc], 
     mranforest/MRanForestCalc.[h,cc], mranforest/MRanForestFill.[h,cc]
     mmontecarlo/MMcTimeGenerate.[h,cc], mranforest/MRanForestGrow.[h,cc],
     mmontecarlo/MMcCollectionAreaCalc.[h,cc], mraw/MRawFileWrite.[h,cc],
     mmontecarlo/MMcTriggerRateCalc.[h,cc], mraw/MRawFileRead.[h,cc],
     manalysis/MSigmabarCalc.[h,cc], manalysis/MCerPhotAnal.[h,cc],
     manalysis/MCerPhotCalc.[h,cc]:
     - changed Bool_t in *Process to Int_t to support newer root
       versions correctly - PRELIMINARY (will be replaced by
       enums in the future)
       
   * manalysis/MCerPhotEvt.[h,cc]:
     - added case 3 and 4 to GetPixelContent
     - changed definition of GetPixelContent

   * manalysis/MCurrents.[h,cc], manalysis/MPedestalCam.[h,cc]:  
     - changed definition of GetPixelContent

   * manalysis/MFiltercutsCalc.[h,cc]:
     - Added list to ListOfCleanups, and set kMustCleanup for list
     - Set kMustCleanup for external filters

   * mbase/MEvtLoop.[h,cc]:
     - added to ListOfCleanups
     - Set kMustCleanup for parlist, progressbar and display
     - added some checks for root's Batch-Mode
     - no need for checking ListOfSpecials for fDisplay (this is now
       handled through the Cleanups)
     - No need for kFileExit anymore (this can now be handles through 
       the Cleanups)
     - added recursiveRemove to support Cleanups
     - added SetDisplay to set kMustCleanup for fDisplay

   * mbase/MTaskList.cc, mdata/MDataArray.cc, mdata/MDataList.cc,
     mfilter/MFilterList.cc:
     - added lists to ListOfCleanups
     - Set kMustCleanup for the lists

   * mbase/MParList.[h,cc]:
     - added lists to ListOfCleanups
     - Set kMustCleanup for the lists
     - added kCanDelete option to destructor
     - set kMustCleanup for all containers added to thelist
   
   * mdatacheck/DataCheckLinkDef.h, mdatacheck/Makefile:
     - removed unnecessary MDumpEvtHeader
     
   * mbase/MContinue.[h,cc]:
     - added SetDisplay to support setting display for the filter
     - added SetLogStream to support setting logstream for the filter
     
   * mfilter/MFCT1SelBasic.cc, mfilter/MFCT1SelFinal.cc, 
     mfilter/MFCT1SelStandard.cc:
     - added Set-function to simplify Process
     
   * mgui/MCamEvent.[h,cc]:
     - changed GetPixelContent definition
     
   * mhist/MH.cc:
     - fixed Draw(TH1&, TH1&) and DrawCopy layout for newer root versions

   * mimage/MImgCleanStd.cc:
     - fixed a bug in the access to ispixused-array (GetNeighbor 
       could exceed maximum entries.
       
   * mmain/MStatusDisplay.[h,cc]:
     - preliminary fixes to support root's batch mode
     - removed adding MStatusDisplay to ListOfCleanups
     - changed code updating the Canvas'
     - exit now handled by Cleanups, so this can be deleted immediatly
     
   * mraw/MRawEvtData.[h,cc]:
     - changed definition of GetPixelContent
     - added code to GetPixelContent

   * mraw/MRawEvtPixelIter.[h,cc]:
     - returns GetNumMaxHiGainSample

   * mreflector/MRflEvtData.[h,cc]:
     - use static_cast in GetPhoton
     - added GetPixelContent

   * mhist/MHTriggerLvl0.[h,cc], MHmhist/Camera.[h,cc], 
     mhist/MHCamEvent.[h,cc]:
     - added

   * manalysis/MSigmabar.cc:
     - unimportant simplification
     
   * manalysis/MSigmabarCalc.cc:
     - added a preliminary workaround to support files without MMcEvt
     - make use of FLT_MAX
     
   * mgeom/MGeomCam.[h,cc]:
     - Moved fPixels from pointer to an instance
     - removed destructor
     - use static_cast on operator[]
     - Use ForEach macro in CheckOuterRing

   * mhist/MHSigmaTheta.cc:
     - added a preliminary workaround to support files without MMcEvt
 
   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - removed MCT1PadONOFF
     
   * manalysis/MCerPhotEvt.h:
     - added //-> to fPixels

   * meventdisp/Makefile:
     - added -I../mhist

   * manalysis/MMcTriggerLvl2.[h,cc], meventdisp/MGCamDisplay.[h,cc]:
     - replaced MCamDisplay by MHCamera

   * mgui/GuiLinkDef.h, mgui/Makefile:
     - removed MCamDisplay
     
   * mhist/HistLinkDef.h, mhist/Makefile:
     - removed MHCerPhotEvt
     - removed MHCurrents
     - removed MHTrigLvl0
     - removed MHOnSubtraction
     - added MHCamera
     - added MHCamEvent

   * macros/sumcurrents.C:
     - adapted to changes
     - added filename to canvas
  
   * macros/readMagic.C, macros/readCT1.C, macros/status.C,
     macros/readcurrents.C, macros/readrfl.C:
     - adapted to changes
     
   * mbase/MAGIC.h:
     - replaced extern by R__EXTERN

   * mbase/MParContainer.[h,cc]:
     - added a non empty destructor with some debug options

   * mbase/MPrint.cc:
     - fixed a bug (used kSKIP instead of kSkip)



 2003/06/19: Thomas Bretz
 
   * mgui/MCamDisplay.[h,cc]:
     - fixed color palette when loading MCamDisplay

   * mevtdisp/MGEvtDisplay.cc:
     - fixed a bug in ProcessMessage, 'Exit' still doesn't work.



 2003/06/18: Thomas Bretz

   * macros/sumcurrents.C:
     - added MDirIter support
     - fixed the rel. error calculation
     - some small corrections to the layout
     
   * mhist/MHCurrents.cc:
     - changed histogram name
     - added axis titles

   * mbase/MLog.cc:
     - include iomanip onstead of MLogManip

   * mbase/MLogManip.h:
     - replaced preprocessor defintions for all, warn, inf, err and dbg
       by const variable declarations
     - fixed dynamic_casts

   * macros/merpp.C:
     - made capable of more than one directory
     
   * mmain/MStatusDisplay.cc:
     - removed an unsused variable

   * Makefile.conf.osf1, Makefile.conf.osf5.1:
     - added definitions for __USE_STD_IOSTREAM and R__ANSISTREAM
       tp be able to compile on Alphas again
       
   * manalysis/MCT1PadONOFF.cc:
     - included math.h
     - commented out some code to be able to compile on Alpha - FIXME
     
   * mbase/MDirIter.h:
     - fixed a bug in the definition of MatchFilter

   * mraw/MRawFileWrite.h:
     - default mode changed from UPDATE to RECREATE
     - default compression level changed from 9 to 1

   * mraw/MRawEvtData.[h,cc]:
     - fixed to skip non connected pixels
     
   * mraw/MRawRunHeader.[h,cc]:
     - added GetNumConnectedPixels




 2003/06/17: Oscar Blanch

  * mgeom/MGeomCamECO1000HG.cc
    - fixed a bug in NN table

  * mgeom/MGeomCamMagicHG.[h,cc]
    - New geometry for a high granularity hipothetic Magic camera

  * mgeom/Makefile and mgeom/GeomLinkDef.h
    - Introduction of MGeomMagicHG class.



 2003/06/17: Thomas Bretz

   * meventdisp/MGEvtDisplay.cc:
     - fixed a bug which caused a endlessloop

   * mmain/MStatusDisplay.cc:
     - fixed UpdatePSHeader for gcc 3.* and Suse 8.2

   * manalysis/MCurrents.h:
     - fixed a bug in the const operator[]

   * mgui/MCamDisplay.[h,cc]:
     - set ClassDef to 1 so that the camera display can be written into
       a root file
     - fixed destructor (didn't fit default constructor)
     - implemented FillRandom for test cases

   * mgui/MHexagon.h
     - set ClassDef to 1 so that the camera display can be written into
       a root file



 2003/06/16: Thomas Bretz

   * mhist/MHOnSubtraction.cc:
     - worked around the non compiling source file

   * merpp.cc:
     - set compression level default = 1

   * macros/readCT1.C, macros/readMagic.C, macros/readcurrents.C,
     meventdisp/MGCamDisplay.cc
     - adapted to new MCamDisplay and MCamEvent

   * macros/sumcurrents.C:
     - enhanced

   * manalysis/MCerPhotCalc.[h, cc]:
     - simplified algorithm

   * manalysis/MCerPhotEvt.[h,cc], manalysis/MCurrents.[h,cc],
     manalysis/MPedestalCam.[h,cc]:
     - derived from MCamEvent
     
   * manalysis/MMcPedestalNSBAdd.cc:
     - minor change
     
   * mbase/BaseLinkDef.h, mbase/Makefile:
     - added MDirIter

   * mbase/MDirIter.[h,cc]:
     - added
     
   * mbase/MParList.cc:
     - enhnced some output

   * mbase/MTaskInteractive.cc:
     - fixed a bug
     
   * mbase/MTaskList.cc:
     - added handling of gui events for Pre- and PostProcess
     
   * mgeom/MGeomPix.cc:
     - added a comment
     
   * mgui/MCamDisplay.[h,cc] -  PRELIMINARY:
     - added a notification list
     - fixed SetRange if pad is not the main pad
     - new Fill functions using MCamEvent, removed old ones 
     
   * mhist/MFillH.cc:
     - check for the existance of the canvas
     
   * mhist/MHCerPhotEvt.cc:
     - take usage of MCamEvent

   * mhist/MHCurrents.cc:
     - take usage of MCamEvent
     - added rms
     
   * mmain/MStatusDisplay.[h,cc]:
     - added "Reset" and "Remove Tab" to menu bar

   * mraw/MRawEvtData.[h,cc]:
     - draw hi- and logains
     - derived from MCamEvent
     
   * mraw/MRawEvtPixelIter.[h,cc]:
     - added GetVarHiGainSamples

   * mraw/Makefile:
     - added -I../mgui - PRELIMINARY

   * mhist/MH.cc:
     - fixed Draw(TH1&,TH1&) for newer root versions

   * mhist/MHHadronness.cc:
     - fixed call to fGraph->SetMaximum(1) for newer root versions

   * mmain/MStatusDisplay.cc:
     - fixed for gcc 3.* and newer root versions
     



 2003/06/13: Robert Wagner
   * mhist/MHOnSubtraction.cc
     - removed casts from double to Double_t found by gcc 3.3
     - added MHOnSubtraction::CalcLightCurve, a methods towards a 
       lightcurve 



 2003/06/13: Thomas Bretz (making Mars work with gcc 3.3 on Suse 8.2)

   * Makefile.conf.linux:
     - removed nonull-objects, Wtraditional and Wnested-externs
       due to warnings in gcc 3.3
     
   * *:
     - added 'using namespace std;'
     - exchanged *.h C++ headers by correct headers (like <fstream>)
     - replaced forward declarations of streams by <iosfwd>

   * manalysis/MCerPhotAnal.cc:
     - cast arguments of sqrt to correct type
     - corrected argument type for SetPedestalRms
     
   * manalysis/MCurrents.h:
     - const operator[] uses 'this' now
     
   * manalysis/MEnergyEstParam.[h,cc], manalysis/MSigmabarParam.[h,cc]:
     - fixed definition of Print

   * manalysis/MMcPedestalCopy.cc, manalysis/MPedCalcPedRun.cc,
     mgui/MCamDisplay.cc, mmontecarlo/MMcThresholdCalc.cc:
     - cast arguments of sqrt to correct type

   * manalysis/MMultiDimDistCalc.cc:
     - changed type of numg/numh to Int_t
     
   * mbase/BaseLinkDef.h:
     - removed pragma for __omanip_debug

   * mbase/MLog.[h,cc]:
     - fixed copy constructor
     - removed usage of mkstemp -- TO BE FIXED

   * mbase/MLogManip.[h,cc]:
     - completely replaced

   * mdata/MDataArray.cc:
     - fixed variable type ncols (Double_t -> Int_t)
   
   * mdata/MDataChain.cc:
     - fixed argument type of gRandom->Integer()
   
   * meventdisp/MGEvtDisplay.[h,cc]:
     - implemented skiping of  events which have 0 Pixels
     
   * mfileio/MCT1ReadPreProc.cc:
     - fixed conversion for istream::read from Byte_t* to char*
     - fixed argument type in Fill (fmcsize_phel)
     
   * mfileio/MChain.h:
     - ResetTree must also set fTreeNumber to -1 due to changes in
       TChain::LoadTree

   * mfilter/MFAlpha.[h,cc]:
      fixed type of Alpha in Init (Float_t instead of Int_t)
      
   * mfilter/MFEventSelector2.[h,cc]:
     - renamed Read member function to ReadDistribution
     
   * mfilter/MFilterList.h:
     - fixed overloading of GetRule
     
   * mhist/MBinning.cc, mhist/MH3.cc:
     - removed default argument in source file

   * mhist/MHArray.cc:
      fixed type of sstyle (Stat_t -> Int_t)
      
   * mhist/MHCerPhotEvt.[h,cc], mhist/MHCurrents.[h,cc]:
     - fixed definition of Clear()
     
   * mhist/MHFadcCam.[h,cc]:
     - renamed Reset to ResetEntry
     
   * mhistmc/MHMcEnergy.cc:
     - fixed argument type of log
   
   * mhistmc/MHMcRate.cc:
     - cast argument of pow() to correct type
   
   * mimage/MHillas.cc:
     - replaced default value for MeanX and MeanY by 0

   * mmain/MMars.cc:
     - fixed argument type in TGLayoutHints

   * mmain/MStatusDisplay.cc:
     - fixed some argument types
     - for the moment removed the update of the ps-header

   * mmc/MMcTrig.cxx:
     - use binary shift instead of pow for power of two

   * mmontecarlo/MMcEnergyEst.[h,cc]:
     - declared fcn as static
     - fixed definition of Print

   * mmontecarlo/MMcTimeGenerate.cc:
     - fixed argument type of SetTime
   
   * mmontecarlo/MMcTriggerRateCalc.[h,cc]:
     - fixed definition of Draw

   * mfileio/MReadRflFile.cc, mraw/MRawCrateData.cc, mraw/MRawEvtData.cc,
     mraw/MRawEvtHeader.cc, mraw/MRawRunHeader.cc:
     - fixed conversion for istream::read from Byte_t* to char*

   * mreflector/MRflEvtData.cc, mreflector/MRflSinglePhoton.cc:
     - fixed definition of Print



 2003/06/13: Robert Wagner
   * mhist/MHOnSubtraction.cc
     - Improvements in output



 2003/06/12: Thomas Bretz

   * mgui/MCamDisplay.h:
     - added //*MENU* to SetAutoScale, SetMinimum, SetMaximum



 2003/06/11: Robert Wagner

   * mhist/MHOnSubtraction.[h,cc]
     - Some bugfixes, e.g. concerning binning of result histograms
     - Improvements in output





 2003/06/09: Wolfgang Wittek

   * macros/CT1Analysis.C
     - replace MPadSchweizer by MCT1PadSchweizer

   * macros/ONOFFCT1Analysis.C
     - current version of the macro for the analysis using ON, OFF and MC data

   * manalysis/MPadSchweizer.[h,cc]
               MPadONOFF.[h,cc]
     - delete

   * manalysis/MCT1PadSchweizer.[h,cc]
               MCT1PadONOFF.[h,cc]
     - add

   * manalysis/Makefile
               AnalysisLinkdef.h
     - replace MPadSchweizer and MPadONOFF
       by MCT1PadSchweizer and MCT1PadONOFF     



 2003/06/06: Robert Wagner

   * mhist/MHOnSubtraction.[h,cc]
     - Class for extracting a gamma signal from on data only. Works
       on fully differential data in Alpha, Energy and Theta as well
       as on single Alpha plots. Experimental version, expect
       functionality but code still optimized for debugging purposes

   * mhist/MHAlphaEnergyTheta.cc
     - Fill signed alpha value instead of absolute value



 2003/06/06: Wolfgang Wittek

   * macros/optPad.C
     - macro for testing the optimal padding



 2003/06/05: Abelardo Moralejo

   * mhist/MHTrigLvl0.[h,cc]:
     - added. This is intended to find "hot" pixels firing too often
       or pixels firing too rarely. Very preliminar!

   * macros/pixfirerate.C:
     - added. An example on how to use the class above.

   * mhist/Makefile, HistLinkDef.h :
     added new class.



 2003/06/05: Thomas Bretz

   * mbase/MEvtLoop.cc:
     - fixed some typos in the comments
     
   * meventdisp/MGCamDisplay.cc:
     - added MHillasSrc to eventloop
     
   * meventdisp/MGEvtDisplay.cc:
     - print MC informations to screen, too
     
   * mfileio/MReadCurrents.cc:
     - added a comment
     
   * mhist/MHCerPhotEvt.h:
     - removed typo
     
   * mimage/MHillasSrcCalc.cc:
     - create a default source if now source is available



 2003/06/03: Thomas Bretz
 
   * macros/readcurrents.C:
     - display currents in Log-Scale

   * mgui/MCamDisplay.[h,cc]:
     - introduced fMinimum
     - introduced fMaximum
     - introduced fData
     - removed Set-functions
     - introduced Update()
     - introduced Log-Scale

   * macros/readCT1.C:
     - fixed a typo

   * mbase/MTaskInteractive.[h,cc]:
     - added
     
   * mbase/Makefile, mbase/BaseLinkDef.h:
     - added MTaskInteractive

   * mhist/MHCurrents.[h,cc]:
     - added (PRELIMINARY)

   * mhist/Makefile, mhist/HistLinkDef.h:
     - added MHCurrents

   * mgui/MCamDisplay.[h,cc]:
     - changed number of ItemsLegend to display the maximum, too

   * macros/sumcurrents.C:
     - added



 2003/06/03: Wolfgang Wittek

   * mfileio/MCT1ReadPreProc.[h,cc]
     - reset blind pixels for each event
       (because they may have been changed by the padding)

   * macros/ONOFFCT1Analysis.C
     - will be the macro for the CT1 analysis using ON and OFF data

   * manalysis/MPadONOFF.[h,cc]
     - new class
     - class for the padding of ON/OFF data

   * manalysis/MPadSchweizer.[h,cc]
     - remove fBlinds->Clear() because the resetting of the
       blind pixels is now done in MCT1ReadPreProc



 2003/06/02: Thomas Bretz

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MCurrents
     
   * manalysis/MCerPhotEvt.[h,cc]:
     - added MGeomCam argument to GetRatioMin/Max
     
   * mfileio/FileIOLinkDef.h, mfileio/Makefile:
     - added MReadCurrents

   * mfileio/MReadCurrents.[h,cc]:
     - added
     
   * manalysis/MCurrents.[h,cc]:
     - added
     
   * mgui/MCamDisplay.[h,cc]:
     - added current support

   * mbase/MTime.h:
     - preliminary changes to support currents
     
   * mhist/MH.[h,cc]:
     - added usescreenfactor to MakeDefCanvas



 2003/05/30: Wolfgang Wittek

   * macros/CT1Analysis.C
     - current version of the CT1Analysis.C macro for the analysis of
       CT1 data using ON and MC data



 2003/05/27: Thomas Bretz

   * mreflector/Makefile:
     - removed obsolete includes

   * mbase/MLogManip.h:
     - for the moment removed dbg<< from dbginf again

   * mimage/MHNewImagePar.cc:
     - security check in fill

   * mmain/MAnalysis.cc:
     - fixed filling of MHNewImagePar



 2003/05/26: Wolfgang Wittek

   * mfileio/MCT1ReadPreProc.cc
     - put back :  if (event.spixsig_10thphot[i]==0)
                         continue;
 
   * manalysis/MPadSchweizer.cc
     - add pixels to MCerPhotEvt which are not yet in;
       set their number of photons equal to zero



 2003/05/26: Thomas Bretz

   * mhist/MHCerPhotEvt.cc, mfileio/MCT1ReadAscii.cc:
     - InitSize --> FixSize

   * manalysis/MMcPedestalNSBAdd.cc:
     - fixed a typo (* instead of /)



 2003/05/23: Abelardo Moralejo

   * mreflector/Makefile:
     - added (was missing)



 2003/05/23: Thomas Bretz

   * Makefile:
     - added mreflector
     
   * manalysis/MCerPhotAnal.cc, manalysis/MCerPhotCalc.cc:
     - use FixSize instead of InitSize
     
   * manalysis/MCerPhotEvt.[h,cc]:
     - replaced InitSize by FixSize (seems to be more logical)
     
   * manalysis/MMcPedestalNSBAdd.cc:
     - replaced GetR by GetPixRatio

   * manalysis/MPedestalCam.cc:
     - replaced GetEntries by GetEntriesFast
     
   * mfileio/FileIOLinkDef.h, mfileio/Makefile:
     - added MReadRflFile

   * mgeom/MGeomCam.[h,cc], mgeom/MGeomPix.[h,cc], 
     mgeom/MGeomCamMagic.[h,cc]:
     - replaced R by D

   * mgui/MCamDisplay.[h,cc]:
     - added TClonesArray to display reflector events
     - added FillRflEvent
     - added ShowRflEvent
     - adapted Paint function
     
   * mgui/MHexagon.[h,cc]:
     - replaced GetR by GetD
     - added DistanceToPrimitive (capital T)
     
   * mgui/Makefile:
     - added mreflector

   * mfileio/MReadRflFile.[h,cc]:
     - added

   * mreflector, mreflector/Makefile, mreflector/ReflectorLinkDef.h,
     mreflector/MRflEvtData.[h,cc], mreflector/MRflSinglePhoton.[h,cc]:
     mreflector/MRflEvtHeader.[h,cc], mreflector/MRflRunHeader.[h,cc]:
     - added

   * macros/readRfl.C:
     - added



 2003/05/22: Abelardo Moralejo

   * mhist/MHMatrix.[h,cc]
     - add member function ShuffleRows() to randomize the order of the
       matrix rows. This is useful for instance for the random forest, 
       (See RanForest.C) when we feed a hadron training sample with 
       both protons and helium nuclei: if they are ordered (first all
       events of one type, then those of the other) the method does not
       seem to work well. Any other kind of ordering might be harmful 
       as well (in theta, phi or whatever).



 2003/05/22: Wolfgang Wittek

   * mfileio/MCT1ReadPreProc.[h,cc]
     - add member function DiscreteTheta
     - discretize the Theta according to the binning in Theta
       (for data and MC)
       original Theta is stored in the container "ThetaOrig"
       the discretized Theta is stored in MMcEvt.fTelescopeTheta



 2003/05/21: Thomas Bretz

   * mfileio/MReadTree.cc:
     - changed text of a warning
     - removed obsolete comment
     
   * mfileio/MWriteRootFile.[h,cc]:
     - changed Print function to support kIsNewTree flag
     - changed BIT(15) to BIT(16) because it is already used by TBranch



 2003/05/21: Wolfgang Wittek

   * mhist/MHBlindPixels.[h,cc]
     - change 1D histogram into 2D histogram (pixel Id vs. Theta)
     - add 2D histogram : no.of blind pixels vs. Theta

   * mhist/MHSigmaTheta.cc
     - correct "BinningPix"

   * manalysis/MPadSchweizer.[h,cc]
     - add simulation of blind pixels

   * mhist/MHMatrix.cc
     - in DefRefMatrix : allow variable bin size for 'hth' and 'hthd'



 2003/05/20: Oscar Blanch Bigas

   * mgeom/MGeomCamECO1000HG.[h,cc]
     - new files for ECO1000 camera geometry with pixels
       of half angualr size.

   * mgeom/Mkefile:
     - added MGeomCamECO1000HG.[h,cc] files

   * mgeom/GeomLinkDef.h
      - added class MGeomCamECO1000HG



 2003/05/20: Thomas Bretz

   * mbase/MLog.h:
     - added Separator member function
     
   * mfileio/MReadMarsFile.cc:
     - moved output in Notify to MReadTree::Notify
     - call MReadTree:Notify in Notify
     
   * mfileio/MReadTree.[h,cc]:
     - do not try to delete a Baddress if it is NULL ("*")
     - added CheckBranchSize member function
     - added the size consistency check to Notify
     
   * mfileio/MWriteRootFile.cc:
     - mini changes to Print-output
     
   * mfilter/MF.[h,cc]:
     - added Print-function
     
   * mraw/MRawEvtPixelIter.h:
     - removed wrong EOL characters

   * macros/multidimdist2.C:
     - made variable names unique

   * macros/star.C:
     - added sigmabar

   * macros/status.C:
     - added sigmabar
     - added MHSigmaTheta

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MFiltercutsCalc

   * manalysis/MFiltercutsCalc.[h,cc]:
     - added


 2003/05/19: Thomas Bretz

   * mgui/MCamDisplay.cc:
     - removed an unused variable.

   * Makefile.rules:
     - fixed Mr.Proper

   * mbase/MEvtLoop.cc, mbase/MParList.cc, mbase/MTaskList.cc,
     mfileio/MReadTree.cc, mfileio/MWriteRootFile.cc:
     - use new manipulator 'underline'

   * mbase/MLog.cc:
     - added new underlining
     - added blue color for debugging
     
   * mbase/MLogManip.[h,cc]:
     - added underline
     - added dbg and increased all other debug(n) levels by one
     
   * mbase/MParContainer.h:
     - made fDisplay persistent (workaround for a obsolete warning in
       root 3.02/07)

   * mfileio/MWriteRootFile.[h,cc]:
     - fixed a bug introduced when implementing UPDATE mode,
       kIsNewTree set for TTree



 2003/05/16: Abelardo Moralejo

   * mmontecarlo/MMcEnergyEst.[h,cc]
     - Added SetCoeff



 2003/05/16: Thomas Bretz

   * mfilter/MFEventSelector2.[h,cc]:
     - added

   * mfilter/Makefile, mfilter/FilterLinkDef.h:
     - added MFEventSelector2

   * mbase/MContinue.cc:
     - SetDisplay for filter
     - Set LogStream for filter
     
   * mbase/MEvtLoop.cc:
     - don't use pointer to fTasklist in PostProcess if not initialized
     - do not execute Process if fTasklist is not initialized
     
   * mbase/MTask.[h,cc]:
     - overwrite SetDisplay (set also display of attached filter
     
   * mbase/MTaskList.cc:
     - minor changes 
     
   * mdata/MDataChain.[h,cc]:
     - implemented ParseDataMember to support constants

   * mfileio/MCT1ReadPreProc.[h,cc]:
     - added fNumFile to support Rewind
     - added Rewind
     
   * mfileio/MRead.[h,cc]:
     - new virtual function Rewind
     
   * mfileio/MReadMarsFile.[h,cc]:
     - added Rewind
     
   * mfileio/MReadTree.[h,cc]:
     - added Rewind
     - fixed a missing 'else' in AddFile
     
   * mhist/MBinning.[h,cc]:
     - added SetEdges(TAxis&)
     - added SetEdges(TH1&, char)

   * mhist/MFillH.[h,cc]:
     - added bit kDoNotDisplay
     
   * mhist/MH.h:
     - added a comment
     
   * mhist/MH3.[h,cc]:
     - implemented GetRule
     - implemented GetNbins
     - implemented FindFixBin
     
   * mimage/MHHillasSrc.cc:
     - replaced gPad->cd(4) by savepad

   * mmain/MStatusDisplay.[h,cc]:
     - fixed locked mode for loop-in-loop cases



 2003/05/15: Wolfgang Wittek

   * macros/CT1EgyEst.C
     - replace "energyest.root" by paramout



 2003/05/14: Wolfgang Wittek

   * macros/CT1env.rc
     - CT1env replaced by CT1env.rc

   * mranforest/MRanForestCalc.cc
     - exchange arguments in 
       FindCreateObj("MHadronness", fHadronnessName)



 2003/05/13: Thomas Bretz

   * mdata/MDataArray.[h,cc]:
     - addeed GetData and >>-operator to fill a TVector from the array
     
   * manalysis/MMultiDimDistCalc.cc:
     - use new >>-operator from MDataArray
     
   * mranforest/MRanForest.[h,cc]:
     - TVector& in CalcHadronness declared const
     - added a const qualifier to 'Float_t sum'
     - removed Reset() from a TIter declaration (done by the TIter 
       constructor)
     
   * mranforest/MRanForestCalc.cc:
     - fill TVector with new >>-operator of MDataArray
     
   * mranforest/MRanTree.[h,cc]:
     - removed obsolete returns at the end of some functions
     - TVector& in TreeHad declared const
     - changed if to ?:-operator in TreeHad
     - TreeHad() calls TreeHad(const TVector &) now (code is not
       implemented twice)



 2003/05/12: Abelardo Moralejo

   * mhistmc/MHMcEnergyMigration.cc
     - Draw(): fixed axis label in one plot.



 2003/05/12: Thomas Bretz

   * mmain/MStatusDisplay.[h,cc]:
     - implemented UpdatePSHeader



 2003/05/10: Thomas Bretz

   * Makefile.rules:
     - implemented diff
     
   * NEWS:
     - changed
     
   * manalysis/MCT1SupercutsCalc.cc:
     - fixed variable names
     
   * mbase/MParContainer.cc:
     - replaces IsA()->GetName() by ClassName()
     
   * mbase/Makefile:
     - removed obsolete include paths
     
   * mdata/MDataArray.[h,cc]:
     - new member function GetRule(int)

   * mgui/MCamDisplay.[h,cc]:
     - implemented GetObjectInfo

   * mhist/MH.[h,cc]:
     - implemented ProjectionX
     - implemented ProjectionY
     - implemented FindObjectInPad
     
   * mhist/MHSigmaTheta.[h,cc]:
     - implemented Paint
     
   * mmain/MStatusDisplay.[h,cc]:
     - implemented kFileCanvas
     - implemented kFileBrowser



 2003/05/09: Abelardo Moralejo

   * mhistmc/MHMcEnergyMigration.[h,cc]
     - Added histograms, changed Draw() to display them. Still 
       provisional, many changes in the whole part of the energy 
       estimator are needed.

   * macros/CT1EEst.C, CT1EnergyEst.C
     - Removed

   * macros/CT1EgyEst.C
     - Added example on how to use the energy estimation for CT1.
       Very provisional!



 2003/05/09: Wolfgang Wittek

   * manalysis/MCT1SupercutsCalc.cc
     - add SetReadyToSave()



 2003/05/09: Thomas Bretz

   * mbase/MLog.cc:
     - do not underline if eNoColors is set
     - fixed abug in Output() (last character missing when flushed)
     - same when flushing to the GUI
     
   * mbase/MLogManip.cc:
     - removed an obsolete comment
     
   * mfileio/MReadTree.cc:
     - print warning in case no files could be added to chain
     
   * mfilter/MFDataChain.h:
     - fixed code layout
     
   * mimage/MHHillasSrc.h:
     - added Paint
     
   * mimage/MHillasCalc.[h,cc]:
     - changed default title

   * Makefile:
     - added rule 'diff'

   * mhist/MHMatrix.cc:
     - compressed some debug outputs

   * manalysis/MSigmabar.[h,cc]:
     - deleted the fCalcPixNum variable (not used).

   * macros/star.C, macros/starct1.C:
     - updated

   * mhist/MBinning.cc:
     - fixed SetBinningCos
     
   * mhist/MHSigmaTheta.[h,cc]:
     - in setting of binnings changes npix+1 to npix 
       (SetEdges takes the number of _bins_ as argument)
     - fixed titles (LaTeX style)
     - added default binning (may have to be changed for Magic)
     - removed obsolete destructor
     - removed default canvas size of 900x900
     - temporarily removed SetLogy() for first pad. I'm searching
       for a solution to put it in again when using the status display



 2003/05/08: Thomas Bretz

   * Makefile.rules:
     - fixed the rmhtml bug

   * macros/collarea.C:
     - changed to use MStatusDisplay
     
   * manalysis/MCT1SupercutsCalc.cc: 
     - fixed a typo
     
   * mbase/MEvtLoop.[h,cc], mbase/MTaskList.[h,cc]:
     - added FindTask member functions
     
   * mbase/MLog.cc:
     - do not crop logging to GUI to 1000 lines anymore

   * mdata/MDataChain.cc:
     - use GetRule() in the constructor instead of Print()
     
   * mdata/MDataElement.cc, mfilter/MFDataChain.cc:
     - do not return str+"something"
     
   * mhist/MH.[h,cc]:
     - fixed a bug in DrawCopy(TH1*,TH1*)
     - overwrite Clone function and do not add TH1 to gDirectory 
       when cloning MH classes
     
   * mimage/MHHillas.cc, mimage/MHHillasSrc.cc:
     - adde a sanity check to Fill
     
   * mimage/MHHillasSrc.cc:
     - do not set the log scale before we have entries in the histogram



 2003/05/08: Abelardo Moralejo

   * mimage/MImgCleanStd.cc
     - extended comment on standard cleaning. Removed an obsolete 
       comment.

   * mhistmc/MHMcCollectionAreaCalc.cc
     - Changed binning of histograms, so that the collection area
       can be calculated also between 5 and 10 GeV (for pulsar studies)



 2003/05/07: Nadia Tonello

   * manalysis/MCT1PointingCorrCalc.[h,cc]
     - deleted the fMcEvt variable (not used).


 2003/05/07: Thomas Bretz

   * mmain/Makefile, mmain/MainLinkDef.h:
     - added MSearch
     
   * mmain/MSearch.[h,cc]:
     - added

   * mmmain/MStatusDisplay.[h,cc]:
     - implemented Search

   * mhist/MHSigmaTheta.cc:
     - removed borders around the pads (Draw)

   * mfileio/MCT1ReadPreProc.cc:
     - do not output the run number twice!

   * mimage/MHillasExt.[h,cc]:
     - changed ClassDef to 2
     - updated comments

   * mimage/MNewImagePar.cc:
     - updated comments



 2003/05/07: Abelardo Moralejo

   * mranforest/Makefile
     - fixed typo.



 2003/05/06: Abelardo Moralejo
 
   * mhistmc/MHMcCollectionArea.cc
     - Added:  delete &pally

   * mfilter/MFCT1SelFinal.cc
     - changed FindObject("MGeomCam") to 
       FindCreateObj("MGeomCamCT1","MGeomCam")

   * mhistmc/MHMcCollectionArea.cc
     - in procedure Calc(TH2D &hsel, TH2D &hall) : changed the 
       calculation of maximum impact parameter. Now it looks for
       the non-empty bin of histogram "hall" with highest impact 
       parameter. The code could not work as it was before, but this 
       had influence only when running over camera files containing all 
       events, including non-triggers (while we usually run over files
       containing only triggers).



 2003/05/06: Thomas Bretz
 
   * manalysis/MRan*, mhist/MHRan*:
     - moved to new directory mranforest
     
   * mranforest, mranforest/Makefile, mranforest/RanForestLinkDef.h,
     mranforest/RanForestIncl.h:
     - added

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:
     - removed MRan*

   * mhist/Makefile, mhist/HistLinkDef.h:
     - removed MHRan*

   * Makefile:
     - mranforest added

   * mbase/MLog.cc:
     - sanity check in MLog::Output (len>0)

   * mimage/MImgCleanStd.cc:
     - adapted path to html images

   * htmldoc/*:
     - moved to new path htmldoc/images

   * Makefile.rules:
     - corrected rule rmhtmldoc
     
   * NEWS:
     - updated

   * macros/dohtml.C, macros/rootlogon.C:
     - added mranforest

   * mbase/MEvtLoop.cc:
     - fixed a typo
     
   * mhist/HistLinkDef.h



 2003/05/05: Nadia Tonello

   * mfilter/MFCT1SelStandard.cc
     - correct the default name of fImgParName
	("MNewImgPar") => ("MNewImagePar")



 2003/05/05: Thomas Bretz
 
   * mbase/MEvtLoop.cc:
     - underline Instatiation Message
     - small change to a warning output
     
   * mbase/MLog.[h,cc]:
     - added stuff for underlining
     - changed from TGListBox to TGViewText
     
   * mmain/MStatusDisplay.[h,cc]:
     - changed fLogBox from TGListBox to TGViewText
     - added menu 'Log'
     - changed division of status line to 'Goldener Schnitt'

   * mhist/MHHadronness.cc, mhist/MHCerPhotEvt.cc, mhist/MHStarMap.cc,
     mimage/MHHillas.cc:
     - fixed 'redifinion of default argument'

   * mbase/Makefile, mfileio/Makefile:
     - moved first source file to second position to get rid of crashes
       of rootcint on our Alpha

   * mimage/MNewImagePar.cc:
     - removed maxpixid (not used)

   * manalysis/MRanTree.cc:
     - replaced ostream.h by iostream.h

   * manalysis/MPadding.h:
     - added a missing const qualifier in the definition of 'Padding'

   * mmontecarlo/MMcEnergyEst.cc:
     - added math.h

   * Makefile, mbase/Makefile, mmain/Makefile:
     - changed order (linking on our Alpha failed)

   * mbase/MLog.h:
     - don't include iostream.h if __CINT__ (crashes rootcint on our
       alpha)



 2003/05/05: Wolfgang Wittek

   * manalysis/MPadSChweizer.cc
     - delete histograms in destructor



 2003/05/02: Thomas Bretz

   * Makefile.conf.general, Makefile.conf.linux, Makefile.conf.linux-gnu,
     Makefile.conf.osf1, Makefile.conf.osf5.1:
     - added MARSDEFINES, MARSFLAGS, MARSLIBS
     
   * mars.cc:
     - replaces HAVE_LOGO by HAVE_XPM
 
   * NEWS:
     - updated
     
   * mbase/MLogo.cc:
     - replaces marslogo_neu by marslogo
     - encapsulated in HAVE_XPM
     
   * mbase/Makefile:
     - added MLogo.cc
     
   * mmain/MGMenu.cc:
     - fixed the 'KeyAutoRepeat' bug

   * manalysis/MCerPhotEvt.[h,cc:
     - added RemoveUnusedPixels
     
   * manalysis/MSigmabar.cc:
     - small simplification for compiler optimization
     
   * mbase/MEvtLoop.cc:
     - changed output to fDisplay
     - changed behaviour in case of a failed PostProcess
     
   * mbase/MLog.[h,cc]:
     - added flushing and tab conversion to GUI
     - added color support
     
   * mbase/MParList.cc:
     - replaced some *Iter by MIter

   * mbase/MTask.cc, mbase/MTaskList.cc:
     - added output to fDisplay
     - replaced some *Iter by MIter
     
   * mhist/MH.cc:
     - don't add clones to directory
     
   * mimage/MImgCleanStd.[h,cc]:
     - replaced divisiond by multiplications
     - fixed StreamePrimitive
     - do not allow 0 rings
     
   * mmain/MStatusDisplay.[h,cc]:
     - added writing gif
     - added writing C
     - changes SaveAs to non-const (added output to status lines)
     - replaced TGLabels by TGStatusBar



 2003/04/30: Wolfgang Wittek

   * manalysis/MPadSchweizer.[h,cc]
     - reorder histograms

   * mhist/MHSigmaTheta.[h,cc]
     - remove last 3 plots (otherwise get segmentation violation ???)

   * mimage/MHNewImagePar.[h,cc]
     - change range of leakage to be plotted
       (want to see also leakage=0)



 2003/04/30: Nadia Tonello

   * manalysis/MCerPhotPix.[h,cc]:
     - deleted Bool_t fIsUsed and substituted with 
	the condition: fRing>0 in the functions
	Bool_t IsPixelUsed() const{return fRing>0;}
	void   SetPixelUsed()  { fRing = 1;}
	void   SetPixelUnused(){ fRing = 0;}



 2003/04/29: Wolfgang Wittek

   * mhist/MHSigmaTheta.[h,cc]:
     - ClassDef( ,0) -> ClassDef( , 1)
     - minor corrections in Draw()



 2003/04/29: Thomas Bretz
 
   * mfilter/MFCT1SelBasic.[h,cc], mfilter/MFCT1SelFinal.[h,cc],
     mfilter/MFCT1SelStandard.[h,cc]:
     - reordered includes
     - removed MHillas from constructor (if present)
     - added corresponding Setter-methods
     - added many const qualifiers
     - removed some obsolete data members
     - made some member functions private
     - only store fMm2Deg, not the pointer to MGeomCam
     - don't use the CT1 camera build in... (to be discussed)
     - fixed MHillas, MHillasExt and MNewImagePar stuff

   * mimage/MImgCleanStd.[h,cc]:
     - added Nadia to the list of authors
     - added pngs for the formulars
     
   * htmldoc, htmldoc/MImgCleanStd-f1.png, htmldoc/MImgCleanStd-f2.png:
     - added

   * manalysis/MCT1SupercutsCalc.[h,cc]:
     - changed the default "MHillasExt" to "MHillas"

   * mbase/MEvtLoop.cc:
     - fixed a bug in ProcessGuiEvents

   * mhist/MH*.[h,cc], mhistmc/MH*.[h,cc], mimage/MH*.[h,cc]:
     - changed "Double_t w" in Fill to "const Stat_t w"
     - added weight in some classes to TH::Fill

   * mbase/MHtml.[h,cc]:
     - removed

   * mfileio/MCT1ReadPreProc.cc:
     - removed the dependance on a MBinning in Theta.



 2003/04/29: Abelardo Moralejo

   * mmontecarlo/MMcCollectionareaCalc.[h,cc]
     - Now the energy limits and spectral slope used in Corsika are
       read from the run header. Warning: impact parameter is still
       fixed (I changed it from 400 m to 300 m, our present MC 
       production default). Added warning message about this. 
       Collection areas calculated up to now with the new MC library 
       are overestimated by a ~77% ! This class will be removed in 
       the future and replaced by MFillH.

   * mhistmc/MHMcCollectionArea.[h,cc]
     - Adapted to the change of MMcCollectionAreaCalc. Added arguments
       to CalcEfficiency.



 2003/04/28: Nadia Tonello 

   * mimage/MImgCleanStd.[h,cc]
     - added the option kDemocratic using sigmabar of the inner pixels
     - added the option to select the number of rings of pixels 
       to analyze around the core pixels 
     - added documentation

   * manalysis/MCerPhotPix.[h,cc]
     - added fRing and Get-Set functions 



 2003/04/28: Oscar Blanch

   * mgeom/MGeomCamECO1000.[h,cc]
     - New files for ECO 1000 camera geometry.

   * mgeom/GeomLinkDef.h
     - Added class MGeomCamECO1000

   * mgeom/Makefile 
     - Added class MGeomCamECO1000



 2003/04/28: Abelardo Moralejo

   * mmontecarlo/MMcEnergyEst.[h,cc]
     - Lots of fixes after Thomas suggestions. Now cuts are not part
       of the class, but introduced via a new MFilter* member. Changed
       all Char_t* for TString. Changed own TMiniut pointer by gMinuit.
       Removed couts and used fLog instead. Function fcn is no longer
       declared external.



 2003/04/28: Thomas Bretz

   * NEWS:
     - updated
     
   * manalysis/MBlindPixelCalc.cc:
     - use Are of pixles while interpolating
     
   * mbase/MEvtLoop.cc:
     - output speed in Evts/s to fDisplay
     
   * mbase/MGGroupFrame.h:
     - fixed a typo
     
   * mbase/MTask.[h,cc]:
     - Added OverwritesProcess
     
   * mbase/MTaskList.[h,cc]:
     - removed CheckClassForProcess
     - replaced by MTask::OverwritesProcess
     
   * mhist/MFillH.cc:
     - only draw something if the class overwrites the Draw function
   
   * mhist/MH.[h,cc]:
     - added OverwritesDraw
     - added a higher maximum, lower minimum to Draw(TH1, TH1)
     - changed default size 
   
   * mhist/MHMatrix.cc:
     - mini change
     
   * mimage/MHHillas.[h,cc]:
     - removed fUsedPix
     - removed fCorePix
     
   * mimage/MHHillasExt.[h,cc]:
     - removed fHConc
     - removed fHConc1
     - changed default name to MHillasExt
     
   * mimage/MHNewImagePar.[h,cc]:
     - added fHistConc
     - added fHistConc1
     - added fHistUsedPix
     - added fHistCorePix
     
   * mimage/MHillas.cc:
     - removed fNumCorePixels
     - removed fNumUsedPixels
     - made fCosDelta writable
     - made fSinDelta writable
     - made GetSinDelta() public
     - made GetCosDelta() public
      
   * mimage/MHillasExt.[h,cc]:
     - removed fConc
     - removed fConc1
     - changed default name to MHillasExt
     - derives from MParContainer now instead of MHillas
     
   * mimage/MNewImagePar.[h,cc]:
     - added fNumCorePixels
     - added fNumUsedPixels
     - added fConc
     - added fConc1
   
   * mimage/MNewImageParCalc.[h,cc]:
     - removed

   * mimage/MHillasCalc.[h,cc]:
     - changed so, that it can calc MHillas, MHillasExt and MNewImagePar

   * mimage/MHillasSrc.cc:
     - sqrt(tand*tand+1) replaced by 1/CosDelta    

   * mmain/MStatusDisplay.[h,cc]:
     - added second argument to SetLogStream

   * mhist/MHAlphaEnergyTheta.[h,cc], mhist/MHAlphaEnergyTime.[h,cc],
     mhist/MHCerPhotEvt.[h,cc], mhist/MHEffOnTime.[h,cc],
     mhist/MHEffOnTimeTheta.[h,cc], mhist/MHEffOnTimeTime.[h,cc],
     mhist/MHEnergyTheta.[h,cc], mhist/MHEnergyTime.[h,cc],
     mhist/MHFlux.[h,cc], mhist/MHMatrix.[h,cc],
     mhist/MHSigmaTheta.[h,cc], mhistmc/MHMcCollectionArea.[h,cc],
     mhistmc/MHMcDifRate.[h,cc], mhistmc/MHMcEfficiency.[h,cc],
     mhistmc/MHMcEfficiencyEnergy.[h,cc], mhistmc/MHMcEfficiencyImpact.[h,cc],
     mhistmc/MHMcEnergy.[h,cc], mhistmc/MHMcEnergyImpact.[h,cc],
     mhistmc/MHMcEnergyMigration.[h,cc], mhistmc/MHMcRate.[h,cc]:
     - removed DrawClone
     - fixed Draw

   * macros/MagicHillas.C, macros/star.C:
     - removed MHillasExt (not necessary anymore)
     - added MNewImagePar
     
   * macros/readCT1.C, macros/readMagic.C, meventdisp/MGCamDisplay.cc,
     mmain/MAnalysis.cc:
     - added MHillasExt to be displayed
     - added MNewImagePar to be displayed

   * manalysis/MCT1SupercutsCalc.[h,cc]:
     - removed empty destructor
     - fixed output in PreProcess
     - changed MHillasExt to MHillas





 2003/04/28: Wolfgang Wittek

   * manalysis/MPadSchweizer.[h,cc]
     - extend documentation
     - remove histograms which are also made by MHSigmaTheta
     - minor modifications



 2003/04/25: Thomas Bretz

   * mfilter/MFEnergySlope.cc:
     - removed obsolete PostProcess

   * mdatacheck/MGDisplayAdc.cc:
     - fixed a bug which caused nothing to beeing displayed if only
       the Hi gains where existing (Exists->HasHi)

   * mhist/MH.cc:
     - small change to GetNewPad

   * mhistmc/MHMcEnergyMigration.h:
     - fixed the includes

   * mgui/MCamDisplay.cc:
     - changed autoscaling (max<1:max=1 --> max==min:max=min+1)

   * manalysis/MBlindPixelCalc.cc:
     - interpolate: take pixel area into account

   * mhist/MHSigmaTheta.h:
     - removed nonsense GetSigmaThetaByName(const TString name)
     - removed nonsense GetSigmaPixThetaByName(const TString name)
     - removed nonsense GetDiffPixThetaByName(const TString name)
     
   * manalysis/MPadSchweizer.cc:
     - fixed naming
     - fixed usage of operators
     - added some const qualifiers
     - replaced 'int OK' by 'Bool_t ok'
     - fixed wrong usage floating point value 0

   * mimage/MImgCleanStd.cc:
     - moved ratio to the other side of the condition (don't divide
       if it is not necessary)



 2003/04/24: Abelardo Moralejo

   * macros/rootlogon.C
     - added gInterpreter->AddIncludePath(dir+"mhistmc");



 2003/04/24: Thomas Bretz

   * macros/rootlogon.C:
     - added mimage

   * macros/dohtml.C:
     - added mhistmc
     - added mimage
     - added status.C

   * mfilter/MFCT1Supercuts.[h,cc]:
     - removed

   * manalysis/MPadSchweizer.[h,cc]:
     - renamed arguments of SetHistograms to Mars style
     - removed default argument for SetHistograms (usage would result
       in a crash)
     - removed empty destructor

   * mhistmc/MHMcTriggerLvl2.h:
     - removed the wrong f in GetHistf

   * manalysis/MSigmabarParam.h:
     - added const qualifiers to getters

   * mfileio/MWriteRootFile.[h,cc]:
     - fixed support for UPDATE

   * mfilter/MFEnergySlope.cc:
     - cleaned
     - removed empty PostProcess
     
   * mhist/MHCerPhotEvt.cc:
     - removed ratio from Fill

   * mhist/MH.h:
     - fixed a bug in the overloading of DrawClone

   * mimage/MHillasSrc.[h,cc], mimage/MHHillasSrc.[h,cc]:
     - like suggested by Wolfgang: removed Head-Tail

   * mbase/MEvtLoop.cc:
     - fixed a bug in the progress bar update at the end of the loop



 2003/04/24: Wolfgang Wittek

    * mfilter/MFCT1SelFinal.cc
      - small correction in output

    * mhistmc/MHMcCT1CollectionArea.cc
      - plot all 3 histograms in DrawClone()

    * manalysis/MPadSchweizer.[h,cc]
      - cleanup as proposed by Thomas
      - new member function SetHistograms() to set the pointers to the
        histograms to be used in the padding



 2003/04/24: Antonio Stamerra

    * mhistmc/MHMcTriggerLvl2.[h,cc]
      - renamed some variable (hf->fHist)
      - added fHist*Norm and fFNorm in the destructor

    * manalysis/MMcTriggerLvl2.[h,cc]
      - added CalcCompactPixel() public method
      - implemented CalcPseudoSize method (still under construction...)
      - added inline method SetNewCamera(), used in the costructor
      - renamed global variables pixels_in_cell->gsPixelsInCell 
        and pixels_in_lut->gsPixelsInLut
      - added destructor



 2003/04/23: Thomas Bretz

   * mhist/MHCerPhotEvt.[h,cc]:
     - updated dox

   * manalysis/MCT1SupercutsCalc.h, manalysis/MPadSchweizer.h:
     - ClassDef -> 0

   * NEWS:
     - updated
     
   * mfileio/MWriteRootFile.[hcc]:
     - fixed the missing function of UPDATE files
     
   * mhist/MFillH.[h,cc]:
     - implemented fWeight
     - adapted StreamPrimitive
     - changed fCanvas to //!
     - changed class version umber from 1 to 2
   
   * mhist/MH.[h,cc], mhist/MHAlphaEnergyTheta.[h,cc],
     mhist/MHAlphaEnergyTime.[h,cc], mhist/MHArray.[h,cc],
     mhist/MHBlindPixels.[h,cc], mhist/MHCompProb.[h,cc],
     mhist/MHEffOnTime.[h,cc], mhist/MHEffOnTimeTheta.[h,cc],
     mhist/MHEffOnTimeTime.[h,cc], mhist/MHEnergyTheta.[h,cc],
     mhist/MHFadcCam.[h,cc], mhist/MHFlux.[h,cc],
     mhist/MHGamma.[h,cc], mhist/MHHadronness.[h,cc],
     mhist/MHMatrix.[h,cc], mhist/MHRanForest.[h,cc],
     mhist/MHRanForestGini.[h,cc], mhist/MHSigmaPixel.[h,cc],
     mhist/MHSigmaTheta.[h,cc], mhist/MHSigmabarTheta.[h,cc],
     mhist/MHStarMap.[h,cc], mhist/MHThetabarTheta.[h,cc],
     mhist/MHThetabarTime.[h,cc], mhist/MHTimeDiffTheta.[h,cc],
     mhist/MHTimeDiffTime.[h,cc], mhistmc/MHMcCT1CollectionArea.[h,cc],
     mhistmc/MHMcEnergyImpact.[h,cc], mhistmc/MHMcEnergyMigration.[h,cc]
     mhistmc/MHMcTriggerLvl2.[h,cc], mimage/MHHillas.[h,cc],
     mimage/MHHillasExt.[h,cc], mimage/MHHillasSrc.[h,cc],
     mimage/MHNewImagePar.[h,cc]:
     - added second (weight) argument to Fill
     - in some headers: removed obvious virtual
     - removed some dummy Fill function (not necessary anymore)
     


 2003/04/23: Abelardo Moralejo

    * mhistmc/MHMcCT1CollectionArea.[h,cc]
      - Now the class inherits from MH instead of directly from 
       	MParContainer. Implemented SetupFill, so that the binning
	definitions are read from the parlist.

    * mmontecarlo/MMcCT1CollectionAreaCalc.[h,cc]
      - Removed. This class was superfluous, since the same job 
 	can be done using MFillH.

    * mmontecarlo/Makefile, MontecarloLinkDef.h
      - removed class MMcCT1CollectionAreaCalc.

    * macros/CT1collarea.C
      - adapted to changes above.

    * mmc/MMcRunHeader.[hxx,cxx], mmc/MMCEvt.[hxx,cxx]
      - added comment in class description about the definition of
	the azimuth angle phi in the MC classes.


 2003/04/23: Antonio Stamerra

    * mfilter/MFEnergySlope.[h,cc]
      - added new filter class to select events according to a given
	energy slope 

    * mfilter/Makefile, mfilter/FilterLinkDef.h
      - modified accordingly (added MFEnergySlope)

    * manalysis/MMcTriggerLvl2Calc.cc 
      - removed call to the MHMcTriggerLvl2->Fill() in Process()

    * macros/triglvl2.C 
      - added example of the MFEnergySlope filter
      - added filling of histos from MHMcTriggerLvl2


 2003/04/22: Abelardo Moralejo

    * mmontecarlo/Makefile, MontecarloLinkDef.h
      - added MMcEnergyEst
      - added necessary include directories.

    * mmontecarlo/MMcEnergyEst.cc
      - added filterhadrons.SetHadronnessName(fHadronnessName) to
        inform the filter about the name of the hadronness container
        to be used in the cuts.

    * mfilter/MFCT1SelFinal.[h,cc]
      - added the possibility to cut also in Dist.



 2003/04/22: Thomas Bretz

    * mhist/MHHadronness.[h,cc]:
      - changed to support MStatusDisplay

    * manalysis/MApplyPadding.[h,cc]:
      - removed

    * mhist/MHMcCT1CollectionArea.[h,cc], 
      mhist/MHMcCollectionArea.[h,cc], mhist/MHMcDifRate.[h,cc], 
      mhist/MHMcEfficiency.[h,cc], mhist/MHMcEfficiencyEnergy.[h,cc], 
      mhist/MHMcEnergy.[h,cc], mhist/MHMcEnergyImpact.[h,cc], 
      mhist/MHMcEnergyMigration.[h,cc], mhist/MHMcIntRate.[h,cc], 
      mhist/MHMcRate.[h,cc], mhist/MHMcTriggerLvl2.[h,cc]:
      - moved to new directory mhistmc
    
    * mhistmc, mhistmc/Makefile, mhistmc/HistMcLinkDef.h:
      - new

    * mhist/Makefile, mhist/HistLinkDef.h:
      - removed MHMc*
      
    * mhistmc/MHMcCollectionArea.[h,cc]:
      - changed to fit requirements of MStatusDisplay

    * Makefile:
      - added mhistmc

    * mmain/MStatusDisplay.cc:
      - SetNoContextMenu(Bool_t flag) removed default argument

    * mmain/Makefile:
      - added -I../mhistmc

   * mhist/MWeight.[h,cc]:
     - added
     
   * mhist/HistLinkDef.h:
     - added MWeight
     
   * mhist/MH.h:
     - removed some debugging stuff



 2003/04/22: Abelardo Moralejo

   * mmontecarlo/MMcEnergyMigration.[h,cc]
     - Removed. It was not necessary, since the same job can be done 
       with the already existing task MFillH.

   * mhist/MHMcEnergyMigration.h
     - Changed ClassDef(MHMcEnergyMigration, 0) 
       to ClassDef(MHMcEnergyMigration, 1) to allow writing the 
       histograms to disk.



 2003/04/21: Thomas Bretz

   * manalysis/MBlindPixels.h:
     - IsBlind -> const
     
   * mhist/HistLinkDef.h, mhist/Makefile:
     - added MHBlindPixels
   
   * mhist/MH.[h,cc]:
     - changed the two DrawClone functions to one.
     
   * mhist/MHHadronness.[h,cc]:
     - changed to fit the requirements of MStatusDisplay
     
   * mhist/MHMatrix.cc:
     - SetDirectory(NULL) for all histograms created

   * mhist/MHSigmaTheta.cc:
     - removed fNpix    (is already in MHHillas)
     - removed fBlindId (--> MHBlindPixels)

   * mhist/MHBlindPixels.[h,cc]:
     - new

   * macros/plot.C:
     - Added MStatusDisplay support
     
   * macros/status.C:
     - added MHNewImagePar
     - added MHHadronness

   * manalysis/MBlindPixelCalc.cc:
     - updated class reference
     
   * meventdisp/MGCamDisplay.[h,cc]:
     - fixed
     
   * meventdisp/MGEvtDisplay.cc:
     - changed function adding the tab
     
   * mgui/MCamDisplay.cc, mhist/MHCerPhotEvt.cc:
     - as a preliminary solution removed inner pad

   * mhist/MFillH.cc:
     - make sure canvas is updated correctly in PostProcess

   * mhist/MH.cc:
     - changed DrawCopy(TH1, TH1) and Draw(TH1, TH1) to fit the new needs
       display the range correctly and exchanged the two stat boxes
   
   * mhist/MH3.cc:
     - fixed a bug in the default constructor
     - removed DrawClone
     - updated Draw function
     
   * mhist/MHMcIntRate.[h,cc], mhist/MHRanForest.[h,cc],
     mhist/MHRanForestGini.[h,cc], mhist/MHSigmaPixel.[h,cc],
     mhist/MHSigmaTheta.[h,cc], mhist/MHSigmabarTheta.[h,cc],
     mhist/MHThetabarTheta.[h,cc], mhist/MHThetabarTime.[h,cc],
     mhist/MHTimeDiffTheta.[h,cc], mhist/MHTimeDiffTime.[h,cc],
     mimage/MHNewImagePar.[h,cc]:
     - removed old DrawClone
     - updated Draw function
     - replaced some titles by latex titles in some classes

   * mimage/MHNewImagePar.[h,cc], mimage/MNewImagePar.[h,cc]:
     - removed scaling stuff

   * mmain/MStatusDisplay.cc:
     - fixed some minor bugs



 2003/04/20: Thomas Bretz

   * Makefile:
     - exchanged mbase and mmain
   
   * Makefile.conf.general:
     - added MARSVER
   
   * mars.cc:
     - use MARSVER
   
   * macros/readMagic.C:
     - updated to work with the new MH-stuff
     
   * macros/status.C:
     - added
     
   * manalysis/MBlindPixelCalc.cc, manalysis/MCerPhotCalc.cc,
     manalysis/MMcPedestalCopy.ccm, manalysis/MMcPedestalNSBAdd.cc,
     mfileio/MReadMarsFile.cc, mimage/MHillasCalc.cc,
     mimage/MImgCleanStd.cc:
     - changed def. title
   
   * manalysis/MCT1PointingCorrCalc.h:
     - minor change
     
   * manalysis/MCerPhotEvt.[h,cc]:
     - don't use unused pixels for calculation of min/max
     - added Scale member function
   
   * manalysis/MCerPhotPix.h:
     - added Scale inline function
     
   * mbase/MEvtLoop.[h,cc], mbase/MParContainer.[h,cc],
     mbase/MParList.[h,cc], mbase/MTaskList.[h,cc],
     mfileio/MReadMarsFile.cc, mhist/MFillH.[h,cc]:
     - implemented use of fDisplay 
   
   * mbase/MParContainer.h:
     - Don't display name and class name if it is the same (GetDescriptor)

   * meventdisp/MGCamDisplay.[h,cc]:
     - made working with new MH-stuff
   
   * mfileio/Makefile:
     - added -I../mmain
   
   * mgeom/MGeomCam.[h,cc]:
     - added Clone function

   * mgeom/MGeomCamCT1.cc, mgeom/MGeomCamMagic.cc:
     - commented out informal output at constructor
   
   * mgui/MCamDisplay.[h,cc], mhist/MHStarMap.[h,cc], 
     mimage/MHH*.[h,cc]:
     - changed to be more root oriented
   
   * mgui/MHexagon.cc:
     - small changes
     
   * mgui/Makefile:
     - added mhist
     
   * mhist/MH.[h,cc]:
     - changed to be more root oriented
     - removed border
     - added DrawClone
     - GetNewPad

   * mhist/MH3.cc:
     - removed some strange debug output
     
   * mhist/MHCerPhotEvt.[h,cc]:
     - fixed some bug
     - made working with fDisplay
   
   * mhist/Makefile:
     - added mmain
     
   * mmain/MProgressBar.cc:
     - fixed a typo
     
   * mmain/MStatusDisplay.[h,cc]:
     - new implementation
     
   * mmain/MainLinkDef.h, mmain/Makefile:
     - added MStatusDisplay
     - added MGMenu

   * mmain/MGMenu.[h,cc]:
     - added



 2003/04/19: Abelardo Moralejo

   * mmontecarlo/MMcEnergyEst.[h,cc]
     - Added. Contains routine for optimization of parameters of 
       energy estimator.

   * mmontecarlo/MMcEnergyMigration.[h,cc]
     - Added. Task to fill the energy migration matrix histograms 
       contained in class MHMcEnergyMigration.



 2003/04/17: Wolfgang Wittek

   * mhist/MBinning.[h,cc]
     - replace      for (int i=1; i<fEdges.GetSize()-1; i++)
            by      for (int i=1; i<fEdges.GetSize(); i++)



 2003/04/17: Wolfgang Wittek

   * mfileio/MCT1ReadPreProc.cc
     - removed : if (theta > pi/2) continue;
       otherwise get inconsistency between no.of read events 
       and no.of events after filter
     - write into MCerPhotEvt also pixels with zero no. of photons

   * manalysis/MSigmabar.cc
     - correct wrong argument in call to memset

   * manalysis/MPadSchweizer.cc
     - pad also pixels with zero no.of photons

   * mhist/MHSigmaTheta.[h,cc]
     - add plot of no.of used pixels in MCerPhotEvt
     - add plot of Id of blind pixel



 2003/04/14: Wolfgang Wittek
 
  * manalysis/Makefile
              AnalysisLinkDef.h
    - MNewImagePar and MNewImageParCalc removed
    



 2003/04/12: Thomas Bretz

   * mmain/MStatusDisplay.[h,cc]:
     - added

   * manalysis/MPadding.[h,cc]:
     - simplified includes
     - changed some code (discussed with Robert)
     - fixed comments in header
     - changed ClassDef to 0
     - changed output to Mars style
     - fixed the memory leak of fHSigmabarMax
     - replaced TRandom by gRandom
     - removed usage of ->operator

   * manalysis/MApplyPadding.[h,cc]:
     - replaced fRnd by gRandom
     - used MH::SetBinning
     - use telescope theta instead of theta
     - removed usage of ->operator
     - removed PostProcess
     
   * manalysis/MPadSchweizer.cc:
     - fixed outputs in PreProcess

   * manalysis/MSigmabar.[h,cc]:
     - added Reset member function
     - usage of memset
     - don't skip NumPhotons==0 
     - changes discussed with Robert
     - small simplifications in loops
     - some fixes to the output

   * manalysis/MSigmabarCalc.[h,cc]:
     - fixed outputs
     - some small simplifications
     - moved test for theta<120deg to MCT1ReadPreProc

   * mfileio/MCT1ReadPreProc.[h,cc]:
     - skip events with theta>90deg

   * mhist/MHSigmaPixel.[h,cc]:
     - fixes to the screen output
     - simplified usage of MBinning

   * mhist/MHSigmaTheta.[h,cc]:
     - fixes to the screen output
     - simplified usage of MBinning
     - lower cased upper case local variables   
     - removed DrawClone from Finalize (call from macro or executable)

   * mhist/MHSigmabarTheta.[h,cc]:
     - fixes to the screen output
     
   * mhist/MHStarMap.cc:
     - added some const qualifiers

   * mhist/MHHadronnes.cc:
     - removed output of function name in Finalize because this
       information is already available on the screen.

   * manalysis/MCT1PointingCorrCalc.h:
     - changed ClassDef to 0
     - removed empty PostProcess
     - fixes to the screen output in PreProcess
     - changed the order of the arguments in the constructor
       (name, title to the end)

   * manalysis/MMultiDimDistCalc.cc:
     - added two const qualifiers
     
   * mtemp/MObservatory.cc:
     - changed Magic1 coordinates to CT1 GPS.



 2003/04/12: Wolfgang Wittek

   * manalysis/MCT1PointingCorrCalc.[h,cc]
     - replaces MPointingCorr.[h,cc]

   * manalysis/AnalysisLinkDef.h
               Makefile

   * mbase/MFilter.h
     - set ClassDef(MFilter,1)

   * mhist/MHHadronness.[h,cc]
     - improve warning printout

   * mhist/MHMatrix.[h,cc]
     - type of 3rd argument of member function Fill
       changed from 'MF' to 'MFilter'



 2003/04/11: Thomas Bretz

   * macros/readMagic.C:
     - replaced GetEventNum by GetNumEntry
     
   * manalysis/MCT1SupercutsCalc.cc:
     - fixed constructor (no default for fHadronnessName)
     - missing fHadronness->SetReadyToSave added
     
   * manalysis/MMultiDimDistCalc.cc:
     - missing fHadronness->SetReadyToSave added
    
   * manalysis/MParameters.cc:
     - changed title

   * mfilter/MFCT1SelFinal.h:
     - set ClassDef to 0
   
   * mimage/Makefile:
     - fixed a typo
     
   * mraw/MRawEvtData.cc:
     - fixed Pixel assignment (i->ipos, fPosInArray++)



 2003/04/10: Thomas Bretz                 
 
   * mbase/MContinue.[h,cc]:
     - changed, so that also a filter given as a pointer is added to
       the tasklist automatically
     - added SetInverted
     - added IsInverted
 
   * mbase/MTaskList.[h,cc]:
     - added RemoveFromList-function

   * merpp.cc:
     - fixed typo
     
   * mbase/MFilter.[h,cc]:
     - removed unnecessary base functions for Pre//PostProcess
     - added SetInverted
     - added IsInverted
   
   * mbase/MTask.cc, mfileio/MCT1ReadPreProc.cc, mfileio/MReadTree.cc,
     mfilter/MF.cc, mfilter/MFilterList.cc
     - implemented IsConditionalTrue to support inverted filters

   * mhist/MHHadronness.cc:
     - removed unnecessary check

   * meventdisp/MGFadcDisp.cc:
     - remove all IDs in listbox
     - add entries sorted

   * manalysis/MImgCleanStd.[h,cc], manalysis/MCameraSmooth.[h,cc], 
     manalysis/MHillas.[h,cc], manalysis/MHillasSrc.[h,cc],
     manalysis/MHillasSrc.[h,cc], manalysis/MHillasCalc.[h,cc],
     manalysis/MNewImagePar.[h,cc], manalysis/MNewImageParCalc.[h,cc],
     mhist/MHHillas.[h,cc], mhist/MHHillasSrc.[h,cc], 
     mhist/MHHillasExt.[h,cc], mhist/MHNewImagePar.[h,cc]:
     - moved to new directory mimage
   
   * mimage/Makefile, mimage/ImageLinkDef.h, mimage/ImageIncl.h:
     - new
   
   * Makefile:
     - added mimage
   
   * manalysis/AnalysisLinkDef.h, manalysis/Makefile
     mhist/HistLinkDef.h, mhist/Makefile:
     - removed moved files

   * manalysis/Makefile, manalysis/AnalysisLinkDef.h,
     mhist/Makefile, mhist/AnalysisLinkDef.h, mmain/Makefile,
     mfilter/Makefile, meventdisp/Makefile, mgui/Makefile:
     - adapted



 2003/04/09: Thomas Bretz
 
   * manalysis/MCT1SupercutsCalc.[h,cc]:
     - moved last changes from MFCT1Supercuts to MCT1SupercutsCalc

   * mhist/MHMcTriggerLvl2.[h,cc]:
     - fixed a warning
     - removed global variables



 2003/04/09: Abelardo Moralejo

   * manalysis/MHillasSrc.cc
     - changed comment about meaning of fCosDeltaAlpha



 2003/04/08: Thomas Hengstebeck
 
   * mhist/MHRanForest.cc, mhist/MHRanForestGini.cc
     - removed gStyle->SetOptStat(10), gStyle settings should be 
       done by the user himself  



 2003/04/08: Abelardo Moralejo

   * manalysis/MImgCleanStd.cc
     - Fixed "democratic" cleaning: now tail cut is proportional 
       to pixel area instead of pixel radius as (erroneously) was 
       before.

   * NEWS
     - Changed comment on image cleaning.



 2003/04/08: Thomas Bretz

   * mhist/MHHadronness.cc:
     - no check for sump==0 and sumg==0 in loop necessary anymore

   * Changelog, Changelog.02:
     - moved everything before 1/2003 to Changelog.02



 2003/04/08: Wolfgang Wittek

   * mfilter/MFCT1SelFinal.[h,cc]
     - add new member function SetHadronnessName()

   * mhist/MHHadronness.[h,cc]
     - reset to SetOptStat(111100)
     - correct acceptance

   * manalysis/MMultiDimDistCalc.[h,cc]
     - swap arguments in FindCreateObj



 2003/04/08: Nicola Galante and Antonio Stamerra

   * mhist/MHMcTriggerLvl2.[h,cc]
      - New class added (histograms for the MMcTriggerLvl2 class)

   * mhist/Makefile
     - Added MHMcTrigggerLvl2 in SRCFILES

   * manalysis/Makefile
     - Reintroduced MMcTriggerLvl2 and MMcTriggerLvl2Calc 
       (they were removed!!)

   * manalysis/MMcTriggerLvl2.h
     - 'const' added in inline functions Get****

   * manalysis/MMcTriggerLvl2Calc.cc
     - added call to Fill method of MHMcTriggerLvl2

   * macros/triglvl2.C
     - updated to have histograms with MHMcTriggerLvl2

   * macros/dohtml.C
     - added triglvl2.C

   * NEWS
     - new comment on L2T selection classes

 2003/04/08: Wolfgang Wittek

   * mfilter/Makefile
             FilterLinkDef.h
     - MFCT1Supercuts removed

   * manalysis/MMultiDimDistCalc.h
     - set ClassDef(MMultiDimDistCalc,1)

   * manalysis/MCT1SupercutsCalc.[h,cc]
     - new; replaces MFCT1Supercuts in mfilter

   * manalysis/Makefile
               AnalysisLinkDef.h



 2003/04/07: Thomas Bretz

   * Makefile:
     - changed order
     
   * manalysis/MMultiDimDistCalc.[h,cc]:
     - fixed default title
     - simplified code
     - added fHadronnessName

   * manalysis/MRanForestCalc.[h,cc]:
     - added fHadronnessName
   
   * mbase/MAGIC.h:
     - fixed a bug with rootcint
     
   * meventdisp/MGFadcDisp.cc:
     - fixed a variable name

   * mhist/MHHadronness.cc:
     - removed many old comments
     - simplified some code
     - uses argument in Fill now

   * mmain/MMonteCarlo.cc:
     - some code simplification
     - fixed a warning 

   * macros/dohtml.C:
     - added testenv.C

   * readraw.cc:
     - simplified
   
   * mraw/MRawEvtData.cc:
     - fixed a bug in the draw function (the drawn pixel has not been the
       one with the given Id, but simply the i-th entry in the array)

   * mfilter/MFCT1Supercuts.[h,cc]:
     - changed naming style of variables
     - changes array access

   * mhist/MHFadcCam.[h,cc]:
     - added HasHi
     - added Exists

   * mmain/MDataCheck.cc:
     - removed unimplemented buttons

   * mdatacheck/MGDisplayAdc.[h,cc]:
     - tried to implement some unimplemented buttons
     - don't display non existing (empty) histograms in list



 2003/04/04: Thomas Bretz

   * mtools/MagicReversi.[h,cc]:
     - added support for Number of Players
     - added instructions
     - added support for Esc key

   * mbase/MAGIC.h:
     - added version check to MAGIC.h



 2003/04/04: Wolfgang Wittek

   * mfilter/Makefile
            /FilterLinkDef.h
     - added MFCT1SelBasic, MFCT1SelStandard, MFCT1SelFinal,
             MFCT1Supercuts

   * mfilter/MFCT1SelBasic.[h,cc]
            /MFCT1SelStandard.[h,cc]
            /MFCT1SelFinal.[h,cc]
     - new; they replace manalysis/MSelBasic.[h,cc]
                                  /MSelStandard.[h,cc]
                                  /MSelFinal.[h,cc]
 
   * mfilter/MFCT1Supercuts.[h,cc]
     - new (supercuts from Daniel for CT1 Mkn421 2001 data)

   * manalysis/MSelBasic.[h,cc]
              /MSelStandard.[h,cc]
              /MSelFinal.[h,cc]
     - deleted

   * manalysis/Makefile
               AnalysisLinkDef.h
     - MSelBasic, MSelStandard, MSelFinal removed

   * mfileio/MCT1ReadPreProc.[h,cc]
     - smeare theta only for MC events

   // The following is not yet commited !!!!!!!!!!!!!
   * Mars/Makefile
     - in SUBDIRS put mfilter before manalysis
       (otherwise get link error)



 2003/04/03: Abelardo Moralejo

   * mmontecarlo/MMcTriggerRateCalc.cc:
     - added #include <math.h> for compilation on alpha (otherwise 
       floor() is unkown)



 2003/04/03: Thomas Bretz

   * macros/testenv.C:
     - added

   * mbase/MEvtLopp.cc, mbase/MParContainer.[h,cc], 
     mbase/MParList.cc, mbase/MTaskList.cc:
     - changed the stuff for reading steering card - didn't really
       work like expected

   * mhist/MHMatrix.cc, mfileio/MRead.cc, manalysis/MImgCleanStd.cc:
     - adapted ReadEnv

   * mhist/MHMatrix.[h,cc]:
     - added ReadEnv
     
   * mfileio/MCT1ReadPreProc.[h,cc]:
     - base SmearTheta on new FindLoEndge
     - simplified
   
   * mhist/MBinning.h:
     - added FindBinLoEdge
     - added FindBinHiEdge

   * mdata/MDataArray.[h,cc]:
     - added Clear
     - added Delete

   * mbase/MEvtLoop.cc:
     - added output of the name
   
   * mbase/MLog.[h,cc]:
     - don't use any pthread stuff if _REENTRANT is not defined
   
   * mfileio/MRead.cc, mhist/MHMatrix.cc:
     - fixed waring for unreachable statement
   
   * mhist/MHArray.cc:
     - fixed: redifinition of default argument
     



 2003/04/02: Abelardo Moralejo

   * mmc/MMcTrigHeader.hxx
     - added threshold>0 check in the calculation of 
       GetMeanThreshold

   * mmontecarlo/MMcTriggerRateCalc.cc
     - The check of the MC spectral index value is now done by 
       comparing integers instead of real numbers.
     - Found out with GREAT surprise that the graphical output
       has been completely commented out by someone(?) because it 
       produced a memory leak. Also the function comment did not 
       match the rules (my fault; is it correct now?) This commenting 
       out has not been logged to this file, as far as I can see. This
       is rather unkind, I thought that when somebody finds some bug or
       messy code, he should either correct and commit it (and log the 
       change here) and/or inform the author of the mistake to correct 
       it. Please try to do so in the future instead of simply 
       commenting out useful code!

   * mdata/MDataValue.h
     - added default constructor (otherwise, no constant values 
       can be used in the parameters used in the random forest 
       separation)




 2003/04/02: Wolfgang Wittek

   * mfileio/Makefile
     - mhist added, because MBinning is used in MCT1ReadPreproc

   * mfileio/MCT1ReadPreProc.[h,cc]
     - new member function SmearTheta
     - store smeared  Theta in MMcEvt::fTelescopeTheta
       store original Theta in MParameterD container "ThetaOrig"
       store fhourangle     in MParameterD container "HourAngle"

   * manalysis/MPointingCorr.[h,cc]
     - get hour angle from ParameterD container "HourAngle"

   * manalysis/MSelBasic.[h,cc]
               MSelStandard.[h,cc]
               MSelFinal.[h,cc]
     - new member functions SetCuts()



 2003/04/01: Abelardo Moralejo

   * macros/CT1EnergyEst.C
     - added argument (maximum dist parameter), changed (reduced) output 
       histograms, added writing to (and reading from) a file the energy 
       estimation parameters and the histograms. Added comments.

   * manalysis/MEnergyEstParam.[h,cc]
     - added member function GetCoeff. Changed comment.



 2003/03/31: Thomas Bretz

   * manalysis/MParameters.[h,cc]:
     - added

   * manalysis/AnalysisLinkDef.h, manalysis/Makefile:
     - added MParameters, MParameterD, MParameterI

   * mhist/MHArray.[h,cc]:
     - added default constructor
     - added Set-function
     - added Init function
     - moved code from constructors to Set and Init
 
   * Makefile.conf.linux:
     - removed -fno-rtti to make it compatible with root 3.04.02
   
   * NEWS:
     - changed
   
   * manalysis/MImgCleanStd.[h,cc]:
     - added SetLvl1
     - added SetLvl2
     - added ReadEnv
   
   * manalysis/MNewImagePar.[h,cc]:
     - removed unnecessary fHillas data member
     - removed unnecessary fSrcPos data member
     - removed unnecessary Set/GetSrcPos 
   
   * manalysis/MNewImageParCalc.[h,cc]:
     - removed unnecessary SetSrcPos 
     - removed const-qualifier from fGeomCam, fCerPhotEvt
       (trouble with root 3.02/06)
   
   * manalysis/MRanForest.cc:
     - changed cout-output
     
   * manalysis/MSigmabar.cc:
     - changed Area to area (local variable)

   * mbase/MEvtLoop.[h,cc]:
     - added evtloop name to constructor (default=Evtloop)
     - adapted StreamPrimitive
     - added ReadEnv
     - added WriteEnv
     
   * mbase/MParContainer.[h,cc]:
     - removed TROOT.h
     - fixed const-qualifier for Copy-function for root>3.04.01
     - added ReadEnv
     - added WriteEnv
     - added IsEnvDefined
     - added GetEnvValue
     
   * mbase/MParList.[h,cc], mbase/MTaskList.[h,cc]:
     - added ReadEnv
     - added WriteEnv
   
   * mfileio/MCT1ReadAscii.[h,cc], mfileio/MCT1ReadPreProc.[h,cc]:
     - changed AddFile declaration to declaration in MRead
     - added return value to AddFile
     
   * mfileio/MRead.[h,cc]:
     - added template for AddFile
     - added ReadEnv
     
   * mgui/MHexagon.[h,cc]:
     - fixed const-qualifier for Copy-function for root>3.04.01
   
   * mhist/MH.cc:
     - fixed the FindGoodLimit stuff for root> 3.04.01
     
   * mhist/MHRanForest.[h,cc], mhist/MHRanForestGini.[h,cc]:
     - removed unnecessary casts
     - fixed a copilation error with root 3.04.01 (kFullDotlarge 
       doesn't exist)
     - removed second Draw (one should not add something twice to 
       the pad)
       
   * mmontecarlo/MMcTriggerRateCalc.cc:
     - changes to the header
     - changes to the fLog stuff
     - added a cast to get rid of a warning
     
   * mtools/Makefile, mtools/ToolsLinkDef.h:
     - added MagicReversi
   
   * mtools/MagicRevers.[h,cc]:
     - added



 2003/03/28: Thomas Bretz

   * mbase/MParContainer.h:
     - added kEnableGraphicalOutput
     - added EnableGraphicalOutput
     - added IsGraphicalOutputEnabled
   
   * mbase/MParList.h:
     - changed BIT(15) to BIT(17)
   
   * mhist/MH.[h,cc]:
     - SetBinning(TH1*, TH1*) --> SetBinning(TH1*, const TH1*)
   
   * mhist/MH3.h:
     - changed BIT(15) to BIT(17)
     - changed BIT(16) to BIT(18)
     - changed BIT(17) to BIT(19)

   * mhist/MHMatrix.[h,cc]:
     - added DrawDefRefInfo
     - added CopyCrop
     - added GetRandomArrayI
     - changed DefRefMatrix to support the above
     - fixed a bug in DefRefMatrix (evtcount2 in the last loop
       instead of evtcount1)
     - Don't do anything in the finalization if the matrix has the correct
       dimensions
     - fixed comment of DefRefMatrix
     - changed number of first column from 1 to 0
     - changed BIT(16) to BIT(17)



 2003/03/28: Wolfgang Wittek

    * mhist/MHMatrix.cc
      - DefRefMatrix: if nmaxevts>fM.GetNrows() set 
        nmaxevts = fM.GetNrows()

    * manalysis/MSelBasic.[h,cc]
      - better output

    * manalysis/MSelStandard.[h,cc]
      - different cut in DIST

    * mfileio/MCT1ReadPreProc.[h,cc]
      - store hour angle in variable fOtherCphFraction

    * manalysis/MHillasSrcCalc.h
      - replace in 'SetInput'         fHillasName  = hilname;
                    by                fHillasInput = hilname;        

    * manalysis/MNewImagePar.[h,cc]
               /MNewImageParCalc.[h,cc]
      - new; calculates new image parameters

    * mhist/MHNewImagePar.[h,cc]
      - new; plots new image parameters              

    * manalysis/AnalysisLinkDef.h
      manalysis/Makefile

    * mhist/HistLinkDef.h
      mhist/Makefile



 2003/03/27: Thomas Hengstebeck

    * manalysis/MRanForest.[h,cc]
      - allocation of TObjArray fForest moved to constructor.
      - use of gRandom 

    * manalysis/MRanTree.[h,cc]
      - use of gRandom
    
    * macros/RanForest.C
      - gRandom initialized as TRandom3 object.
 


 2003/03/25: Abelardo Moralejo

    * macros/mergecamera.C
      - added warning to prevent dangerous misuse of this macro.



 2003/03/25: Wolfgang Wittek

    * mhist/MHStarMap.[h,cc]
      - use constant step size along the main axis of the ellipse

    * manalysis/MPointingCorr.[h,cc]
      - new class for calculating the pointing correction

    * mmc/MMcEvt.hxx
      - add GetOtherCphFraction()

    * manalysis/Makefile

    * manalysis/AnalysisLinkDef.h



 2003/03/24: Abelardo Moralejo

    * manalysis/MEnergyEstParam.cc
      - now energy estimation (for CT1) is done using the same model 
	as in D.Krannich's thesis.



 2003/03/24: Thomas Bretz

    * manalysis/MHillasSrcCalc.[h,cc]:
      - removed last argument in constructor, replaced by SetInput

    * mfilter/MFEventSelector.[h,cc]:
      - removed unnecessary last argument



 2003/03/21: Thomas Hengstebeck
 
    * manalysis/MRanTree.[h,cc]
      - new; parameter container to store a single random tree

    * manalysis/MRanForest.[h,cc]
      - new; parameter container to store complete forest

    * manalysis/MRanForestGrow.[h,cc]
      - new; task to grow trees (training)

    * manalysis/MRanForestCalc.[h,cc]
      - new; task to calculate hadronness using random forest

    * manalysis/MRanForestFill.[h,cc]
      - new; task to read in the trees of the random forest

    * manalysis/Makefile, manalysis/HistLinkDef.h:
      - added MRanTree, MRanForest, MRanForestGrow, MRanForestCalc, 
        MRanForestFill

    * mhist/MHRanForest.[h,cc]
      - new; histogram showing variance of estimated hadronness as 
        function of no. of combined trees 

    * mhist/MHRanForestGini.[h,cc]
      - new; histogram showing mean decrease in Gini-index as function 
        of RF-input-parameters

    * mhist/Makefile, mhist/HistLinkDef.h:
      - added MHRanForest, MHRanForestHillas

    * macros/RanForest.C
      - new; g/h-separation by Random Forest-method

    * macros/RanForest2.C
      - new; reading in saved random forest (using MRanForestFill)



 2003/03/21: Abelardo Moralejo

    * mhist/MHMatrix.[h,cc]:
      - Added third argument (a filter) to the second instantiation 
	of the Fill procedure.

    * macros/CT1EnergyEst.C:
      - Example of the parameter calculation and use of the energy 
	estimation method for CT1.



 2003/03/21: Thomas Bretz

    * manalysis/MEnergyEstParam.[h,cc]
      - Added StopMapping and Print functions.

    * manalysis/MSel*.h:
      -	set default for HilName to MHillas
      -	set default for HilNameSrc to MHillasSrc

    * mfileio/MCT1ReadPreProc.[h,cc]:
      - do not flood the output with all events from the first run
      - output meaningfull text instead of variable names
      - removed a 'goto'!
      - changed savePedRMS according to the coding conventions to
        fPedRMS and the array of fixed size to a TArrayF
    
    * mbase/MEvtLoop.cc:
      - added a events counter which counts the real number of 
        processed events.

    * mdata/MDataChain.[h,cc]:
      - implemented random numbers
      - implemented a conversion from degrees to radians and vice versa



 2003/03/20: Thomas Bretz

    * mfilter/MF.[h,cc]:
      -	changed fFilter (already used in base class MTask) to fF



 2003/03/19: Abelardo Moralejo

    * macros/CT1collarea.C:
      -	Added filter to cut in hadronness (now available in new version
        of root CT1 Monte Carlo file from Wolfgang).



 2003/03/19: Robert Wagner

    * mhist/MH3.cc:
      - changed MH3::New() such that constructor according to Thomas'
        previous changes is supported



 2003/03/19: Thomas Bretz

    * mhist/MH3.[h,cc]:
      - changed default constructor to support different dimensions

    * mhist/MHArray.[h,cc]:
      - added AddHistogram

    * meventdisp/MGEvtDisplay.cc, mfileio/MReadTree.[h,cc],
      meventdisp/MReadMarsFile.cc:
      - changed MReadTree::GetEventNum to MReadTree::GetNumEntry

    * macros/estfit.C:
      - adopted to new MChisqEval

    * mtools/MChisqEval.[h,cc]:
      - added

    * mtools/Makefile, mtools/ToolsLinkDef.h:
      - added MChisqEval

    * manalysis/MEnergyEstParam.[h,cc]:
      - slight changes
    
    * mfileio/MCT1ReadPreProc.cc:
      - changed name to MRead



 2003/03/18: Thomas Bretz

    * mfileio/MReadTree.cc:
      - fixed a bug in the AddFile function

    * mhist/MHMatrix.[h,cc]:
      - implemented a request of Th. Hengstebeck: Let DefRefMatrix
        return the 'unused' events



 2003/03/18: Abelardo Moralejo

    * mhist/MHMcCT1CollectionArea.[h,cc]
      - Added arguments in constructor: number of bins and ranges of the 
	x-axis (energy) of the 2-d histograms. Changed type of binning:
	now the x-axis is log10(energy) and bins have equal width.

    * macros/CT1collarea.C
      - The MHMcCT1CollectionArea object is now created and added to the 
       	parlist so that  we can choose the binning. Changed the way 
       	histograms are written to the output file.



 2003/03/13: Abelardo moralejo

    * mhist/MHMcCT1CollectionArea.[h,cc]
      - Added for calculations of collection area for CT1.Contains three
        2-d histograms with axis energy vs theta angle: one histogram for
        all events, one for analyzed events, one for the collection area.

    * mmontecarlo/MMcCT1CollectionAreaCalc.[h,cc]
      - Added for the same reason. 

    * macros/CT1collarea.C
      - Uses the above classes



 2003/03/12: Abelardo Moralejo

    * macros/mergecamera.C
      - Added. Merges several MC camera output files into a single file.



 2003/03/08: Wolfgang Wittek

    * macros/AnalyseCT1.C
      - for the CT1 data analysis

    * mhist/MHMatrix.[h,cc]
      - let refcolumn start at 1 (not at 0)

    * mhist/MHSigmaTheta.[h,cc]
      - Draw replaced by DrawCopy
      - add SetDirectory(NULL)

    * manalysis/MSelBasic.[h,cc]
                MSelStandard.[h,cc]
                MSelFinal.[h,cc]
      - more detailed output for errors
      - bugs removed
      
    * manalysis/MPadSchweizer.[h,cc]
      - add SetDirectory(NULL)
      - add fErrors

    * mfilter/MFEventSelector.[h,cc]
      - add fErrors

    * manalysis/MMultiDimDistCalc.[h,cc]
      - check division by zero

    * mhist/MHHadronness.[h,cc]
      - check division by zero
      - normalize distributions of hadronness

    * mfileio/MCT1ReadPreProc.[h,cc]
      - add event number (event.isecs_since_midday)
      - change definition of "fIsMcFile", 
        because outpars.bmontecarlo is set wrongly sometimes
      - copy pedestalRMS for each event from the header information
      - check for the presence of a footer record even after reading 
        a run header

    * mmc/MMcEvt.[hxx,cxx]:
      - add GetEvtNumber()



 2003/02/27: Abelardo Moralejo

    * mmontecarlo/MMcTriggerRateCalc.cc:
      - Fixed: MMCTrigHeader could not be found in the case of camera
	files containing single trigger condition.

    * macros/trigrate.C
      - no plot is made in the case of single trigger condition.

    * mhist/MHMcRate.[h,cc]
      - Added member fTriggerCondNum to keep track of what trigger
        condition corresponds to each MHMcRate object, for the case of
        files with more	than one condition (when running camera in 
        trigger_loop mode). Added also Set and Get procedures for nre 
        member.

    * mmain/MMonteCarlo.cc
      - Fixed bug: matrix BgR was created with dimension "dim", a number
        which can be negative. Put "num" instead of "dim".



 2003/02/25: Thomas Bretz

    * mbase/MParContainer.cc:
      - small simplification for Cosy
    
    * mbase/MLog.cc:
      - allow a maximum of 1000 lines in the gui



 2003/02/25: Abelardo Moralejo

    * mmontecarlo/MMcTriggerRateCalc.[h,cc]
      - Added axis labels in graphic output
      - Added Get function for rate histograms

    * macros/trigrate.C
      - Added output file with rate histograms



 2003/02/24: Abelardo Moralejo

    * mmontecarlo/MMcTriggerRateCalc.[h,cc]
      - Fixed mistake when analysing camera files containing all
        events (including non-triggers): fShowers was always zero.
      - Added reading of MMcTrigHeaders in ReInit
      - Added procedure Draw for graphics output: rate versus
        discriminator threshold (useful for camera files with several
        trigger conditions).

    * macros/trigrate.C
      - Added some explanations. Style improvements in function
        GetNSBEvents. Added call to MMcTriggerRateCalc::Draw

    * mhist/MHMcRate.[h,cc]
      - Added GetTriggerRate() and GetTriggerRateError()
      - Added members fMultiplicity and fMeanThreshold, with their
        corresponding Set and Get functions
      - Added info on discriminator threshold and L1 trigger
        multiplicity on the printout.

    * mmc/MMcTrigHeader.hxx
      - Added GetMultiplicity() and GetMeanThreshold()


 2003/02/22: Wolfgang Wittek

    * mhist/Makefile
      - MHSigmaTheta added

    * mhist/HistLinkDef.h
      - MHSigmaTheta added

    * mhist/MHSigmaTheta.[h,cc]
      - type inconsistency removed



 2003/02/21: Abelardo Moralejo

    * mmontecarlo/MMcTriggerRateCalc.[h,cc]
      - adapted to new camera files, added warnings.
      - added ReInit procedure to read relevant info from from the
        run headers

    * mhist/MHMcRate.[h,cc]
      - adapted accordingly. Added Set functions for several members.

    * mmc/MMcCorsikaRunHeader.h
      - added Get functions for fELowLim, fEUppLim and fSlopeSpec.

    * mmain/MMontecarlo.cc, macros/trigrate.C
      - adapted to changes above, changed MReadTree to MReadMarsFile to
	be able to read the run headers.



 2003/02/21: Antonio Stamerra 

    * manalysis/MMcTriggerLvl2.[cc|h]
      - new data member fCompactNN needed to define a compact pixels
      - new inline functions SetCompactNN and GetCompactNN 
      - Method Calc(int neighpix) -> Calc(). The value of neighpix
	is read from fCompactNN

    * manalysis/MMcTriggerLvl2Calc.[cc|h]
      - Check on fCompactNN added in the PreProcess

    * macros/triglvl2.C
      - Set of fCompactNN added



 2003/02/21: Wolfgang Wittek

    * manalysis/MSelFinal.[h,cc]
      - 'const' removed from pointers

    * macros/AnalyseCT1.C
      - macro for the CT1 analysis (work in progress)



 2003/02/20: Wolfgang Wittek

    * manalysis/Makefile
      - add MSelFinal

    * manalysis/AnalysisLinkDef.h
      - add MSelFinal

    * manalysis/MPadSchweizer.[h,cc]
      - slight modification of padding procedure

    * manalysis/MSigmabarCalc.[h,cc]
      - 'const' removed from pointers

    * mhist/MHMatrix.[h,cc]

    * mhist/MHSigmaTheta.[h,cc]



 2003/02/20: Abelardo Moralejo

    * mhist/MH.cc
      - Removed call to TGaxis::Optimize for compilation under root 
        versions > 3.03, since in them this procedure is no longer 
        existing. I did this to allow compilation under root_3.04,
        since earlier versions has a bug which prevents from
        plotting in the simple way some variables in a tree
        (example: fConc and others in the output  of star.C). This
        is a temporal fix, I guess something will have to
	substitute the call to Optimize...



 2003/02/20: Antonio Stamerra 

    * manalysis/MMcTriggerLvl2.[cc|h]
      - new; replaces MTrigLvl2.[cc|h]
      - new data members: fLutPseudoSize, fPseudoSize.
      - functions renamed:
			GetLutPseudoSize -> CalcBiggerLutPseudoSize
			GetBiggerFiredCell -> CalcBiggerFiredCell
      - new inline functions: GetLutPseudoSize(), GetPseudoSize().	
      - new member functions: 
		Calc(); CalcPseudoSize (not yet implemented)
      - Redefined Print() function as a TObject.
      - pixels_in_cell and pixels_in_lut redefined as static data 
        members

    * manalysis/MMcTriggerLvl2Calc.[cc|h]
      - new; replaces MTrigLvl2FillTask.[cc|h]
      - creation and filling of histograms commented
      - Process() calls the MMcTriggerLvl2::Calc()           
 
    * mfilter/MFTriggerLvl2.[h|cc]
      - new class to select events using MMcTriggerLvl2 data members.

    * macros/triglvl2.C
      - added example to use the MFTriggerLvl2 filter.



 2003/02/19: Wolfgang Wittek

    * manalysis/MSelBasic.[h,cc]
      - new; evaluates the Basic Cuts (after the calibration) 

    * manalysis/MSelStandard.[h,cc]
      - new; evaluates the Standard Cuts 
        (after the calculation of the image parameters and before the 
         calculation of the hadronness)

    * manalysis/MHillasCalc.[h,cc]
      - replace
              fHillas = (MHillas*)pList->FindCreateObj(fHilName);
        by          
              fHillas = (MHillas*)pList->FindCreateObj("MHillas",
                                                       fHilName);
        in order to allow MHillas containers with a name 
                                  different from "MHillas"

    * mhist/MHHillasExt.[h,cc]
      - replace
               TObject *obj = plist->FindObject("MHillas");
        by          
               TObject *obj = plist->FindObject(fHilName, "MHillas");
        in order to allow MHillas containers with a name 
                                  different from "MHillas"
      - add a 3rd argument in the constructor : fHilName

    * manalysis/MHillasSrcCalc.[h,cc]
      - add new argument for constructor:
                the name of the MHillas input container
        in order to allow MHillas input containers with a name
                                  different from "MHillas"     

    * mhist/MHMatrix.[h,cc]
      - add member function DefRefMatrix();
        it defines the reference sample for the g/h separation;
        the selection of events for the reference sample can be made
        such that the distribution of a certain variable (for example
        Theta) agrees with a target distribution.

    * mfilter/MFEventSelector.[h,cc]
      - add new argument for constructor:
                the name of the read object
        in order to allow also read objects which have a name
        different from
           "MRead"        



 2003/02/18: Thomas Bretz
 
    * mfileio/MReadTree.cc:
      - added a fix for a bug in the workaround using wildcards



 2003/02/14: Thomas Bretz
 
    * mtemp/MObservatory.[h,cc]:
      - added



 2003/02/10: Abelardo Moralejo

    * Makefile.conf.osf1
      - Added -lpthread to compilation flags (otherwise linking fails
        in alfa)

    * manalysis/Makefile, AnalysisLinkDef.h
      - Changed MApplyPadding for MPadding



 2003/02/07: Wolfgang Wittek

    * mhist/MHSigmaTheta.[h,cc]
      - new; 2D distribution : Theta, Sigmabar
             3D distribution : Theta, pixel number, Sigma
             3D distribution : Theta, pixel number, Sigma^2-Sigmabar^2
        these histograms may be used for the padding

    * manalysis/MPadding.[h,cc]
      - new; replaces MApplyPadding.[h,cc] 
             some errors removed               

    * manalysis/MSigmabar.[h,cc]
      - new definition of Sigmabar (only relevant for MAGIC) 
      - add in member function 'Calc' a 3rd argument : 'const
        MCerPhotEvt &evt'
      - calculate sigmabar for 'MCerPhotEvt' pixels
      - in member function 'Calc' return Float_t fSigmabar instead of
        Bool_t
      - copies of objects replaced by references

    * manalysis/MSigmabarCalc.[h,cc]
      - fSig->Calc(*fCam, *fPed)         replaced by
        fSig->Calc(*fCam, *fPed, *fEvt)
      - change type of result of fSig->Calc from Bool_t to Float_t

    * mfileio/MCT1ReadPreProc.cc
      - add in member function PreProcess() the initialization of the
        total number of pixels :
                               fPedest->InitSize(iMAXNUMPIX);
      - remove statements that cannot be reached ('break' after 
        'return')

    * manalysis/MPadSchweizer.[h,cc]
      - alternative to MPadding
      - does the padding ala Thomas Schweizer 



 2003/02/06: Thomas Bretz

    * mgeom/MGeomCam.[h,cc]:
      - fixed a warning (GetPixRatio(int) --> GetPixRatio(Uint)



 2003/02/07: Antonio Stamerra 

    * manalysis/MTrigLvl2.[cc|h]
      - added new function 
	MTrigLvl2::GetLutCompactPixel(int cell, int lut, int 
        neighpix=2) which calculates the number of compact pixel
        in one lut 
      - added new function GetLutPseudoSize(int neighpix=2) which
        calculates the lut-pseudosize 
      - added static data member pixel_in_lut
      - merging of the PrintCell and PrintStatus functions in a single 
	Print(int cell) function	
      - Added comments using the standard layout
      - some small changes following Thomas comments (memset, *fLog) 	



 2003/02/06: Thomas Bretz

    * mbase/MLog.[h,cc]:
      - serialized the GUI output (problems with mutithreded prgs,
        eg Cosy)

    * mtemp/MObservatoryLocation.[h,cc], mtemp/MVPObject.[h,cc],
      mtemp/MVPPlotter.[h,cc]:
      - added changes discussed in Wuerzburg
   
    * mfileio/MCT1ReadPreProc.cc:
      - some simplifications



 2003/01/31: Antonio Stamerra & Marcos Lopez

    * mgui/MCamDisplay.[cc|h]
      - Added a new function MCamDisplay::SetPix(const Int_t pixnum, 
        const Int_t color, Float_t min, Float_t max) which just set the 
        color of a given pixel 

    * created two new classes for simulating the second level trigger 
      in the directory manalysis:
      - MTrigLvl2.[cc|h]         // Implement the Lvl2 topology and
                                 // selection strategies
      - MTrigLvl2FillTask.[cc|h] // For a given MMc event, fill the
                                 // MTrigLvl2 with the Lvl1 trigger 
                                 // information 

    * manalysis/Makefile
      - Added -I../mgui

    * Added macro macros/triglvl2.C which uses the above classes.



 2003/01/27: Robert Wagner

    * mfileio/MCT1ReadPreProc.[cc|h]
      - Added call of MTaskList::ReInit after processing of new 
        run header
      - Filling of MC container complies to Oscar's changes of 
        MMcEvt.[hxx,cxx] dated 2003/01/20
      - Added filling of run number in MRawRunHeader object while
        processing a new run header



 2003/01/23: Robert Wagner

    * manalyis/MSigmabarCalc.cc
      - MSigmabarCalc::Process()
        Replaced fMcEvt->GetTheta() by fMcEvt->GetTelescopeTheta()



 2003/01/20: Oscar Blanch
  
    * mmc/MMcEvt.[hxx,cxx]
      - Data members: fElecCphFraction, fMuonCphFraction, 
        fOtherCphFraction have been introduced.
      - Class version updated to 3.

    * mmc/MMcCorsikaRunHeader.[h.cc]
      - Data members: fWobbleMode and fAtmosphericModel introduced.
      - Class version updated to 2.



 2003/01/19: Thomas Bretz

    * manalysis/MCerPhotCalc.[h,cc]:
      - slight changes, mainly to the layout

    * manalysis/MCerPhotEvt.[h,cc]:
      - some small changes to make the code a bit faster

    * manalysis/MCerPhotPix.[h,cc]:
      - added AddNumPhotons

    * mbase/MContinue.[h,cc]:
      - changed comments
      - enhanced functionality and fixed some small bugs

    * mbase/Makefile:
      - added mfilter to paths (to be fixed)

    * mfileio/MCT1ReadPreProc.cc:
      - Init fNumEvents = 0

    * mgeom/MGeomCam.cc:
      - return 0 Ratio if the pixel number exceeds the number of pixels

   * mgui/MCamDisplay.[h,cc]:
     - added sanity check for the maximum number of pixels
     - added functions to set the three different palettes
     - removed the buttons
     - fixed the context menu display
   
    * mhist/HistLinkDef.h, mhist/Makefile:
      - added MHCerPhotEvt

    * mhist/MHCerPhotEvt.[h,cc]:
      - added
     
    * mhist/MFillH.cc:
      - changed the initialization of fParContainer from pList to NULL
   
    * mhist/MHHillasExt.cc:
      - fixed a smallo bug when filling the histograms (crached when scaling
        under some circumstances)
   
    * mhist/MHStarMap.cc:
      - added a warning output

    * mmontecarlo/MMcCollectionAreaCalc.cc:
      - added a check for impact=NaN (some MC Files have this)



 2003/01/17: Robert Wagner

    * manalysis/MApplyPadding.cc
      - bugfix: Effective number of used pixels taken from
        MCerPhotEvt container, not from MPedestalCam



 2003/01/16: Wolfgang Wittek

    * mhist/MHMatrix.[h,cc]
      - member function MHMatrix::Read added
        the function calls TObject::Read(name) and SetName(name)



 2003/01/15: Wolfgang Wittek

    * mdata/MDataMember.cc
      - in MDataMember::PreProcess()
              "if (fCall)" replaced by "if (fCall && !fObject)"
        The additional condition "&& !fObject" is to make sure that read 
        MDataMembers works correctly.



 2003/01/08: Oscar Blanch Bigas

   * mgeom/MGeomMirror.[h,cc]
     - Varible members to store mirror reflectivities have been
       introduced: fReflectivity and fWavelength.
     - Member function to set reflectivity added: SetReflectivity
     - Member function to set TArrayF size: SetArraySize
     - Class version number changed to 2.
